<?php

namespace App;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class ApplicationSetting extends Model
{
    protected $guarded = ['id'];
    
    protected $casts = [
        'mail_setting' => 'array'
    ];

    protected $appends = [
        'favicon_url'
    ];

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('company', function (Builder $builder) {
            if (auth()->check() && !auth()->user()->is_superadmin) {
                $builder->where('application_settings.company_id', company()->id);
            }
        });
    }

    public function getFaviconUrlAttribute()
    {
        if (is_null($this->favicon)) {
            return  asset('favicon/favicon-16x16.png');
        }
        return asset_url_local_s3('favicon/' . $this->favicon);
    }
}
