<?php

namespace App;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Document extends Model
{
    protected $guarded = ['id'];
    protected $appends = ['document_url'];
    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('company', function (Builder $builder) {
            if (auth()->check()) {
                $builder->where('documents.company_id', user()->company_id);
            }
        });
    }

    public function documentable()
    {
        return $this->morphTo();
    }

    
    public function getDocumentUrlAttribute()
    {
        
        return asset_url_local_s3('documents/' . $this->documentable_id . '/' .$this->hashname);
       
    }
}
