<?php

namespace App\Http\Controllers\SuperAdmin;

use App\Job;
use App\Role;
use App\User;
use App\Company;
use App\Package;
use Carbon\Carbon;
use App\Helper\Files;
use App\Helper\Reply;
use App\CompanyPackage;
use Illuminate\Http\Request;
use App\OfflinePaymentMethod;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Yajra\DataTables\Facades\DataTables;
use App\Http\Requests\StoreOfflineMethod;
use App\Http\Requests\Company\StoreCompany;
use App\Http\Requests\Company\UpdatePakage;
use App\Http\Requests\Company\UpdateCompany;

class OfflinePaymentSettingController extends SuperAdminBaseController
{


    public function __construct()
    {
        parent::__construct();
        
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
       //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        return view('super-admin.payment-setting.offline-method.create', $this->data);
    }

    /**
     * @param StoreCompany $request
     * @return array
     */
    public function store(StoreOfflineMethod $request)
    {
        $method = new OfflinePaymentMethod();
        $method->name = $request->name;
        $method->description = $request->description;
        $method->save();

        $this->offlineMethods = OfflinePaymentMethod::get();

        $table = view('super-admin.payment-setting.offline-method.table', $this->data)->render();
        
        return Reply::successWithData(__('messages.createdSuccessfully'), ['table' => $table]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $this->method = OfflinePaymentMethod::findOrFail($id);

        return view('super-admin.payment-setting.offline-method.edit', $this->data);

    }

    /**
     * @param UpdateCompany $request
     * @param $id
     * @return array
     */
    public function update(StoreOfflineMethod $request, $id)
    {
        $method = OfflinePaymentMethod::findOrFail($id);
        $method->name = $request->name;
        $method->description = $request->description;
        $method->status = $request->status;
        $method->save();

        $this->offlineMethods = OfflinePaymentMethod::get();
        $table = view('super-admin.payment-setting.offline-method.table', $this->data)->render();
        
        return Reply::successWithData(__('messages.updatedSuccessfully'), ['table' => $table]);

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        OfflinePaymentMethod::destroy($id);
        return Reply::success(__('messages.recordDeleted'));
    }

    
}
