<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;


class OfflineInvoice extends Model
{
    protected $dates = [
        'pay_date',
        'next_pay_date'
    ];

    public function company() {
        return $this->belongsTo(Company::class, 'company_id')->withoutGlobalScopes(['active']);
    }
    public function currency() {
        return $this->belongsTo(Currency::class, 'currency_id');
    }

    public function package() {
        return $this->belongsTo(Package::class, 'package_id');
    }

    public function offlineMethod(){
        return $this->belongsTo(OfflinePaymentMethod::class, 'offline_method_id');
    }
}
