<?php

namespace App\Http\Controllers\SuperAdmin;

use App\FrontWidgets;
use App\Helper\Reply;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SuperAdminFrontWidgetsController extends SuperAdminBaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
     {
         parent::__construct();
         $this->pageTitle = 'menu.headerFooterScripts';
         $this->pageIcon = 'icon-badge';
     }

    public function index()
    {
        return view('super-admin.front-cms.front-widgets.index', $this->data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $widgets = FrontWidgets::where('id', '=', $this->global->id)->first();
        $widgets->widget_name = $request->widget_name;
        $widgets->header_script =  $request->header_script;
        $widgets->footer_script =  $request->footer_script;
        $widgets->save();

        return Reply::redirect(route('superadmin.front-widgets.index'), __('menu.headerFooterScripts').' '.__('messages.updatedSuccessfully'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
