<?php

namespace App;

use App\Job;
use App\JobLocation;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Builder;

class JobJobLocation extends Model
{
    
    use Notifiable;
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();

        // static::addGlobalScope('company', function (Builder $builder) {
        //     if (auth()->check()  && !auth()->user()->is_superadmin ) {
               
        //         $builder->where('job_job_locations.company_id', user()->company_id);
        //     }
        // });
    }

    Public function job()
    {
        return $this->belongsTo(Job::class);
    }

    Public function location()
    {
      
        return $this->belongsTo(JobLocation::class, 'location_id');
    }

    public function saasFrontJob()
    {
        return $this->belongsTo(Job::class, 'job_id')->withoutGlobalScope('company');
    }

    public function saasFrontLocation()
    {
        return $this->belongsTo(JobLocation::class, 'location_id')->withoutGlobalScope('company');
    }
   
}
