<?php

use App\Package;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDefaultColumnInPackagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('packages', function (Blueprint $table) {
            $table->enum('default', ['yes', 'no', 'free'])->default('no')->after('is_trial');
        });

        $package = new Package();
        $package->name = 'Default';
        $package->description = 'This is default package';
        $package->career_website = 0;
        $package->multiple_roles = 0;
        $package->default = 'yes';
        $package->is_private = 0;
        $package->status = 1;
        $package->no_of_job_openings = 1;
        $package->no_of_candidate_access = 10;
        $package->save();

        $package = new Package();
        $package->name = 'Free';
        $package->description = 'This is free package';
        $package->career_website = 0;
        $package->multiple_roles = 0;
        $package->default = 'free';
        $package->is_private = 0;
        $package->status = 1;
        $package->no_of_job_openings = 5;
        $package->no_of_candidate_access = 50;
        $package->save();        

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('packages', function (Blueprint $table) {
            Schema::dropIfExists('packages');
        });
    }
}
