<?php

use App\Job;
use App\JobJobLocation;
use App\JobLocation;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateJobJobLocationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('job_job_locations', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedInteger('job_id');
            $table->unsignedInteger('location_id');
            $table->foreign('job_id')->references('id')->on('jobs')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('location_id')->references('id')->on('job_locations')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
        
        $jobs = Job::all();
        foreach($jobs as $job)
        {
            $jobLocation = JobLocation::where('id', $job->location_id);
            $jobLocation = new JobJobLocation;
            $jobLocation->job_id = $job->id;
            $jobLocation->location_id = $job->location_id;
            $jobLocation->save();
            
        }
        Schema::table('jobs', function (Blueprint $table) {
            $table->dropForeign(['location_id']);
            $table->dropColumn('location_id');
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('job_job_location');
    }
}
