<style>
    .hide-box {
        display: none;
    }
</style>
<div class="modal-header" >
    <h4 class="modal-title"><i class="icon-plus"></i> Import</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times"></i></button>
</div>
<div class="modal-body">
    <div class="form-group">
        <a href="{{ route('admin.job-applications.download') }}" id="download_template" class="btn btn-outline btn-primary btn-sm download"><i class="fa fa-download"></i> Download Templete</a>
     </div>
                        @if( $errors->any())
                        <div class="alert alert-danger " role="alert">
                            @foreach ($errors->all() as $error)
                                {{ $error }}
                            @endforeach
                        </div>
                        @endif
    <form id="import-jobApplication" class="ajax-form" method="post">
        {{ csrf_field() }}
        <div class="form-body">
            <div class="row">
                <div class="col-sm-12 ">
                    <div class="from-group">
                        <label for="">@lang('menu.jobs')</label>
                        <select name="job_id" class="form-control">
                            @foreach($jobs as $job)
                            <option value="{{ $job->id }}">{{ $job->title }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="alert alert-primary mt-2" id="message" role="alert">
                        @lang('app.importProjectExcelInfo')
                    </div>  
                    <div class="form-group">      
                       <input type="file" class="form-control" name="import_file"  >
                    </div>
                </div>
            </div>
        </div>
        <div class="form-actions">
            <button type="button" id="import-data" class="btn btn-success"> <i class="fa fa-check"></i> @lang('app.save')</button>

        </div>
    </form>

</div>

<div class="modal-footer">
    <button type="button" class="btn dark btn-outline" data-dismiss="modal">@lang('app.close')</button>
</div>
<script>

    $(document).ready(function() {

       
        $('body').on('click', '#import-data', function() {

            const url = "{{ route('admin.job-applications.importdata') }}";

            $.easyAjax({
                url: url,
                container: '#import-jobApplication',
                type: "POST",
                disableButton: true,
                blockUI: true,
                buttonSelector: "#import-data",
                file: true,
                data: $('#import-jobApplication').serialize(),
                success: function(response) {
                    console.log(response);
                    if (response.status == 'success') {
                        $('#import').hide();
                    }else if (response.status == 'fail'){
                        $('#message').removeClass('alert alert-primary');
                       $('#message').addClass('alert alert-danger');
                       $('#message').html(response.message);
                    }
                },
                error: function(response) {
                    console.log(response);
                   if (response.status == 500) {
                       var msg = 'Invalid data please check you csv file';
                       $('#message').removeClass('alert alert-primary');
                       $('#message').addClass('alert alert-danger');
                       $('#message').html(msg);

                   }else if(response.status == 422) {
                       var msg = 'choose a file to import';
                       $('#message').removeClass('alert alert-primary');
                       $('#message').addClass('alert alert-danger');
                       $('#message').html(msg);
                   }else{
                       console.log(response);
                   }
                }
             });
        });
    });
</script>
