<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <!-- Favicon icon -->
        <link rel="icon" type="image/png" sizes="16x16" href="{{ $global->favicon_url }}">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        @stack('meta_details')
        
        <!-- CSS Files -->
        <link href="{{ asset('saas-front/css/bootstrap.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('saas-front/css/theme.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('saas-front/css/custom.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('saas-front/css/iconsmind.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('saas-front/css/flickity.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('saas-front/css/stack-interface.css') }}" rel="stylesheet" type="text/css" media="all" />
        <link href="{{ asset('froiden-helper/helper.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/node_modules/toast-master/css/jquery.toast.css') }}" rel="stylesheet">
        <link href="{{ asset('assets/node_modules/sweetalert/sweetalert.css') }}" rel="stylesheet">
        <link rel="stylesheet" href="{{ asset('assets/node_modules/switchery/dist/switchery.min.css') }}">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:200,300,400,400i,500,600,700" rel="stylesheet">
        <link href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" rel="stylesheet">
        <link rel='stylesheet prefetch' href='//cdnjs.cloudflare.com/ajax/libs/flag-icon-css/0.8.2/css/flag-icon.min.css'>
        <link rel="stylesheet" href="{{ asset('saas-front/css/bootstrap-select.min.css') }}">
        <link rel="stylesheet" href="{{ asset('saas-front/fonts/flaticon/flaticon.css') }}">
        <link rel="stylesheet" href="{{ asset('saas-front/vendor/material-design-iconic-font/css/material-design-iconic-font.min.css') }}">

        <script src="https://www.google.com/recaptcha/api.js"></script>

        <style>
            .language-switcher {
                font-size: 14px;
                text-align: center;
                padding: 5px 20px;
                font-weight: 600;
            }
            .language-switcher button {
                padding:3px !important;
                background: #fff;
            }
            .language-switcher button:hover {
                background: #fff;
                -webkit-transform: none !important;
            }
            .language-switcher.show > .btn-light.dropdown-toggle{
                background-color: #fff !important;
            }
            .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
                width: 94px;
            }
            .f-contact-detail i {
                color: #000000 !important;
            }
        </style>

        @foreach ($frontWidgets as $item)
            @if(!is_null($item->header_script))
                {!! $item->header_script !!}
            @endif
        @endforeach

        @stack('header_css')
    </head>
    <body data-smooth-scroll-offset="77">
        @include('partials.header')

        <div class="">
            @yield('content')
        </div>

        @include('partials.footer')

        <!-- JavaScript Files -->
        <script src="{{ asset('saas-front/js/jquery-3.1.1.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/flickity.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/parallax.js') }}"></script>
        <script src="{{ asset('saas-front/js/granim.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/smooth-scroll.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/scripts.js') }}"></script>
        <script src="{{ asset('froiden-helper/helper.js') }}"></script>
        <script src="{{ asset('assets/node_modules/toast-master/js/jquery.toast.js') }}"></script>
        <script src="{{ asset('assets/node_modules/sweetalert/sweetalert.min.js') }}"></script>
        <script src="{{ asset('assets/node_modules/switchery/dist/switchery.min.js') }}"></script>
        <script src="{{ asset('saas-front/js/bootstrap-select.min.js') }}"></script>

        @stack('footer-script')
        <script>
            var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

            elems.forEach(function(html) {
                var switchery = new Switchery(html, { size: 'medium' });
            });

            $('#package-switch').change(function () {
                let checked = $(this).is(":checked");
                if(checked) {
                    $('.monthly-packages').hide();
                    $('.annual-packages').show();
                }
                else {
                    $('.annual-packages').hide();
                    $('.monthly-packages').show();
                }
            })

            $('#save-form').click(function (e) {
                @if(!is_null($global->google_recaptcha_key))
                    if(grecaptcha.getResponse().length == 0){
                        e.preventDefault();
                        alert('Please click the reCAPTCHA checkbox');
                        return false;
                    }
                @endif

                $.easyAjax({
                    url: '{{route('contact')}}',
                    container: '#createForm',
                    type: "POST",
                    data: $('#createForm').serialize(),
                    success: function(response) {
                        $('#createForm').trigger("reset");
                        swal("Sent!", "We will contact you soon!", "success");
                    },
                    error: function (response) {
                        swal("Error!", "Your need to fill all the form fields!", "error");
                    }
                })
            });
            
            $(function () {
                $('.selectpicker').selectpicker();
            });
            
            $('#language_switcher').change(function () {
                var code = $(this).val();
                var url = '{{ route('changeLanguage', ':code') }}';
                url = url.replace(':code', code);

                $.easyAjax({
                    url: url,
                    type: 'POST',
                    container: 'body',
                    data: {
                        _token: '{{ csrf_token() }}'
                    },
                    success: function (response) {
                        if (response.status == 'success') {
                            location.reload();
                        }
                    }
                })
            })
        </script>
        
        @foreach ($frontWidgets as $item)
            @if(!is_null($item->footer_script))
                {!! $item->footer_script !!}
            @endif
        @endforeach
    </body>
</html>
