<section class="faq-section" id="faq">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center">
                    <h2>{{ $frontDetail->faq_title ?? 'Frequently Asked Questions' }}</h2>
                    <p class="lead">
                        {{ $frontDetail->faq_description ?? 'Find answers to common questions about RecruitNG' }}
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-md-10 offset-md-1">
                <div class="accordion accordion-2">
                    @if(isset($frontFaqs) && count($frontFaqs) > 0)
                        @foreach($frontFaqs as $frontFaq)
                            <div class="accordion__title">
                                <span class="h5">{{ $frontFaq->question }}</span>
                            </div>
                            <div class="accordion__content">
                                <p class="lead">
                                    {{ $frontFaq->answer }}
                                </p>
                            </div>
                        @endforeach
                    @else
                        <!-- Default FAQs if none are provided -->
                        <div class="accordion__title">
                            <span class="h5">How does the applicant tracking system work?</span>
                        </div>
                        <div class="accordion__content">
                            <p class="lead">
                                Our applicant tracking system allows you to post jobs, receive applications, screen candidates, schedule interviews, and make offers all in one place. You can customize your recruitment workflow, collaborate with your team, and track candidates through each stage of the process.
                            </p>
                        </div>
                        
                        <div class="accordion__title">
                            <span class="h5">Can I integrate RecruitNG with my existing tools?</span>
                        </div>
                        <div class="accordion__content">
                            <p class="lead">
                                Yes, RecruitNG integrates with a wide range of tools and services, including Google Workspace, Microsoft Office, Slack, Zoom, and many more. We also offer an API for custom integrations with your existing HR systems.
                            </p>
                        </div>
                        
                        <div class="accordion__title">
                            <span class="h5">How secure is my data with RecruitNG?</span>
                        </div>
                        <div class="accordion__content">
                            <p class="lead">
                                We take data security very seriously. RecruitNG is compliant with data protection regulations. We use industry-standard encryption, regular security audits, and strict access controls to protect your data.
                            </p>
                        </div>
                        
                        <div class="accordion__title">
                            <span class="h5">Can I customize RecruitNG to match my company branding?</span>
                        </div>
                        <div class="accordion__content">
                            <p class="lead">
                                Yes, you can customize the look and feel of RecruitNG to match your company branding. This includes your logo, colors, and career website. Our premium plans offer more extensive customization options.
                            </p>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</section>

