<section class="pricing-section" id="pricing">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center">
                    <h2>{{ $frontDetail->price_title }}</h2>
                    <p class="lead">
                        {{ $frontDetail->price_description }}
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-md-12 text-center">
                <div class="pricing-switcher">
                    <p class="fieldset">
                        <input type="checkbox" id="package-switch" class="js-switch" data-color="#00c292" />
                        <label for="package-switch">@lang('app.monthly') / @lang('app.annual')</label>
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5 monthly-packages">
            @foreach($packages as $package)
                @if($package->monthly_status == 1)
                    <div class="col-md-4">
                        <div class="pricing pricing-1 boxed boxed--lg boxed--border">
                            <h3>{{ ucwords($package->name) }}</h3>
                            <span class="h2">
                                <span class="pricing__dollar">{{ $global->currency->currency_symbol }}</span>{{ $package->monthly_price }}
                            </span>
                            <span class="type--fine-print">@lang('app.monthly')</span>
                            <hr>
                            <ul>
                                <li>
                                    <span>{{ $package->max_employees }} @lang('app.maxEmployees')</span>
                                </li>
                                @if($package->storage_unit == 'mb')
                                    <li>
                                        <span>{{ $package->max_storage_size }} @lang('app.mb') @lang('app.maxStorageSize')</span>
                                    </li>
                                @else
                                    <li>
                                        <span>{{ $package->max_storage_size }} @lang('app.gb') @lang('app.maxStorageSize')</span>
                                    </li>
                                @endif
                                <li>
                                    <span>{{ ucwords($package->module_in_package) }}</span>
                                </li>
                            </ul>
                            <a class="btn btn--primary" href="{{ route('front.signup.index') }}">
                                <span class="btn__text">
                                    @lang('app.buy') @lang('app.now')
                                </span>
                            </a>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
        <div class="row mt-5 annual-packages" style="display: none;">
            @foreach($packages as $package)
                @if($package->annual_status == 1)
                    <div class="col-md-4">
                        <div class="pricing pricing-1 boxed boxed--lg boxed--border">
                            <h3>{{ ucwords($package->name) }}</h3>
                            <span class="h2">
                                <span class="pricing__dollar">{{ $global->currency->currency_symbol }}</span>{{ $package->annual_price }}
                            </span>
                            <span class="type--fine-print">@lang('app.annual')</span>
                            <hr>
                            <ul>
                                <li>
                                    <span>{{ $package->max_employees }} @lang('app.maxEmployees')</span>
                                </li>
                                @if($package->storage_unit == 'mb')
                                    <li>
                                        <span>{{ $package->max_storage_size }} @lang('app.mb') @lang('app.maxStorageSize')</span>
                                    </li>
                                @else
                                    <li>
                                        <span>{{ $package->max_storage_size }} @lang('app.gb') @lang('app.maxStorageSize')</span>
                                    </li>
                                @endif
                                <li>
                                    <span>{{ ucwords($package->module_in_package) }}</span>
                                </li>
                            </ul>
                            <a class="btn btn--primary" href="{{ route('front.signup.index') }}">
                                <span class="btn__text">
                                    @lang('app.buy') @lang('app.now')
                                </span>
                            </a>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>
    </div>
</section>

