<section class="testimonials-section bg--secondary">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center">
                    <h2>{{ $frontDetail->testimonial_title ?? 'What Our Clients Say' }}</h2>
                    <p class="lead">
                        {{ $frontDetail->testimonial_description ?? 'Hear from our satisfied customers about their experience with RecruitNG' }}
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-md-12">
                <div class="slider" data-arrows="true" data-paging="true">
                    <ul class="slides">
                        @if(isset($frontTestimonials) && count($frontTestimonials) > 0)
                            @foreach($frontTestimonials as $testimonial)
                                <li>
                                    <div class="testimonial text-center">
                                        <img class="testimonial__image" alt="Image" src="{{ $testimonial->image_url ?? '/placeholder.svg?height=80&width=80' }}" />
                                        <h5>{{ ucwords($testimonial->name) }}</h5>
                                        <span>{{ $testimonial->comment }}</span>
                                    </div>
                                </li>
                            @endforeach
                        @else
                            <!-- Default testimonials if none are provided -->
                            <li>
                                <div class="testimonial text-center">
                                    <img class="testimonial__image" alt="Image" src="/placeholder.svg?height=80&width=80" />
                                    <h5>John Doe</h5>
                                    <span>"RecruitNG has transformed our hiring process. We've reduced our time-to-hire by 40% and improved the quality of our candidates."</span>
                                </div>
                            </li>
                            <li>
                                <div class="testimonial text-center">
                                    <img class="testimonial__image" alt="Image" src="/placeholder.svg?height=80&width=80" />
                                    <h5>Sarah Johnson</h5>
                                    <span>"The platform is intuitive and has helped us streamline our entire recruitment workflow. Highly recommended!"</span>
                                </div>
                            </li>
                            <li>
                                <div class="testimonial text-center">
                                    <img class="testimonial__image" alt="Image" src="/placeholder.svg?height=80&width=80" />
                                    <h5>Michael Chen</h5>
                                    <span>"As a recruitment agency, we needed a solution that could handle multiple clients and job openings simultaneously. RecruitNG delivers exactly what we need."</span>
                                </div>
                            </li>
                        @endif
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>

