@extends('layouts.app')

@push('head-script')
    <link rel="stylesheet" href="{{ asset('assets/node_modules/clockpicker/dist/jquery-clockpicker.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/node_modules/jquery-asColorPicker-master/css/asColorPicker.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/node_modules/dropify/dist/css/dropify.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/node_modules/switchery/dist/switchery.min.css') }}">
@endpush

@section('content')

    <div class="row">
        <div class="col-12">
            <!-- Card -->
            <form action="" class="ajax-form" id="createForm" method="POST">
                @csrf
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6 mb-4">
                                <h5 class="box-title">@lang('menu.widgetName ')</h5>
                                <input type="text" name="widget_name" class="form-control" value="{{ $frontWidgets->widget_name }}" />
                            </div>

                            <div class="col-md-12 mb-4">
                                <h5 class="box-title">@lang('menu.scriptinHeader')</h5>
                                <textarea name="header_script" class="my-code-area" rows="20" style="width: 100%">@if(is_null($frontWidgets->header_script))/*Enter your custom JS after this line*/@else {!! $frontWidgets->header_script !!} @endif </textarea>

                            </div>

                            <div class="col-md-12 mb-4">
                                <h5 class="box-title">@lang('menu.scriptinFooter')</h5>
                                <textarea name="footer_script" class="my-code-area" rows="20" style="width: 100%">@if(is_null($frontWidgets->footer_script))/*Enter your custom JS after this line*/@else {!! $frontWidgets->footer_script !!} @endif</textarea>

                            </div>

                            <div class="col-md-12 mt-4">
                                <button class="btn btn-success" id="save-form" type="button"><i class="fa fa-check"></i> @lang('app.save')</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
@endsection

@push('footer-script')
    <script src="{{ asset('assets/node_modules/jquery-asColorPicker-master/libs/jquery-asColor.js') }}"></script>
    <script src="{{ asset('assets/node_modules/jquery-asColorPicker-master/libs/jquery-asGradient.js') }}"></script>
    <script src="{{ asset('assets/node_modules/jquery-asColorPicker-master/dist/jquery-asColorPicker.min.js') }}"></script>

    <script src="{{ asset('assets/ace/ace.js') }}"></script>
    <script src="{{ asset('assets/ace/theme-twilight.js') }}"></script>
    <script src="{{ asset('assets/ace/mode-css.js') }}"></script>
    <script src="{{ asset('assets/ace/jquery-ace.min.js') }}"></script>
<script src="{{ asset('assets/node_modules/dropify/dist/js/dropify.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/node_modules/switchery/dist/switchery.min.js') }}"></script>
<script>
    $('.my-code-area').ace({ theme: 'twilight'});

     $('#save-form').click(function () {
            $.easyAjax({
                url: '{{route('superadmin.front-widgets.store')}}',
                container: '#createForm',
                type: "POST",
                file: true,
                redirect: true
            })
        });
</script>
@endpush