@extends('layouts.app')
 @push('head-script')
<link rel="stylesheet" href="//cdn.datatables.net/fixedheader/3.1.5/css/fixedHeader.bootstrap.min.css">
<link rel="stylesheet" href="//cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap.min.css">
@endpush 
@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">@lang('app.offlineRequest')</h4>

                <table id="offlineTable" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@lang('app.company')</th>
                            <th>@lang('app.package')</th>
                            <th>@lang('app.paymentBy')</th>
                            <th>@lang('app.status')</th>
                            <th>@lang('app.action')</th>
                        </tr>

                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>

@endsection
@push('footer-script')
<script src="//cdn.datatables.net/fixedheader/3.1.5/js/dataTables.fixedHeader.min.js"></script>
<script src="//cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="//cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap.min.js"></script>
<script>
      $(function() {
     var table = $('#offlineTable').dataTable({
            responsive: true,
            // processing: true,
            serverSide: true,
            // stateSave: true,
            ajax: '{!! route('superadmin.offline-plans.data') !!}',
            language: languageOptions(),
            "fnDrawCallback": function( oSettings ) {
                $("body").tooltip({
                    selector: '[data-toggle="tooltip"]'
                });
            },
            columns: [
                { data: 'id', name: 'id' },
                { data: 'company.company_name', name: 'company.company_name' },
                { data: 'package.name', name: 'package.name' },
                { data: 'offline_method.name', name: 'offline_method.name' },
                { data: 'status', name: 'status'},
                { data: 'action', name: 'action' }
            ]
        });
        // new $.fn.dataTable.FixedHeader( table );
    });

    function accept(id) {
            swal({
                title: "@lang('errors.areYouSure')",
                text: "@lang('messages.recoverVerifiedRequest')",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "@lang('app.verify')",
                cancelButtonText: "@lang('app.cancel')",
                closeOnConfirm: true,
                closeOnCancel: true
            }, function(isConfirm) {
                if (isConfirm) {
                    $.easyAjax({
                        type: 'POST',
                        url: '{{ route('superadmin.offline-plan.verify') }}',
                        data: {
                            '_token': '{{ csrf_token() }}'
                            , id: id
                        },
                        success: function (response) {
                            if (response.status == "success") {
                                table._fnDraw();
                            }
                        }
                    });
                }
            });
        }

        function reject(id) {
            swal({
                title: "@lang('errors.areYouSure')",
                text: "@lang('messages.recoveRejectedRequest')",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "@lang('app.reject')",
                cancelButtonText: "@lang('app.cancel')",
                closeOnConfirm: true,
                closeOnCancel: true
            }, function(isConfirm) {
                if (isConfirm) {
                    $.easyAjax({
                        type: 'POST',
                        url: '{{ route('superadmin.offline-plan.reject') }}',
                        data: {
                            '_token': '{{ csrf_token() }}'
                            , id: id
                        },
                        success: function (response) {
                            if (response.status == "success") {
                                table._fnDraw();
                            }
                        }
                    });
                }
            });
        }
</script>
@endpush