<?php $__env->startPush('head-script'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/dropify/dist/css/dropify.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/html5-editor/bootstrap-wysihtml5.css')); ?>">

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form id="editSettings" class="ajax-form">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>

                        <div class="form-group">
                            <label for="company_name"><?php echo app('translator')->get('modules.accountSettings.companyName'); ?></label>
                            <input type="text" class="form-control" id="company_name" name="company_name"
                                   value="<?php echo e($global->company_name); ?>">
                        </div>
                        <div class="form-group">
                            <label for="company_name"><?php echo app('translator')->get('modules.accountSettings.companyUrlLink'); ?></label>
                            <input type="text" class="form-control" id="company_slug" name="company_slug" value="<?php echo e($global->career_page_link); ?>">
                            <input type="hidden" id="slug" value="<?php echo e($global->career_page_link); ?>" name="slug">
                            <span class="text-success"><?php echo app('translator')->get('modules.accountSettings.companyUrlLinkWillBe'); ?> </span> : <span class="font-weight-bold " style="border: none" id="slugValue"><?php echo e($global->career_page_link); ?></span>
                        </div>
                        <div class="form-group">
                            <label for="company_email"><?php echo app('translator')->get('modules.accountSettings.companyEmail'); ?></label>
                            <input type="email" class="form-control" id="company_email" name="company_email"
                                   value="<?php echo e($global->company_email); ?>">
                        </div>
                        <div class="form-group">
                            <label for="company_phone"><?php echo app('translator')->get('modules.accountSettings.companyPhone'); ?></label>
                            <input type="tel" class="form-control" id="company_phone" name="company_phone"
                                   value="<?php echo e($global->company_phone); ?>">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.companyWebsite'); ?></label>
                            <input type="text" class="form-control" id="website" name="website"
                                   value="<?php echo e($global->website); ?>">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.companyLogo'); ?></label>
                             <div class="card">
                                    <div class="card-body">
                                        <input type="file" id="input-file-now" name="logo" class="dropify"
                                            data-default-file="<?php echo e($global->logo_url); ?>"
                                        />
                                    </div>
                                </div>
                        </div>

                        <?php if(module_enabled('Subdomain')): ?>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('modules.frontCms.loginBackroundImage'); ?></label>
                                <div class="card">
                                    <div class="card-body">
                                        <input type="file" id="input-file-now" name="login_background" class="dropify"
                                               data-default-file="<?php echo e($global->login_background_image_url); ?>"
                                        />
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="form-group">
                            <label for="address"><?php echo app('translator')->get('modules.accountSettings.companyAddress'); ?></label>
                            <textarea class="form-control" id="address" rows="5"
                                      name="address"><?php echo e($global->address); ?></textarea>
                        </div>

                        <div class="form-group">
                            <label for="address"><?php echo app('translator')->get('modules.accountSettings.defaultTimezone'); ?></label>
                            <select name="timezone" id="timezone" class="form-control select2 custom-select">
                                <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tz): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($global->timezone == $tz): ?> selected <?php endif; ?>><?php echo e($tz); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="address"><?php echo app('translator')->get('modules.accountSettings.changeLanguage'); ?></label>

                            <select class="form-control" name="locale">
                                <?php $__currentLoopData = $languageSettings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($language->language_code); ?>" <?php if($global->locale == $language->language_code): ?> selected <?php endif; ?>  data-content='<span class="flag-icon flag-icon-<?php echo e($language->language_code); ?>"></span> <?php echo e($language->language_name); ?>'><?php echo e($language->language_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <hr>


                        <div class="form-group">
                            <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.jobOpeningHeading'); ?></label>
                            <input type="text" class="form-control" id="job_opening_title" name="job_opening_title"
                                   value="<?php echo e($global->job_opening_title); ?>">
                        </div>

                        <div class="form-group">
                            <label for="address"><?php echo app('translator')->get('modules.accountSettings.jobOpeningText'); ?></label>
                            <textarea class="form-control summernote" id="job_opening_text" rows="5"
                                      name="job_opening_text"><?php echo e($global->job_opening_text); ?></textarea>
                        </div>




                        <button type="button" id="save-form"
                                class="btn btn-success waves-effect waves-light m-r-10">
                            <?php echo app('translator')->get('app.save'); ?>
                        </button>
                        <button type="reset"
                                class="btn btn-inverse waves-effect waves-light"><?php echo app('translator')->get('app.reset'); ?></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
    <script src="<?php echo e(asset('assets/node_modules/select2/dist/js/select2.full.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/node_modules/bootstrap-select/bootstrap-select.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/node_modules/dropify/dist/js/dropify.min.js')); ?>" type="text/javascript"></script>
    <script src="//cdn.jsdelivr.net/npm/speakingurl@14.0.1/speakingurl.min.js" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/plugins/slugify/src/slugify.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/node_modules/html5-editor/wysihtml5-0.3.0.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('assets/node_modules/html5-editor/bootstrap-wysihtml5.js')); ?>" type="text/javascript"></script>

    <script>
//        jQuery(function($) {
            $.slugify("Ätschi Bätschi"); // "aetschi-baetschi"
            $('#slug').slugify('#company_slug'); // Type as you slug

//            $("#slug-target").slugify("#slug-source", {
//                separator: '_' // If you want to change separator from hyphen (-) to underscore (_).
//            });
//        });
        $('#job_opening_text').wysihtml5({
            "font-styles": true, //Font styling, e.g. h1, h2, etc. Default true
            "emphasis": true, //Italics, bold, etc. Default true
            "lists": true, //(Un)ordered lists, e.g. Bullets, Numbers. Default true
            "html": true, //Button which allows you to edit the generated HTML. Default false
            "link": true, //Button to insert a link. Default true
            "image": true, //Button to insert an image. Default true,
            "color": true, //Button to change color of font
            stylesheets: ["<?php echo e(asset('assets/node_modules/html5-editor/wysiwyg-color.css')); ?>"], // (path_to_project/lib/css/wysiwyg-color.css)

        });
        $('#company_slug').on('keyup change', function() {
            if ($('#slug').val() !== '' && $('#slug').val() !== undefined) {
                $('#slugValue').html($('#slug').val());
            } else {

            }
        });
        // For select 2
        $(".select2").select2();

        $('.dropify').dropify({
            messages: {
                default: '<?php echo app('translator')->get("app.dragDrop"); ?>',
                replace: '<?php echo app('translator')->get("app.dragDropReplace"); ?>',
                remove: '<?php echo app('translator')->get("app.remove"); ?>',
                error: '<?php echo app('translator')->get('app.largeFile'); ?>'
            }
        });



        $('#save-form').click(function () {
            $.easyAjax({
                url: '<?php echo e(route('admin.settings.update', $global->id)); ?>',
                container: '#editSettings',
                type: "POST",
                redirect: true,
                file: true
            })
        });
    </script>


<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/admin/settings/index.blade.php ENDPATH**/ ?>