<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <!-- Favicon icon -->
        <link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset('favicon/apple-icon-57x57.png')); ?>">
        <link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset('favicon/apple-icon-60x60.png')); ?>">
        <link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset('favicon/apple-icon-72x72.png')); ?>">
        <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('favicon/apple-icon-76x76.png')); ?>">
        <link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset('favicon/apple-icon-114x114.png')); ?>">
        <link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset('favicon/apple-icon-120x120.png')); ?>">
        <link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset('favicon/apple-icon-144x144.png')); ?>">
        <link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset('favicon/apple-icon-152x152.png')); ?>">
        <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('favicon/apple-icon-180x180.png')); ?>">
        <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e($global->favicon_url); ?>">
        <link rel="manifest" href="<?php echo e(asset('favicon/manifest.json')); ?>">
        <meta name="msapplication-TileColor" content="#ffffff">
        <meta name="msapplication-TileImage" content="<?php echo e($global->favicon_url); ?>">
        <meta name="theme-color" content="#ffffff">

        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <?php echo $__env->yieldPushContent('meta_details'); ?>
        <link href="<?php echo e(asset('saas-front/css/iconsmind.css')); ?>" rel="stylesheet" type="text/css" media="all" />
        <link href="<?php echo e(asset('saas-front/css/bootstrap.css')); ?>" rel="stylesheet" type="text/css" media="all" />
        <link href="<?php echo e(asset('saas-front/css/flickity.css')); ?>" rel="stylesheet" type="text/css" media="all" />
        <link href="<?php echo e(asset('saas-front/css/stack-interface.css')); ?>" rel="stylesheet" type="text/css" media="all" />

        <link href="<?php echo e(asset('froiden-helper/helper.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/node_modules/toast-master/css/jquery.toast.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('assets/node_modules/sweetalert/sweetalert.css')); ?>" rel="stylesheet">


        <link href="<?php echo e(asset('saas-front/css/theme.css')); ?>" rel="stylesheet" type="text/css" media="all" />
        <link href="<?php echo e(asset('saas-front/css/custom.css')); ?>" rel="stylesheet" type="text/css" media="all" />
        <link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.css')); ?>">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:200,300,400,400i,500,600,700" rel="stylesheet">
        <link href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" rel="stylesheet">
        <link rel='stylesheet prefetch'
              href='//cdnjs.cloudflare.com/ajax/libs/flag-icon-css/0.8.2/css/flag-icon.min.css'>
        <link rel="stylesheet" href="<?php echo e(asset('saas-front/css/bootstrap-select.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('saas-front/fonts/flaticon/flaticon.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('saas-front/vendor/material-design-iconic-font/css/material-design-iconic-font.min.css')); ?>">

        <script src="https://www.google.com/recaptcha/api.js"></script>

        <style>
            .language-switcher {
                font-size: 14px;
                text-align: center;
                padding: 5px 20px;
                font-weight: 600;
            }
            .language-switcher button {
                padding:3px !important;
                background: #fff;
            }
            .language-switcher button:hover {
                background: #fff;
                -webkit-transform: none !important;
            }
            .language-switcher.show > .btn-light.dropdown-toggle{
                background-color: #fff !important;
            }
            .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
                width: 94px;
            }
            .f-contact-detail i {
                color: #000000 !important;
            }
        </style>

            <?php $__currentLoopData = $frontWidgets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(!is_null($item->header_script)): ?>
                    <?php echo $item->header_script; ?>

                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <?php $__currentLoopData = $frontWidgets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(!is_null($item->footer_script)): ?>
                <?php echo $item->footer_script; ?>

                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        <?php echo $__env->yieldPushContent('header_css'); ?>
    </head>
    <body data-smooth-scroll-offset="77">


        <div class="nav-container">
            <div class="bar bar--sm visible-xs">
                <div class="container">
                    <div class="row">
                        <div class="col-3 col-md-2">
                            <a href="<?php echo e(route('index')); ?>">
                                <img class="logo logo-dark" alt="logo" src="<?php echo e($firstHeaderData->logo_url); ?>" />
                            </a>
                        </div>
                        <div class="col-9 col-md-10 text-right">
                            <a href="#" class="hamburger-toggle" data-toggle-class="#menu1;hidden-xs">
                                <i class="icon icon--sm stack-interface stack-menu"></i>
                            </a>
                        </div>
                    </div>
                    <!--end of row-->
                </div>
                <!--end of container-->
            </div>
            <!--end bar-->
            <nav id="menu1" class="bar bar--sm bar-1 hidden-xs pos-fixed">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-1 col-md-2 hidden-xs">
                            <div class="bar__module">
                                <a href="<?php echo e(route('index')); ?>">
                                    <img class="logo logo-dark" alt="logo" src="<?php echo e($firstHeaderData->logo_url); ?>" />
                                </a>
                            </div>
                            <!--end module-->
                        </div>
                        <div class="col-lg-11 col-md-12 text-right text-left-xs text-left-sm">
                            <div class="bar__module">
                                <ul class="menu-horizontal text-left">
                                    <li class="dropdown">
                                        <a class="inner-link" href="<?php if(\Request()->is('/')): ?> #header-section <?php else: ?> <?php echo e(route('index')); ?> <?php endif; ?>"><?php echo app('translator')->get('menu.home'); ?></a>
                                    </li>
                                    <li class="dropdown">
                                        <a class="inner-link" href="<?php if(\Request()->is('/')): ?> #features <?php else: ?> <?php echo e(route('index').'#features'); ?> <?php endif; ?>"><?php echo app('translator')->get('menu.features'); ?></a>
                                    </li>
                                    <li class="dropdown">
                                        <a class="inner-link" href="<?php if(\Request()->is('/')): ?> #pricing <?php else: ?> <?php echo e(route('index').'#pricing'); ?> <?php endif; ?>"><?php echo app('translator')->get('menu.pricing'); ?></a>
                                    </li>
                                    <li class="dropdown">
                                        <a class="inner-link" href="<?php if(\Request()->is('/')): ?> #contact <?php else: ?> <?php echo e(route('index').'#contact'); ?> <?php endif; ?>"><?php echo app('translator')->get('menu.contact'); ?></a>
                                    </li>
                                    <li class="dropdown">
                                        <a class="inner-link" target="_blank" href="<?php echo e(route('careerPage')); ?>">career</a>
                                    </li>

                                </ul>
                            </div>
                           <?php if($global->hide_language): ?>
                            <div class="bar__module">
                                <select name="language_selecter" class=" selectpicker language-switcher" id="language_switcher">
                                    <?php $__empty_1 = true; $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <option
                                            <?php if(\Cookie::has('language_code') && \Cookie::get('language_code') == $language->language_code): ?>
                                            selected
                                            
                                            <?php endif; ?>
                                            value="<?php echo e($language->language_code); ?>" data-content=' <span class="flag-icon  <?php if($language->language_code == 'en'): ?> flag-icon-us <?php elseif($language->language_code == 'ar'): ?> flag-icon-ae <?php elseif($language->language_code == 'es-ar'): ?> flag-icon-ar <?php else: ?>   flag-icon-<?php echo e($language->language_code); ?> <?php endif; ?>"></span> <?php echo e(ucfirst($language->language_code)); ?>'><?php echo e(ucfirst($language->language_code)); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                            <?php endif; ?>
                            <!--end module-->
                            <div class="bar__module">

                                <?php if($firstHeaderData->show_login_in_menu): ?>
                                    <a class="btn btn--sm type--uppercase" href="<?php echo e(module_enabled('Subdomain')?route('front.workspace'):route('login')); ?>">
                                    <span class="btn__text">
                                        <?php echo app('translator')->get('app.login'); ?>
                                    </span>
                                </a>
                                <?php endif; ?>

                                <?php if($firstHeaderData->show_register_in_menu && $global->registration_disable_button == true): ?>
                                <a class="btn btn--sm btn--primary type--uppercase background-color" href="<?php echo e(route('register')); ?>">
                                    <span class="btn__text">
                                        <?php echo app('translator')->get('app.register'); ?>
                                    </span>
                                </a>
                                <?php endif; ?>
                            </div>
                            <!--end module-->
                        </div>
                    </div>
                    <!--end of row-->
                </div>
                <!--end of container-->
            </nav>



        </div>
        <div class="">
            <?php echo $__env->yieldContent('content'); ?>
        </div>

        <?php echo $__env->make('saas-front.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script src="<?php echo e(asset('saas-front/js/jquery-3.1.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/flickity.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/parallax.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/granim.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/smooth-scroll.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/scripts.js')); ?>"></script>
    <script src="<?php echo e(asset('froiden-helper/helper.js')); ?>"></script>

    <script src="<?php echo e(asset('assets/node_modules/toast-master/js/jquery.toast.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/node_modules/sweetalert/sweetalert.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('saas-front/js/bootstrap-select.min.js')); ?>"></script>

    <?php echo $__env->yieldPushContent('footer-script'); ?>
    <script>
         var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

        elems.forEach(function(html) {
        var switchery = new Switchery(html, { size: 'medium' });
        });

        $('#package-switch').change(function () {
            let checked = $(this).is(":checked");
            if(checked) {
                $('.monthly-packages').hide();
                $('.annual-packages').show();
            }
            else {
                $('.annual-packages').hide();
                $('.monthly-packages').show();
            }
        })

        $('#save-form').click(function (e) {
            <?php if(!is_null($global->google_recaptcha_key)): ?>
                if(grecaptcha.getResponse().length == 0){
                    e.preventDefault();
                    alert('Please click the reCAPTCHA checkbox');
                    return false;
                }
            <?php endif; ?>

            $.easyAjax({
                url: '<?php echo e(route('contact')); ?>',
                container: '#createForm',
                type: "POST",
                data: $('#createForm').serialize(),
                success: function(response) {
                    $('#createForm').trigger("reset");
                    swal("Sent!", "We will contact you soon!", "success");
                },
                error: function (response) {
                    swal("Error!", "Your need to fill all the form fields!", "error");
                }
            })
        });
         $(function () {
             $('.selectpicker').selectpicker();
         });
         $('#language_switcher').change(function () {
             var code = $(this).val();
             var url = '<?php echo e(route('changeLanguage', ':code')); ?>';
             url = url.replace(':code', code);

             $.easyAjax({
                 url: url,
                 type: 'POST',
                 container: 'body',
                 data: {
                     _token: '<?php echo e(csrf_token()); ?>'
                 },
                 success: function (response) {
                     if (response.status == 'success') {
                         location.reload();
                     }
                 }
             })
         })
    </script>
</body>

</html>
<?php /**PATH /home/conglomerate/public_html/appwww/resources/views/layouts/saas-front.blade.php ENDPATH**/ ?>