
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RecruitNG - The Future-Ready HR Platform</title>
    <link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset('favicon/apple-icon-57x57.png')); ?>">
        <link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset('favicon/apple-icon-60x60.png')); ?>">
        <link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset('favicon/apple-icon-72x72.png')); ?>">
        <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('favicon/apple-icon-76x76.png')); ?>">
        <link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset('favicon/apple-icon-114x114.png')); ?>">
        <link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset('favicon/apple-icon-120x120.png')); ?>">
        <link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset('favicon/apple-icon-144x144.png')); ?>">
        <link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset('favicon/apple-icon-152x152.png')); ?>">
        <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('favicon/apple-icon-180x180.png')); ?>">
        <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e($global->favicon_url); ?>">
        <link rel="manifest" href="<?php echo e(asset('favicon/manifest.json')); ?>">
        <meta name="msapplication-TileColor" content="#ffffff">
        <meta name="msapplication-TileImage" content="<?php echo e($global->favicon_url); ?>">
        <meta name="theme-color" content="#ffffff">

        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <?php echo $__env->yieldPushContent('meta_details'); ?>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        :root {
            --primary: #004D40;
            --primary-light: #00695C;
            --secondary: #00BFA5;
            --secondary-light: #1DE9B6;
            --accent: #FF6E40;
            --accent-light: #FFAB91;
            --background: #FFF5F0;
            --text: #001B14;
            --text-light: #2D3748;
            --white: #ffffff;
            --gray-100: #F7FAFC;
            --gray-200: #EDF2F7;
            --gray-300: #E2E8F0;
            --gray-400: #CBD5E0;
            --gray-500: #A0AEC0;
        }
        
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            scroll-behavior: smooth;
        }
        
        body {
            font-family: 'Inter', sans-serif;
            line-height: 1.6;
            color: var(--text);
            background-color: var(--background);
            overflow-x: hidden;
        }
        
        .container {
            width: 100%;
            max-width: 1200px;
            margin: 0 auto;
            padding: 0 2rem;
            position: relative;
            z-index: 1;
        }
        
        /* Glassmorphism Utilities */
        .glass {
            background: rgba(255, 255, 255, 0.25);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
            box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.1);
        }
        
        .glass-dark {
            background: rgba(0, 77, 64, 0.25);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.1);
            box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.2);
        }
        
        /* Gradient Text */
        .gradient-text {
            background: linear-gradient(90deg, var(--primary), var(--secondary));
            -webkit-background-clip: text;
            background-clip: text;
            color: transparent;
            display: inline-block;
        }
        
        /* Decorative Elements */
        .blob {
            position: absolute;
            border-radius: 50%;
            filter: blur(60px);
            z-index: 0;
            opacity: 0.5;
        }
        
        .blob-1 {
            width: 300px;
            height: 300px;
            background: radial-gradient(circle, var(--secondary-light), var(--secondary));
            top: 10%;
            left: -150px;
        }
        
        .blob-2 {
            width: 400px;
            height: 400px;
            background: radial-gradient(circle, var(--accent-light), var(--accent));
            bottom: 5%;
            right: -200px;
        }
        
        .blob-3 {
            width: 250px;
            height: 250px;
            background: radial-gradient(circle, var(--primary-light), var(--primary));
            top: 40%;
            right: -100px;
        }
        
        .blob-4 {
            width: 350px;
            height: 350px;
            background: radial-gradient(circle, var(--secondary-light), var(--accent-light));
            bottom: 30%;
            left: -150px;
        }
        
        /* Header */
        header {
            background-color: rgba(255, 245, 240, 0.8);
            padding: 1rem 0;
            position: sticky;
            top: 0;
            z-index: 1000;
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            transition: all 0.3s ease;
            border-bottom: 1px solid rgba(0, 0, 0, 0.05);
        }
        
        header.scrolled {
            padding: 0.75rem 0;
            background-color: rgba(255, 255, 255, 0.9);
        }
        
        .header-container {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        
        .logo {
            display: flex;
            align-items: center;
            gap: 0.5rem;
            text-decoration: none;
            color: var(--primary);
            font-weight: 700;
            font-size: 1.5rem;
        }
        
        .logo img {
            height: 32px;
        }
        
        .nav-menu {
            display: flex;
            list-style: none;
            gap: 2rem;
            align-items: center;
        }
        
        .nav-menu a {
            text-decoration: none;
            color: var(--text);
            font-weight: 500;
            font-size: 0.9rem;
            transition: color 0.3s;
        }
        
        .nav-menu a:hover {
            color: var(--primary);
        }
        
        .auth-buttons {
            display: flex;
            gap: 1rem;
            align-items: center;
        }
        
        .btn {
            padding: 0.75rem 1.5rem;
            border-radius: 0.375rem;
            font-weight: 500;
            font-size: 0.9rem;
            transition: all 0.3s;
            text-decoration: none;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
        }
        
        .btn-primary {
            background-color: var(--primary);
            color: var(--white);
            border: none;
        }
        
        .btn-primary:hover {
            background-color: var(--primary-light);
        }
        
        .btn-outline {
            background-color: transparent;
            color: var(--primary);
            border: 1px solid var(--primary);
        }
        
        .btn-outline:hover {
            background-color: var(--primary);
            color: var(--white);
        }
        
        .btn-accent {
            background-color: var(--accent);
            color: var(--white);
            border: none;
        }
        
        .btn-accent:hover {
            background-color: #FF5722;
        }
        
        .btn-glass {
            background: rgba(255, 255, 255, 0.2);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.3);
            color: var(--primary);
        }
        
        .btn-glass:hover {
            background: rgba(255, 255, 255, 0.3);
        }
        
        /* Mobile Menu */
        .mobile-menu-btn {
            display: none;
            background: none;
            border: none;
            font-size: 1.5rem;
            color: var(--primary);
            cursor: pointer;
        }
        
        .mobile-menu {
            position: fixed;
            top: 0;
            right: -300px;
            width: 300px;
            height: 100vh;
            background-color: var(--white);
            z-index: 2000;
            box-shadow: -5px 0 15px rgba(0, 0, 0, 0.1);
            padding: 2rem;
            transition: right 0.3s ease;
            overflow-y: auto;
        }
        
        .mobile-menu.open {
            right: 0;
        }
        
        .mobile-menu-close {
            position: absolute;
            top: 1rem;
            right: 1rem;
            background: none;
            border: none;
            font-size: 1.5rem;
            color: var(--primary);
            cursor: pointer;
        }
        
        .mobile-menu-header {
            display: flex;
            align-items: center;
            margin-bottom: 2rem;
            padding-bottom: 1rem;
            border-bottom: 1px solid var(--gray-200);
        }
        
        .mobile-nav {
            display: flex;
            flex-direction: column;
            gap: 1rem;
        }
        
        .mobile-nav a {
            text-decoration: none;
            color: var(--text);
            font-weight: 500;
            font-size: 1.1rem;
            padding: 0.75rem 0;
            border-bottom: 1px solid var(--gray-200);
            transition: color 0.3s;
        }
        
        .mobile-nav a:hover {
            color: var(--primary);
        }
        
        .mobile-auth-buttons {
            display: flex;
            flex-direction: column;
            gap: 1rem;
            margin-top: 2rem;
        }
        
        .overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100vh;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 1500;
            display: none;
        }
        
        .overlay.open {
            display: block;
        }
        
        /* Hero Section */
        .hero {
            padding: 4rem 0 6rem;
            position: relative;
            overflow: hidden;
            background: linear-gradient(135deg, #FFF5F0 0%, #F8F9FA 100%);
        }
        
        .hero-container {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 4rem;
            align-items: center;
        }
        
        .hero-content {
            max-width: 600px;
        }
        
        .hero h1 {
            font-size: 3.5rem;
            line-height: 1.2;
            margin-bottom: 1.5rem;
            color: var(--primary);
            font-weight: 700;
        }
        
        .hero p {
            font-size: 1.25rem;
            color: var(--text-light);
            margin-bottom: 2rem;
            line-height: 1.6;
        }
        
        .hero-buttons {
            display: flex;
            gap: 1rem;
        }
        
        .hero-image {
            position: relative;
        }
        
        .floating-elements {
            position: relative;
            width: 100%;
            height: 500px;
        }
        
        .floating-element {
            position: absolute;
            background: rgba(255, 255, 255, 0.7);
            padding: 1rem;
            border-radius: 1rem;
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
            display: flex;
            align-items: center;
            gap: 1rem;
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
        }
        
        .floating-element img {
            width: 48px;
            height: 48px;
            border-radius: 50%;
            object-fit: cover;
        }
        
        .floating-element.top {
            top: 0;
            right: 20%;
        }
        
        .floating-element.middle {
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
        
        .floating-element.bottom {
            bottom: 0;
            left: 20%;
        }
        
        /* Features Section */
        .features {
            padding: 6rem 0;
            background-color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .section-title {
            text-align: center;
            font-size: 2.5rem;
            margin-bottom: 1rem;
            color: var(--primary);
        }
        
        .section-subtitle {
            text-align: center;
            color: var(--text-light);
            margin-bottom: 4rem;
            max-width: 600px;
            margin-left: auto;
            margin-right: auto;
        }
        
        .features-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 2rem;
            margin-bottom: 4rem;
        }
        
        .feature-card {
            background: var(--white);
            padding: 2rem;
            border-radius: 1rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
            transition: transform 0.3s;
        }
        
        .feature-card:hover {
            transform: translateY(-5px);
        }
        
        .feature-card.glass {
            background: rgba(255, 255, 255, 0.7);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
        }
        
        .feature-icon {
            width: 48px;
            height: 48px;
            background: var(--primary);
            border-radius: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: 1.5rem;
        }
        
        .feature-icon i {
            color: var(--white);
            font-size: 1.5rem;
        }
        
        .feature-card h3 {
            font-size: 1.25rem;
            margin-bottom: 1rem;
            color: var(--primary);
        }
        
        .feature-card p {
            color: var(--text-light);
            font-size: 0.9rem;
        }
        
        /* Stats Section */
        .stats {
            padding: 6rem 0;
            background: linear-gradient(135deg, var(--primary) 0%, var(--primary-light) 100%);
            color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .stats-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 3rem;
            text-align: center;
        }
        
        .stat-item h3 {
            font-size: 3rem;
            margin-bottom: 1rem;
        }
        
        .stat-item p {
            font-size: 1.1rem;
            opacity: 0.9;
        }
        
        /* Testimonials Section */
        .testimonials {
            padding: 6rem 0;
            background: linear-gradient(135deg, var(--primary) 0%, var(--primary-light) 100%);
            color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .testimonial-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 2rem;
            margin-top: 4rem;
        }
        
        .testimonial-card {
            background: rgba(255, 255, 255, 0.1);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.1);
            border-radius: 1rem;
            padding: 2rem;
            transition: transform 0.3s;
        }
        
        .testimonial-card:hover {
            transform: translateY(-5px);
        }
        
        .testimonial-content {
            font-style: italic;
            margin-bottom: 1.5rem;
            font-size: 1.1rem;
            line-height: 1.7;
        }
        
        .testimonial-author {
            display: flex;
            align-items: center;
            gap: 1rem;
        }
        
        .testimonial-author img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            object-fit: cover;
        }
        
        .author-info h4 {
            font-weight: 600;
            margin-bottom: 0.25rem;
        }
        
        .author-info p {
            font-size: 0.9rem;
            opacity: 0.8;
        }
        
        /* Pricing Section */
        .pricing {
            padding: 6rem 0;
            background: linear-gradient(135deg, #F8F9FA 0%, #FFF5F0 100%);
            position: relative;
            overflow: hidden;
        }
        
        .pricing-toggle {
            display: flex;
            justify-content: center;
            margin-bottom: 3rem;
            gap: 1rem;
            position: relative;
            z-index: 1;
        }
        
        .toggle-btn {
            padding: 0.5rem 1rem;
            border-radius: 0.25rem;
            background-color: white;
            border: 1px solid var(--gray-300);
            cursor: pointer;
            font-size: 0.9rem;
        }
        
        .toggle-btn.active {
            background-color: var(--primary);
            color: white;
            border-color: var(--primary);
        }
        
        .pricing-cards {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 2rem;
            position: relative;
            z-index: 1;
        }
        
        .pricing-card {
            background: var(--white);
            border-radius: 1rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
            padding: 2rem;
            text-align: center;
            transition: transform 0.3s;
            border: 1px solid var(--gray-200);
            position: relative;
        }
        
        .pricing-card.glass {
            background: rgba(255, 255, 255, 0.7);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
        }
        
        .pricing-card:hover {
            transform: translateY(-10px);
        }
        
        .pricing-card.recommended {
            background: linear-gradient(135deg, var(--primary) 0%, var(--primary-light) 100%);
            color: white;
            z-index: 2;
        }
        
        .recommended-badge {
            position: absolute;
            top: -12px;
            left: 50%;
            transform: translateX(-50%);
            background-color: var(--accent);
            color: white;
            padding: 0.25rem 1rem;
            border-radius: 1rem;
            font-size: 0.875rem;
            font-weight: 500;
        }
        
        .pricing-card h3 {
            font-size: 1.5rem;
            margin-bottom: 1rem;
        }
        
        .price {
            font-size: 2.5rem;
            font-weight: 700;
            margin-bottom: 0.5rem;
        }
        
        .pricing-card.recommended .price,
        .pricing-card.recommended h3 {
            color: white;
        }
        
        .duration {
            color: var(--gray-700);
            margin-bottom: 1.5rem;
            font-size: 0.9rem;
        }
        
        .pricing-card.recommended .duration {
            color: rgba(255, 255, 255, 0.8);
        }
        
        .features-list {
            list-style: none;
            margin-bottom: 2rem;
            text-align: left;
        }
        
        .features-list li {
            padding: 0.5rem 0;
            border-bottom: 1px solid var(--gray-200);
            font-size: 0.9rem;
        }
        
        .pricing-card.recommended .features-list li {
            border-bottom: 1px solid rgba(255, 255, 255, 0.2);
            color: white;
        }
        
        .features-list li:last-child {
            border-bottom: none;
        }
        
        .pricing-card.recommended .btn-primary {
            background-color: white;
            color: var(--primary);
        }
        
        .pricing-card.recommended .btn-primary:hover {
            background-color: var(--gray-100);
        }
        
        /* FAQ Section */
        .faq {
            padding: 6rem 0;
            background-color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .faq-container {
            max-width: 800px;
            margin: 0 auto;
        }
        
        .accordion {
            margin-top: 4rem;
        }
        
        .accordion-item {
            border-bottom: 1px solid var(--gray-300);
            margin-bottom: 1rem;
        }
        
        .accordion-header {
            padding: 1.5rem 0;
            cursor: pointer;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        
        .accordion-header h3 {
            font-size: 1.25rem;
            color: var(--text);
            font-weight: 600;
        }
        
        .accordion-icon {
            width: 24px;
            height: 24px;
            border-radius: 50%;
            background-color: var(--gray-200);
            display: flex;
            align-items: center;
            justify-content: center;
            transition: all 0.3s;
        }
        
        .accordion-icon i {
            transition: all 0.3s;
        }
        
        .accordion-content {
            max-height: 0;
            overflow: hidden;
            transition: max-height 0.3s ease;
        }
        
        .accordion-content-inner {
            padding: 0 0 1.5rem;
            color: var(--text-light);
        }
        
        .accordion-item.active .accordion-icon {
            background-color: var(--primary);
            color: white;
        }
        
        .accordion-item.active .accordion-icon i {
            transform: rotate(45deg);
        }
        
        .accordion-item.active .accordion-content {
            max-height: 1000px;
        }
        
        /* Blog Section */
        .blog {
            padding: 6rem 0;
            background: linear-gradient(135deg, #F8F9FA 0%, #FFF5F0 100%);
            position: relative;
            overflow: hidden;
        }
        
        .blog-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 2rem;
            margin-top: 4rem;
        }
        
        .blog-card {
            background: var(--white);
            border-radius: 1rem;
            overflow: hidden;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
            transition: transform 0.3s;
        }
        
        .blog-card.glass {
            background: rgba(255, 255, 255, 0.7);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
        }
        
        .blog-card:hover {
            transform: translateY(-5px);
        }
        
        .blog-image {
            width: 100%;
            height: 200px;
            overflow: hidden;
        }
        
        .blog-image img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            transition: transform 0.3s;
        }
        
        .blog-card:hover .blog-image img {
            transform: scale(1.05);
        }
        
        .blog-content {
            padding: 1.5rem;
        }
        
        .blog-category {
            display: inline-block;
            padding: 0.25rem 0.75rem;
            background-color: var(--gray-200);
            color: var(--text-light);
            border-radius: 1rem;
            font-size: 0.8rem;
            margin-bottom: 1rem;
        }
        
        .blog-title {
            font-size: 1.25rem;
            margin-bottom: 1rem;
            color: var(--text);
            line-height: 1.4;
        }
        
        .blog-excerpt {
            color: var(--text-light);
            font-size: 0.9rem;
            margin-bottom: 1.5rem;
        }
        
        .blog-meta {
            display: flex;
            align-items: center;
            gap: 1rem;
            font-size: 0.8rem;
            color: var(--gray-500);
        }
        
        .blog-meta span {
            display: flex;
            align-items: center;
            gap: 0.25rem;
        }
        
        /* Contact Section */
        .contact {
            padding: 6rem 0;
            background-color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .contact-container {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 4rem;
            align-items: flex-start;
        }
        
        .contact-info {
            display: flex;
            flex-direction: column;
            gap: 2rem;
        }
        
        .contact-card {
            display: flex;
            gap: 1rem;
            align-items: flex-start;
        }
        
        .contact-icon {
            width: 48px;
            height: 48px;
            background: var(--primary);
            border-radius: 12px;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-shrink: 0;
        }
        
        .contact-icon i {
            color: var(--white);
            font-size: 1.5rem;
        }
        
        .contact-details h3 {
            font-size: 1.25rem;
            margin-bottom: 0.5rem;
            color: var(--primary);
        }
        
        .contact-details p {
            color: var(--text-light);
            font-size: 0.9rem;
        }
        
        .contact-form {
            background: rgba(255, 255, 255, 0.7);
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
            border: 1px solid rgba(255, 255, 255, 0.18);
            border-radius: 1rem;
            padding: 2rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
        }
        
        .form-group {
            margin-bottom: 1.5rem;
        }
        
        .form-group label {
            display: block;
            margin-bottom: 0.5rem;
            font-weight: 500;
            color: var(--text);
        }
        
        .form-control {
            width: 100%;
            padding: 0.75rem;
            border: 1px solid var(--gray-300);
            border-radius: 0.375rem;
            font-family: 'Inter', sans-serif;
            font-size: 0.9rem;
            transition: border-color 0.3s;
        }
        
        .form-control:focus {
            outline: none;
            border-color: var(--primary);
        }
        
        textarea.form-control {
            min-height: 150px;
            resize: vertical;
        }
        
        /* CTA Section */
        .cta {
            padding: 6rem 0;
            background: linear-gradient(135deg, var(--primary), var(--primary-light));
            color: var(--white);
            text-align: center;
            position: relative;
            overflow: hidden;
        }
        
        .cta h2 {
            font-size: 2.5rem;
            margin-bottom: 1.5rem;
        }
        
        .cta p {
            margin-bottom: 2rem;
            max-width: 600px;
            margin-left: auto;
            margin-right: auto;
        }
        
        .cta .btn-outline {
            border-color: var(--white);
            color: var(--white);
        }
        
        .cta .btn-outline:hover {
            background-color: var(--white);
            color: var(--primary);
        }
        
        /* Footer */
        footer {
            background-color: var(--white);
            padding: 4rem 0;
            position: relative;
        }
        
        .footer-grid {
            display: grid;
            grid-template-columns: 2fr repeat(3, 1fr);
            gap: 4rem;
        }
        
        .footer-brand p {
            color: var(--text-light);
            margin: 1rem 0;
        }
        
        .footer-links h3 {
            font-size: 1.1rem;
            margin-bottom: 1.5rem;
            color: var(--primary);
        }
        
        .footer-links ul {
            list-style: none;
        }
        
        .footer-links li {
            margin-bottom: 0.75rem;
        }
        
        .footer-links a {
            color: var(--text-light);
            text-decoration: none;
            font-size: 0.9rem;
            transition: color 0.3s;
        }
        
        .footer-links a:hover {
            color: var(--primary);
        }
        
        .social-icons {
            display: flex;
            gap: 1rem;
            margin-top: 1.5rem;
        }
        
        .social-icon {
            width: 36px;
            height: 36px;
            border-radius: 50%;
            background-color: var(--gray-200);
            display: flex;
            align-items: center;
            justify-content: center;
            color: var(--text);
            text-decoration: none;
            transition: all 0.3s;
        }
        
        .social-icon:hover {
            background-color: var(--primary);
            color: var(--white);
        }
        
        .copyright {
            text-align: center;
            padding-top: 3rem;
            margin-top: 3rem;
            border-top: 1px solid var(--gray-200);
            color: var(--text-light);
            font-size: 0.9rem;
        }
        
        /* Scroll to Top Button */
        .scroll-to-top {
            position: fixed;
            bottom: 30px;
            right: 30px;
            width: 50px;
            height: 50px;
            background-color: var(--primary);
            color: var(--white);
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 1.5rem;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
            cursor: pointer;
            z-index: 900;
            opacity: 0;
            visibility: hidden;
            transition: all 0.3s ease;
        }
        
        .scroll-to-top.show {
            opacity: 1;
            visibility: visible;
        }
        
        .scroll-to-top:hover {
            background-color: var(--primary-light);
            transform: translateY(-5px);
        }
        
        /* Cookie Consent Banner */
        .cookie-banner {
            position: fixed;
            bottom: 0;
            left: 0;
            right: 0;
            background-color: var(--white);
            padding: 1.5rem;
            box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.1);
            z-index: 1000;
            display: flex;
            justify-content: space-between;
            align-items: center;
            transform: translateY(100%);
            transition: transform 0.5s ease;
        }
        
        .cookie-banner.show {
            transform: translateY(0);
        }
        
        .cookie-content {
            flex: 1;
            padding-right: 2rem;
        }
        
        .cookie-content h3 {
            margin-bottom: 0.5rem;
            color: var(--primary);
        }
        
        .cookie-content p {
            font-size: 0.9rem;
            color: var(--text-light);
        }
        
        .cookie-buttons {
            display: flex;
            gap: 1rem;
        }
        
        /* Animation Classes */
        .animate {
            opacity: 0;
            transform: translateY(30px);
            transition: opacity 0.8s ease, transform 0.8s ease;
        }
        
        .animate.fade-in {
            opacity: 1;
            transform: translateY(0);
        }
        
        .animate-delay-100 {
            transition-delay: 0.1s;
        }
        
        .animate-delay-200 {
            transition-delay: 0.2s;
        }
        
        .animate-delay-300 {
            transition-delay: 0.3s;
        }
        
        .animate-delay-400 {
            transition-delay: 0.4s;
        }
        
        .animate-delay-500 {
            transition-delay: 0.5s;
        }
        
        /* Use Cases Section */
        .use-cases {
            padding: 6rem 0;
            background-color: var(--white);
            position: relative;
            overflow: hidden;
        }
        
        .use-case-tabs {
            display: flex;
            justify-content: center;
            margin-bottom: 3rem;
            flex-wrap: wrap;
            gap: 1rem;
        }
        
        .use-case-tab {
            padding: 0.75rem 1.5rem;
            background-color: var(--gray-100);
            border: 1px solid var(--gray-300);
            border-radius: 0.5rem;
            cursor: pointer;
            transition: all 0.3s;
        }
        
        .use-case-tab.active {
            background-color: var(--primary);
            color: var(--white);
            border-color: var(--primary);
        }
        
        .use-case-content {
            display: none;
        }
        
        .use-case-content.active {
            display: block;
        }
        
        .use-case-container {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 4rem;
            align-items: center;
        }
        
        .use-case-image img {
            width: 100%;
            border-radius: 1rem;
            box-shadow: 0 20px 40px rgba(0, 0, 0, 0.1);
        }
        
        /* Responsive Design */
        @media (max-width: 992px) {
            .hero-container,
            .contact-container,
            .use-case-container {
                grid-template-columns: 1fr;
                text-align: center;
            }
            
            .hero-content {
                margin: 0 auto;
            }
            
            .hero-buttons {
                justify-content: center;
            }
            
            .contact-info {
                align-items: center;
            }
            
            .contact-card {
                flex-direction: column;
                align-items: center;
                text-align: center;
            }
            
            .footer-grid {
                grid-template-columns: repeat(2, 1fr);
            }
            
            .cookie-banner {
                flex-direction: column;
                text-align: center;
            }
            
            .cookie-content {
                padding-right: 0;
                margin-bottom: 1rem;
            }
            
            .use-case-image {
                order: -1;
            }
        }
        
        @media (max-width: 768px) {
            .nav-menu {
                display: none;
            }
            
            .auth-buttons {
                display: none;
            }
            
            .mobile-menu-btn {
                display: block;
            }
            
            .hero h1 {
                font-size: 2.5rem;
            }
            
            .section-title {
                font-size: 2rem;
            }
            
            .footer-grid {
                grid-template-columns: 1fr;
                gap: 2rem;
            }
            
            .cookie-buttons {
                flex-direction: column;
                width: 100%;
            }
            
            .scroll-to-top {
                bottom: 20px;
                right: 20px;
                width: 40px;
                height: 40px;
                font-size: 1.2rem;
            }
        }
    </style>
</head>
<body>
    <!-- Decorative Blobs -->
    <div class="blob blob-1"></div>
    <div class="blob blob-2"></div>
    <div class="blob blob-3"></div>
    <div class="blob blob-4"></div>

    <!-- Header -->
    <header id="header">
        <div class="container header-container">
            <a href="#top" class="logo">
                <img src=<?php echo e($firstHeaderData->logo_url); ?> alt="RecruitNG Logo">
                
            </a>
            <nav class="nav-menu">
                <a href="#top">Home</a>
                <a href="#features">Features</a>
                <a href="#use-cases">Use Cases</a>
                <a href="#pricing">Pricing</a>
                <a href="#testimonials">Testimonials</a>
                <a href="#faq">FAQ</a>
                <a href="#blog">Resources</a>
                <a href="#contact">Contact</a>
            </nav>
            <div class="auth-buttons">
                <a href="#" class="btn btn-outline">Log in</a>
                <a href="#" class="btn btn-primary">Request a demo</a>
            </div>
            <button class="mobile-menu-btn" id="mobileMenuBtn">
                <i class="fas fa-bars"></i>
            </button>
        </div>
    </header>

    <!-- Mobile Menu -->
    <div class="mobile-menu" id="mobileMenu">
        <button class="mobile-menu-close" id="mobileMenuClose">
            <i class="fas fa-times"></i>
        </button>
        <div class="mobile-menu-header">
            <a href="#top" class="logo">
                <img src=<?php echo e($firstHeaderData->logo_url); ?> alt="RecruitNG Logo">
                RecruitNG
            </a>
        </div>
        <nav class="mobile-nav">
            <a href="#top" class="mobile-nav-item">Home</a>
            <a href="#features" class="mobile-nav-item">Features</a>
            <a href="#use-cases" class="mobile-nav-item">Use Cases</a>
            <a href="#pricing" class="mobile-nav-item">Pricing</a>
            <a href="#testimonials" class="mobile-nav-item">Testimonials</a>
            <a href="#faq" class="mobile-nav-item">FAQ</a>
            <a href="#blog" class="mobile-nav-item">Resources</a>
            <a href="#contact" class="mobile-nav-item">Contact</a>
        </nav>
        <div class="mobile-auth-buttons">
            <a href="#" class="btn btn-outline">Log in</a>
            <a href="#" class="btn btn-primary">Request a demo</a>
        </div>
    </div>
    <div class="overlay" id="overlay"></div>

    <!-- Hero Section -->
    <section class="hero" id="top">
        <div class="container hero-container">
            <div class="hero-content animate">
                <h1>The future-ready <span class="gradient-text">HR platform</span></h1>
                <p>RecruitNG provides intelligent tools to transform your HR operations. From streamlining hiring processes to managing employee data, time tracking, and payroll, our comprehensive solution helps businesses of all sizes modernize their HR functions.</p>
                <div class="hero-buttons">
                    <a href="#contact" class="btn btn-outline">Request a demo</a>
                   <a class="btn btn-primary" href="<?php echo e(route('login')); ?>"><?php echo app('translator')->get('app.login'); ?></a>
                </div>
            </div>
            <div class="hero-image animate animate-delay-200">
                <div class="floating-elements">
                    <div class="floating-element top">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-1.png" alt="HR Information System">
                        <span>HR Information System</span>
                    </div>
                    <div class="floating-element middle">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-2.png" alt="RecruitNG Logo">
                    </div>
                    <div class="floating-element bottom">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-3.png" alt="Time Tracking">
                        <span>Time & Attendance</span>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Stats Section -->
    <section class="stats">
        <div class="container">
            <div class="stats-grid">
                <div class="stat-item animate">
                    <h3>20K+</h3>
                    <p>Companies</p>
                </div>
                <div class="stat-item animate animate-delay-100">
                    <h3>1M+</h3>
                    <p>Jobs Posted</p>
                </div>
                <div class="stat-item animate animate-delay-200">
                    <h3>5M+</h3>
                    <p>Applications</p>
                </div>
                <div class="stat-item animate animate-delay-300">
                    <h3>98%</h3>
                    <p>Satisfaction Rate</p>
                </div>
            </div>
        </div>
    </section>

    <!-- Features Section -->
    <section class="features" id="features">
        <div class="container">
            <h2 class="section-title animate">Powerful Features</h2>
            <p class="section-subtitle animate animate-delay-100">Everything you need to streamline your recruitment process and optimize HR operations</p>
            <div class="features-grid">
                <div class="feature-card glass animate animate-delay-200">
                    <div class="feature-icon">
                        <i class="fas fa-share-alt"></i>
                    </div>
                    <h3>Social Media Integration</h3>
                    <p>Share jobs on social media directly from your career site to reach a wider audience of potential candidates and increase your application rates.</p>
                </div>
                <div class="feature-card animate animate-delay-300">
                    <div class="feature-icon">
                        <i class="fas fa-file-excel"></i>
                    </div>
                    <h3>Export to Excel</h3>
                    <p>Export applicant data to Excel for easy analysis, reporting, and sharing with your team members. Generate customizable reports to track recruitment metrics.</p>
                </div>
                <div class="feature-card glass animate animate-delay-400">
                    <div class="feature-icon">
                        <i class="fas fa-filter"></i>
                    </div>
                    <h3>Quick Filters</h3>
                    <p>Add quick filters to narrow your talent pool searches and find the perfect candidates faster. Filter by skills, experience, education, and more.</p>
                </div>
                <div class="feature-card animate animate-delay-500">
                    <div class="feature-icon">
                        <i class="fas fa-star"></i>
                    </div>
                    <h3>Applicant Rating</h3>
                    <p>Quickly evaluate candidates with our intuitive rating system to identify top talent at a glance. Easily compare candidates and make data-driven hiring decisions.</p>
                </div>
                <div class="feature-card glass animate animate-delay-200">
                    <div class="feature-icon">
                        <i class="fas fa-clipboard-list"></i>
                    </div>
                    <h3>Questionnaires</h3>
                    <p>Create custom questionnaires for job application forms to pre-screen candidates effectively and gather specific information relevant to each position.</p>
                </div>
                <div class="feature-card animate animate-delay-300">
                    <div class="feature-icon">
                        <i class="fas fa-users-cog"></i>
                    </div>
                    <h3>Flexible Hiring Roles</h3>
                    <p>Assign flexible hiring roles to your team members to streamline collaboration during the recruitment process. Define custom permissions and responsibilities.</p>
                </div>
                <div class="feature-card glass animate animate-delay-400">
                    <div class="feature-icon">
                        <i class="fas fa-palette"></i>
                    </div>
                    <h3>Theme Settings</h3>
                    <p>Change logo and color of the app according to your branding for a consistent company identity. Create a seamless experience for both recruiters and candidates.</p>
                </div>
                <div class="feature-card animate animate-delay-500">
                    <div class="feature-icon">
                        <i class="fas fa-language"></i>
                    </div>
                    <h3>Multiple Languages</h3>
                    <p>RecruitNG is available in multiple languages to support your global recruitment efforts. Reach candidates worldwide with localized career sites and application forms.</p>
                </div>
            </div>
        </div>
    </section>

    <!-- Use Cases Section -->
    <section class="use-cases" id="use-cases">
        <div class="container">
            <h2 class="section-title animate">Real-World Applications</h2>
            <p class="section-subtitle animate animate-delay-100">See how businesses across different industries use RecruitNG to transform their HR processes</p>
            
            <div class="use-case-tabs animate animate-delay-200">
                <div class="use-case-tab active" data-tab="tab1">Applicant Tracking</div>
                <div class="use-case-tab" data-tab="tab2">Candidate Managemen</div>
                <div class="use-case-tab" data-tab="tab3">Interview Scheduling</div>
                <!--<div class="use-case-tab" data-tab="tab4">Educational Institutions</div>-->
            </div>
            
            <div class="use-case-content active" id="tab1">
                <div class="use-case-container">
                    <div class="use-case-text animate animate-delay-300">
                       <p>
                        <?php echo e($frontFeatures[0]->description ?? 'Streamline your recruitment process with our powerful applicant tracking system.'); ?>

                    </p></div>
                    <div class="use-case-image animate animate-delay-400">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-1.png" alt="Startup Use Case">
                    </div>
                </div>
            </div>
            
            <div class="use-case-content" id="tab2">
                <div class="use-case-container">
                    <div class="use-case-text animate animate-delay-300">
                         <p>
                        <?php echo e($frontFeatures[1]->description ?? 'Organize and manage your candidate pipeline efficiently with our intuitive tools.'); ?>

                    </p></div>
                    <div class="use-case-image animate animate-delay-400">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-2.png" alt="Enterprise Use Case">
                    </div>
                </div>
            </div>
            
            <div class="use-case-content" id="tab3">
                <div class="use-case-container">
                    <div class="use-case-text animate animate-delay-300">
                        <?php echo e($frontFeatures[2]->description ?? 'Schedule and manage interviews seamlessly with our calendar integration.'); ?></div>
                    <div class="use-case-image animate animate-delay-400">
                        <img src="https://recruitnig.com/public/front/assets/img/feature-3.png" alt="Recruitment Agency Use Case">
                    </div>
                </div>
            </div>
            
            <!--<div class="use-case-content" id="tab4">-->
            <!--    <div class="use-case-container">-->
            <!--        <div class="use-case-text animate animate-delay-300">-->
            <!--            <h3>Educational Institution Hiring</h3>-->
            <!--            <p>Schools, colleges, and universities have unique hiring requirements for academic and administrative staff. RecruitNG offers:</p>-->
            <!--            <ul>-->
            <!--                <li>Academic-specific application forms and workflows</li>-->
            <!--                <li>Credential verification and academic reference tracking</li>-->
            <!--                <li>Committee-based review and decision processes</li>-->
            <!--                <li>Integration with academic calendars and schedules</li>-->
            <!--                <li>Compliance with educational sector regulations</li>-->
            <!--            </ul>-->
            <!--            <p>Educational institutions across Nigeria trust RecruitNG to help them find and hire qualified faculty and staff members.</p>-->
            <!--        </div>-->
            <!--        <div class="use-case-image animate animate-delay-400">-->
            <!--            <img src="/placeholder.svg?height=400&width=600" alt="Educational Institution Use Case">-->
            <!--        </div>-->
            <!--    </div>-->
            <!--</div>-->
        </div>
    </section>

    <!-- Testimonials Section -->
    <section class="testimonials" id="testimonials">
        <div class="container">
            <h2 class="section-title animate" style="color: white;">Trusted by thousands of companies</h2>
            <p class="section-subtitle animate animate-delay-100" style="color: rgba(255, 255, 255, 0.8);">See what our customers have to say about RecruitNG</p>
            <div class="testimonial-grid">
                <div class="testimonial-card animate animate-delay-200">
                    <p class="testimonial-content">"RecruitNG has transformed our hiring process. We've reduced our time-to-hire by 40% and improved the quality of our candidates. The social media integration feature has been a game-changer for reaching tech talent."</p>
                    <div class="testimonial-author">
                        <img src="/placeholder.svg?height=50&width=50" alt="John Smith">
                        <div class="author-info">
                            <h4>John Smith</h4>
                            <p>HR Director, TechCorp</p>
                        </div>
                    </div>
                </div>
                <div class="testimonial-card animate animate-delay-300">
                    <p class="testimonial-content">"The time management features have been a game-changer for our remote team. We can now track productivity and ensure everyone is aligned. The custom questionnaires help us efficiently screen candidates for our specialized roles."</p>
                    <div class="testimonial-author">
                        <img src="/placeholder.svg?height=50&width=50" alt="Sarah Johnson">
                        <div class="author-info">
                            <h4>Sarah Johnson</h4>
                            <p>COO, Digital Solutions</p>
                        </div>
                    </div>
                </div>
                <div class="testimonial-card animate animate-delay-400">
                    <p class="testimonial-content">"As a recruitment agency, we needed a solution that could handle multiple clients and job openings simultaneously. RecruitNG's flexible roles and permissions system allows us to create tailored experiences for each client."</p>
                    <div class="testimonial-author">
                        <img src="/placeholder.svg?height=50&width=50" alt="Michael Chen">
                        <div class="author-info">
                            <h4>Michael Chen</h4>
                            <p>CEO, Innovate Recruiting</p>
                        </div>
                    </div>
                </div>
                <div class="testimonial-card animate animate-delay-500">
                    <p class="testimonial-content">"The ability to customize the platform with our university branding has made a huge difference in candidate experience. Our applicants regularly comment on how smooth and professional our hiring process is now."</p>
                    <div class="testimonial-author">
                        <img src="/placeholder.svg?height=50&width=50" alt="Amara Okafor">
                        <div class="author-info">
                            <h4>Amara Okafor</h4>
                            <p>HR Manager, Lagos University</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Pricing Section -->
    <section class="pricing" id="pricing">
        <div class="container">
            <h2 class="section-title animate">Pricing Plans</h2>
            <p class="section-subtitle animate animate-delay-100">Choose the plan that fits your business needs</p>
            <div class="pricing-toggle animate animate-delay-200">
                <button class="toggle-btn active" id="monthlyToggle">Monthly</button>
                <button class="toggle-btn" id="yearlyToggle">Yearly</button>
            </div>
            <div class="pricing-cards" id="monthlyPricing">
                <div class="pricing-card animate animate-delay-300">
                    <h3>Professional</h3>
                    <div class="price">₦15,000</div>
                    <div class="duration">per month</div>
                    <ul class="features-list">
                        <li>4 Active Jobs</li>
                        <li>100 Candidate Access</li>
                        <li>Basic Reporting</li>
                        <li>Email Support</li>
                        <li>Social Media Integration</li>
                        <li>Export to Excel</li>
                        <li>Quick Filters</li>
                        <li>Single Admin User</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
                <div class="pricing-card glass recommended animate animate-delay-400">
                    <div class="recommended-badge">Recommended</div>
                    <h3>Expert</h3>
                    <div class="price">₦30,000</div>
                    <div class="duration">per month</div>
                    <ul class="features-list">
                        <li>Career Website</li>
                        <li>Roles and Permissions</li>
                        <li>10 Active Jobs</li>
                        <li>500 Candidate Access</li>
                        <li>Advanced Reporting</li>
                        <li>Priority Support</li>
                        <li>All Professional Features</li>
                        <li>Applicant Rating</li>
                        <li>Custom Questionnaires</li>
                        <li>5 Admin Users</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
                <div class="pricing-card animate animate-delay-500">
                    <h3>Corporate</h3>
                    <div class="price">₦60,000</div>
                    <div class="duration">per month</div>
                    <ul class="features-list">
                        <li>Career Website</li>
                        <li>Roles and Permissions</li>
                        <li>Unlimited Active Jobs</li>
                        <li>Unlimited Candidate Access</li>
                        <li>Custom Reporting</li>
                        <li>Dedicated Account Manager</li>
                        <li>API Access</li>
                        <li>All Expert Features</li>
                        <li>Theme Settings</li>
                        <li>Multiple Languages</li>
                        <li>Unlimited Admin Users</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
            </div>
            <div class="pricing-cards" id="yearlyPricing" style="display: none;">
                <div class="pricing-card animate animate-delay-300">
                    <h3>Professional</h3>
                    <div class="price">₦150,000</div>
                    <div class="duration">per year (Save ₦30,000)</div>
                    <ul class="features-list">
                        <li>4 Active Jobs</li>
                        <li>100 Candidate Access</li>
                        <li>Basic Reporting</li>
                        <li>Email Support</li>
                        <li>Social Media Integration</li>
                        <li>Export to Excel</li>
                        <li>Quick Filters</li>
                        <li>Single Admin User</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
                <div class="pricing-card glass recommended animate animate-delay-400">
                    <div class="recommended-badge">Recommended</div>
                    <h3>Expert</h3>
                    <div class="price">₦300,000</div>
                    <div class="duration">per year (Save ₦60,000)</div>
                    <ul class="features-list">
                        <li>Career Website</li>
                        <li>Roles and Permissions</li>
                        <li>10 Active Jobs</li>
                        <li>500 Candidate Access</li>
                        <li>Advanced Reporting</li>
                        <li>Priority Support</li>
                        <li>All Professional Features</li>
                        <li>Applicant Rating</li>
                        <li>Custom Questionnaires</li>
                        <li>5 Admin Users</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
                <div class="pricing-card animate animate-delay-500">
                    <h3>Corporate</h3>
                    <div class="price">₦600,000</div>
                    <div class="duration">per year (Save ₦120,000)</div>
                    <ul class="features-list">
                        <li>Career Website</li>
                        <li>Roles and Permissions</li>
                        <li>Unlimited Active Jobs</li>
                        <li>Unlimited Candidate Access</li>
                        <li>Custom Reporting</li>
                        <li>Dedicated Account Manager</li>
                        <li>API Access</li>
                        <li>All Expert Features</li>
                        <li>Theme Settings</li>
                        <li>Multiple Languages</li>
                        <li>Unlimited Admin Users</li>
                    </ul>
                    <a href="#" class="btn btn-primary">Buy now</a>
                </div>
            </div>
        </div>
    </section>

    <!-- FAQ Section -->
    <section class="faq" id="faq">
        <div class="container">
            <h2 class="section-title animate">Frequently Asked Questions</h2>
            <p class="section-subtitle animate animate-delay-100">Find answers to common questions about RecruitNG</p>
            <div class="faq-container">
                <div class="accordion">
                    <div class="accordion-item animate animate-delay-200">
                        <div class="accordion-header">
                            <h3>How does the applicant tracking system work?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>Our applicant tracking system allows you to post jobs, receive applications, screen candidates, schedule interviews, and make offers all in one place. You can customize your recruitment workflow, collaborate with your team, and track candidates through each stage of the process. The system provides automation features like candidate scoring, automated emails, and interview scheduling to save you time.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-300">
                        <div class="accordion-header">
                            <h3>Can I integrate RecruitNG with my existing tools?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>Yes, RecruitNG integrates with a wide range of tools and services, including Google Workspace, Microsoft Office, Slack, Zoom, Salesforce, and many more. We also offer an API for custom integrations with your existing HR systems. Our Corporate plan includes priority support for custom integration requirements.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-400">
                        <div class="accordion-header">
                            <h3>How secure is my data with RecruitNG?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>We take data security very seriously. RecruitNG is compliant with GDPR, CCPA, and other data protection regulations. We use industry-standard encryption, regular security audits, and strict access controls to protect your data. All information is stored in secure, enterprise-grade data centers with 99.9% uptime and regular backups.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-500">
                        <div class="accordion-header">
                            <h3>Can I customize RecruitNG to match my company branding?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>Yes, you can customize the look and feel of RecruitNG to match your company branding. This includes your logo, colors, and career website. The Expert and Corporate plans offer more extensive customization options, including custom domain names, email templates, and application forms.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-200">
                        <div class="accordion-header">
                            <h3>How does the Social Media Integration feature work?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>Our Social Media Integration feature allows you to share job postings directly to platforms like LinkedIn, Twitter, Facebook, and Instagram with a single click. You can schedule posts, customize messaging, and track which platforms drive the most qualified candidates. This feature is available on all plans and helps you extend your reach without switching between multiple tools.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-300">
                        <div class="accordion-header">
                            <h3>What languages does RecruitNG support?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>RecruitNG supports multiple languages including English, French, Yoruba, Hausa, Igbo, Spanish, Portuguese, German, and Arabic. Career sites and application forms can be configured to display in the language of your choice, making it easier to reach diverse candidate pools. The Corporate plan includes the ability to run multi-language career sites simultaneously.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-400">
                        <div class="accordion-header">
                            <h3>Can I migrate data from my current ATS to RecruitNG?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>Yes, we offer data migration services to help you transition smoothly from your current ATS to RecruitNG. Our team will work with you to import candidate profiles, job descriptions, and historical data. For Expert and Corporate customers, we provide a dedicated migration specialist to ensure a seamless transition without losing valuable recruitment data.</p>
                            </div>
                        </div>
                    </div>
                    <div class="accordion-item animate animate-delay-500">
                        <div class="accordion-header">
                            <h3>What support options are available?</h3>
                            <div class="accordion-icon">
                                <i class="fas fa-plus"></i>
                            </div>
                        </div>
                        <div class="accordion-content">
                            <div class="accordion-content-inner">
                                <p>All customers receive email support with fast response times. Expert plan customers get priority email support and access to live chat during business hours. Corporate customers receive all of the above plus phone support and a dedicated account manager. We also offer an extensive knowledge base, video tutorials, and regular webinars for all users regardless of plan.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Blog Section -->
    <section class="blog" id="blog">
        <div class="container">
            <h2 class="section-title animate">Latest Resources</h2>
            <p class="section-subtitle animate animate-delay-100">Insights, guides, and best practices for HR professionals</p>
            <div class="blog-grid">
                <div class="blog-card animate animate-delay-200">
                    <div class="blog-image">
                        <img src="/placeholder.svg?height=200&width=400" alt="Blog Post">
                    </div>
                    <div class="blog-content">
                        <span class="blog-category">Recruitment</span>
                        <h3 class="blog-title">10 Strategies to Attract Top Talent in 2024</h3>
                        <p class="blog-excerpt">Learn how to stand out in a competitive job market and attract the best candidates for your open positions in Nigeria's evolving job market.</p>
                        <div class="blog-meta">
                            <span><i class="far fa-calendar"></i> May 15, 2024</span>
                            <span><i class="far fa-clock"></i> 5 min read</span>
                        </div>
                    </div>
                </div>
                <div class="blog-card glass animate animate-delay-300">
                    <div class="blog-image">
                        <img src="/placeholder.svg?height=200&width=400" alt="Blog Post">
                    </div>
                    <div class="blog-content">
                        <span class="blog-category">HR Tech</span>
                        <h3 class="blog-title">The Future of HR: AI and Automation Trends</h3>
                        <p class="blog-excerpt">Discover how artificial intelligence and automation are transforming HR processes and what it means for your organization in the African market.</p>
                        <div class="blog-meta">
                            <span><i class="far fa-calendar"></i> May 8, 2024</span>
                            <span><i class="far fa-clock"></i> 7 min read</span>
                        </div>
                    </div>
                </div>
                <div class="blog-card animate animate-delay-400">
                    <div class="blog-image">
                        <img src="/placeholder.svg?height=200&width=400" alt="Blog Post">
                    </div>
                    <div class="blog-content">
                        <span class="blog-category">Employee Experience</span>
                        <h3 class="blog-title">Building a Positive Company Culture Remotely</h3>
                        <p class="blog-excerpt">Tips and strategies for fostering a strong company culture in remote and hybrid work environments that respect Nigerian workplace dynamics.</p>
                        <div class="blog-meta">
                            <span><i class="far fa-calendar"></i> May 1, 2024</span>
                            <span><i class="far fa-clock"></i> 6 min read</span>
                        </div>
                    </div>
                </div>
                <div class="blog-card glass animate animate-delay-500">
                    <div class="blog-image">
                        <img src="/placeholder.svg?height=200&width=400" alt="Blog Post">
                    </div>
                    <div class="blog-content">
                        <span class="blog-category">Compliance</span>
                        <h3 class="blog-title">Nigerian Labor Laws: What HR Professionals Need to Know</h3>
                        <p class="blog-excerpt">A comprehensive guide to understanding and complying with Nigerian labor laws and regulations for HR professionals and business owners.</p>
                        <div class="blog-meta">
                            <span><i class="far fa-calendar"></i> April 22, 2024</span>
                            <span><i class="far fa-clock"></i> 9 min read</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- CTA Section -->
    <section class="cta">
        <div class="container">
            <h2 class="animate">Ready to transform your recruitment?</h2>
            <p class="animate animate-delay-100">Join thousands of companies across Nigeria using RecruitNG to streamline their hiring processes and find the best talent for their teams.</p>
            <div class="hero-buttons animate animate-delay-200">
                <a href="#contact" class="btn btn-outline">Request a demo</a>
                <a href="#pricing" class="btn btn-glass">Start free trial</a>
            </div>
        </div>
    </section>

    <!-- Contact Section -->
    <section class="contact" id="contact">
        <div class="container">
            <h2 class="section-title animate">Get in Touch</h2>
            <p class="section-subtitle animate animate-delay-100">Have questions? We're here to help you find the perfect solution</p>
            <div class="contact-container">
                <div class="contact-info animate animate-delay-200">
                    <div class="contact-card">
                        <div class="contact-icon">
                            <i class="fas fa-map-marker-alt"></i>
                        </div>
                        <div class="contact-details">
                            <h3>Our Location</h3>
                           <?php echo e($global->address); ?>

                        </div>
                    </div>
                    <div class="contact-card">
                        <div class="contact-icon">
                            <i class="fas fa-phone-alt"></i>
                        </div>
                         <?php if($global->company_phone): ?>
                        <div class="contact-details">
                            <h3>Phone Number</h3>
                            <p><?php echo e($global->company_phone); ?></p>
                        </div>
                         <?php endif; ?>
                    </div>
                    <div class="contact-card">
                        <div class="contact-icon">
                            <i class="fas fa-envelope"></i>
                        </div>
                        <div class="contact-details">
                            <h3>Email Address</h3>
                            <p>info@recruitng.com</p>
                            <p>support@recruitng.com</p>
                        </div>
                    </div>
                    <div class="contact-card">
                        <div class="contact-icon">
                            <i class="fas fa-clock"></i>
                        </div>
                        <div class="contact-details">
                            <h3>Working Hours</h3>
                            <p>Monday - Friday: 8am - 5pm</p>
                            <p>Saturday: 10am - 2pm</p>
                        </div>
                    </div>
                </div>
                <div class="contact-form glass animate animate-delay-300">
                    <form action="#" method="POST">
                        <div class="form-group">
                            <label for="name">Full Name</label>
                            <input type="text" id="name" name="name" class="form-control" placeholder="Enter your full name" required>
                        </div>
                        <div class="form-group">
                            <label for="email">Email Address</label>
                            <input type="email" id="email" name="email" class="form-control" placeholder="Enter your email address" required>
                        </div>
                        <div class="form-group">
                            <label for="phone">Phone Number</label>
                            <input type="tel" id="phone" name="phone" class="form-control" placeholder="Enter your phone number">
                        </div>
                        <div class="form-group">
                            <label for="subject">Subject</label>
                            <input type="text" id="subject" name="subject" class="form-control" placeholder="Enter subject">
                        </div>
                        <div class="form-group">
                            <label for="message">Message</label>
                            <textarea id="message" name="message" class="form-control" placeholder="Enter your message" required></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Send Message</button>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <!-- Footer -->
    <footer>
        <div class="container">
            <div class="footer-grid">
                <div class="footer-brand">
                    <a href="#top" class="logo">
                        <img src=<?php echo e($firstHeaderData->logo_url); ?> alt="RecruitNG Logo">
                        
                    </a>
                    <p>The complete HR platform for modern businesses in Nigeria and across Africa</p>
                    <div class="social-icons">
                        <a href="#" class="social-icon"><i class="fab fa-twitter"></i></a>
                        <a href="#" class="social-icon"><i class="fab fa-facebook-f"></i></a>
                        <a href="#" class="social-icon"><i class="fab fa-linkedin-in"></i></a>
                        <a href="#" class="social-icon"><i class="fab fa-instagram"></i></a>
                    </div>
                </div>
                <div class="footer-links">
                    <h3>Product</h3>
                    <ul>
                        <li><a href="#features">Features</a></li>
                        <li><a href="#pricing">Pricing</a></li>
                        <li><a href="#">Enterprise</a></li>
                        <li><a href="#">Security</a></li>
                        <li><a href="#">API</a></li>
                    </ul>
                </div>
                <div class="footer-links">
                    <h3>Company</h3>
                    <ul>
                        <li><a href="#">About</a></li>
                        <li><a href="#">Careers</a></li>
                        <li><a href="#blog">Blog</a></li>
                        <li><a href="#contact">Contact</a></li>
                        <li><a href="#">Partners</a></li>
                    </ul>
                </div>
                <div class="footer-links">
                    <h3>Resources</h3>
                    <ul>
                        <li><a href="#">Help Center</a></li>
                        <li><a href="#">Documentation</a></li>
                        <li><a href="#">API Reference</a></li>
                        <li><a href="#">Status</a></li>
                        <li><a href="#faq">FAQ</a></li>
                    </ul>
                </div>
            </div>
            <div class="copyright">
                <p> <?php echo e(ucwords($frontDetail->footer_copyright_text)); ?>.</p>
            </div>
        </div>
    </footer>

    <!-- Scroll to Top Button -->
    <div class="scroll-to-top" id="scrollToTop">
        <i class="fas fa-arrow-up"></i>
    </div>

    <!-- Cookie Consent Banner -->
    <div class="cookie-banner" id="cookieBanner">
        <div class="cookie-content">
            <h3>We use cookies</h3>
            <p>We use cookies to enhance your browsing experience, serve personalized ads or content, and analyze our traffic. By clicking "Accept All", you consent to our use of cookies.</p>
        </div>
        <div class="cookie-buttons">
            <button class="btn btn-outline" id="cookieDecline">Decline</button>
            <button class="btn btn-primary" id="cookieAccept">Accept All</button>
        </div>
    </div>

    <script>
        // Sticky Header
        const header = document.getElementById('header');
        window.addEventListener('scroll', () => {
            if (window.scrollY > 50) {
                header.classList.add('scrolled');
            } else {
                header.classList.remove('scrolled');
            }
        });
        
        // Mobile Menu
        const mobileMenuBtn = document.getElementById('mobileMenuBtn');
        const mobileMenu = document.getElementById('mobileMenu');
        const mobileMenuClose = document.getElementById('mobileMenuClose');
        const overlay = document.getElementById('overlay');
        const mobileNavItems = document.querySelectorAll('.mobile-nav-item');
        
        mobileMenuBtn.addEventListener('click', () => {
            mobileMenu.classList.add('open');
            overlay.classList.add('open');
            document.body.style.overflow = 'hidden';
        });
        
        function closeMenu() {
            mobileMenu.classList.remove('open');
            overlay.classList.remove('open');
            document.body.style.overflow = '';
        }
        
        mobileMenuClose.addEventListener('click', closeMenu);
        overlay.addEventListener('click', closeMenu);
        
        mobileNavItems.forEach(item => {
            item.addEventListener('click', closeMenu);
        });
        
        // Scroll to Top Button
        const scrollToTopBtn = document.getElementById('scrollToTop');
        
        window.addEventListener('scroll', () => {
            if (window.scrollY > 300) {
                scrollToTopBtn.classList.add('show');
            } else {
                scrollToTopBtn.classList.remove('show');
            }
        });
        
        scrollToTopBtn.addEventListener('click', () => {
            window.scrollTo({
                top: 0,
                behavior: 'smooth'
            });
        });
        
        // Use Case Tabs
        const useCaseTabs = document.querySelectorAll('.use-case-tab');
        const useCaseContents = document.querySelectorAll('.use-case-content');
        
        useCaseTabs.forEach(tab => {
            tab.addEventListener('click', () => {
                const tabId = tab.getAttribute('data-tab');
                
                useCaseTabs.forEach(t => t.classList.remove('active'));
                useCaseContents.forEach(content => content.classList.remove('active'));
                
                tab.classList.add('active');
                document.getElementById(tabId).classList.add('active');
            });
        });
        
        // Scroll Animations
        document.addEventListener('DOMContentLoaded', function() {
            // Show cookie banner after a short delay
            setTimeout(() => {
                document.getElementById('cookieBanner').classList.add('show');
            }, 1500);
            
            // Initial animation for elements in viewport
            const animateElements = document.querySelectorAll('.animate');
            animateElements.forEach(element => {
                if (isInViewport(element)) {
                    element.classList.add('fade-in');
                }
            });
            
            // Set up intersection observer for scroll animations
            const observer = new IntersectionObserver((entries) => {
                entries.forEach(entry => {
                    if (entry.isIntersecting) {
                        entry.target.classList.add('fade-in');
                        observer.unobserve(entry.target);
                    }
                });
            }, { threshold: 0.1 });
            
            animateElements.forEach(element => {
                observer.observe(element);
            });
            
            // Cookie banner functionality
            document.getElementById('cookieAccept').addEventListener('click', () => {
                document.getElementById('cookieBanner').classList.remove('show');
                // Here you would set a cookie to remember the user's choice
            });
            
            document.getElementById('cookieDecline').addEventListener('click', () => {
                document.getElementById('cookieBanner').classList.remove('show');
                // Here you would set a cookie to remember the user's choice
            });
            
            // Pricing toggle
            const monthlyToggle = document.getElementById('monthlyToggle');
            const yearlyToggle = document.getElementById('yearlyToggle');
            const monthlyPricing = document.getElementById('monthlyPricing');
            const yearlyPricing = document.getElementById('yearlyPricing');
            
            monthlyToggle.addEventListener('click', () => {
                monthlyToggle.classList.add('active');
                yearlyToggle.classList.remove('active');
                monthlyPricing.style.display = 'grid';
                yearlyPricing.style.display = 'none';
            });
            
            yearlyToggle.addEventListener('click', () => {
                yearlyToggle.classList.add('active');
                monthlyToggle.classList.remove('active');
                yearlyPricing.style.display = 'grid';
                monthlyPricing.style.display = 'none';
            });
            
            // FAQ Accordion
            const accordionItems = document.querySelectorAll('.accordion-item');
            accordionItems.forEach(item => {
                const header = item.querySelector('.accordion-header');
                header.addEventListener('click', () => {
                    item.classList.toggle('active');
                });
            });
        });
        
        // Helper function to check if element is in viewport
        function isInViewport(element) {
            const rect = element.getBoundingClientRect();
            return (
                rect.top <= (window.innerHeight || document.documentElement.clientHeight) &&
                rect.bottom >= 0
            );
        }
    </script>
</body>
</html>

<?php /**PATH /home/conglomerate/public_html/appwww/resources/views/saas-front/index.blade.php ENDPATH**/ ?>