<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary">
    <!-- Brand Logo -->
    <a href="<?php echo e(route('admin.dashboard')); ?>" class="brand-link">
        <img src="<?php echo e($global->logo_url); ?>"
             alt="AdminLTE Logo"
             class="brand-image img-fluid">
    </a>
    <!-- Sidebar -->
    <div class="sidebar">

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" id="sidebarnav" role="menu"
                data-accordion="false">

            <?php if(!is_null($activePackage)): ?>
                <!-- Add icons to the links using the .nav-icon class
                        with font-awesome or any other icon font library -->
                    <li class="nav-item">
                        <a href="<?php echo e(route('admin.dashboard')); ?>" class="nav-link <?php echo e(request()->is('admin/dashboard*') ? 'active' : ''); ?>">
                            <i class="nav-icon icon-speedometer"></i>
                            <p>
                                <?php echo app('translator')->get('menu.dashboard'); ?>
                            </p>
                        </a>
                    </li>

                    <?php if(in_array("view_category", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.job-categories.index')); ?>" class="nav-link <?php echo e(request()->is('admin/job-categories*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-grid"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.jobCategories'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_skills", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.skills.index')); ?>" class="nav-link <?php echo e(request()->is('admin/skills*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-grid"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.skills'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_locations", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.locations.index')); ?>" class="nav-link <?php echo e(request()->is('admin/locations*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-location-pin"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.locations'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_jobs", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.jobs.index')); ?>" class="nav-link <?php echo e(request()->is('admin/jobs*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-badge"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.jobs'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>
                    <?php if(in_array("view_job_company", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.job-company.index')); ?>" class="nav-link <?php echo e(request()->is('admin/job-company*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-film"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.companies'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_job_applications", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.job-applications.index')); ?>" class="nav-link <?php echo e(request()->is('admin/job-applications*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-user"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.jobApplications'); ?>
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.applications-archive.index')); ?>" class="nav-link <?php echo e(request()->is('admin/applications-archive*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-drawer"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.candidateDatabase'); ?>
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.job-onboard.index')); ?>" class="nav-link <?php echo e(request()->is('admin/job-onboard*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-user"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.jobOnboard'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_schedule", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.interview-schedule.index')); ?>" class="nav-link <?php echo e(request()->is('admin/interview-schedule*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-calendar"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.interviewSchedule'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(in_array("view_team", $userPermissions)): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.team.index')); ?>" class="nav-link <?php echo e(request()->is('admin/team*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-people"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.team'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if($user->roles->count() > 0): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.todo-items.index')); ?>" class="nav-link <?php echo e(request()->is('admin/todo-items*') ? 'active' : ''); ?>">
                                <i class="nav-icon icon-notebook"></i>
                                <p>
                                    <?php echo app('translator')->get('menu.todoList'); ?>
                                </p>
                            </a>
                        </li>
                    <?php endif; ?>
                <?php endif; ?>

                <?php if($user->roles->count() > 0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.job_alert.index')); ?>" class="nav-link <?php echo e(request()->is('admin/job_alert*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-bell"></i>
                        <p>
                            <?php echo app('translator')->get('menu.jobAlert'); ?>
                        </p>
                    </a>
                </li>
            <?php endif; ?>


                <li class="nav-item">
                    <a href="<?php echo e(route('admin.report.index')); ?>" class="nav-link <?php echo e(request()->is('admin/report*') ? 'active' : ''); ?>">
                        <i class="fa fa-bar-chart" aria-hidden="true"></i>
                        <p>
                            <?php echo app('translator')->get('app.reports'); ?>
                        </p>
                    </a>
                </li>
                <?php if(in_array("view_schedule", $userPermissions)): ?>
                <?php if(isset($zoom_setting->enable_zoom) && $zoom_setting->enable_zoom == 1): ?>
                <li class="nav-item has-treeview">
                    <a href="<?php echo e(route('admin.zoom-meeting.table-view')); ?>" class="nav-link">
                        <i class="fa fa-video-camera"></i>
                        <p> <?php echo app('translator')->get('menu.zoomMeeting'); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php endif; ?>
                <?php if(!is_null($activePackage)): ?>
                    <li class="nav-item has-treeview <?php if(\Request()->is('admin/subscribe*')): ?>active menu-open <?php endif; ?>">
                        <a href="#" class="nav-link">
                            <i class="nav-icon icon-settings"></i>
                            <p>
                                <?php echo app('translator')->get('menu.subscription'); ?>
                                <i class="right fa fa-angle-left"></i>
                            </p>
                        </a>
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.subscribe.index')); ?>" class="nav-link <?php echo e(request()->is('admin/subscribe*' && !request()->is('admin/subscribe/history')) ? 'active' : ''); ?>">
                                    <i class="fa fa-circle-o nav-icon"></i>
                                    <p> <?php echo app('translator')->get('menu.subscription'); ?></p>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.subscribe.history')); ?>" class="nav-link <?php echo e(request()->is('admin/subscribe/history') ? 'active' : ''); ?>">
                                    <i class="fa fa-circle-o nav-icon"></i>
                                    <p> <?php echo app('translator')->get('menu.history'); ?></p>
                                </a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <li class="nav-item has-treeview <?php if(\Request()->is('admin/settings/*') || \Request()->is('admin/profile')): ?>active menu-open <?php endif; ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon icon-settings"></i>
                        <p>
                            <?php echo app('translator')->get('menu.settings'); ?>
                            <i class="right fa fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(!is_null($activePackage)): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.profile.index')); ?>" class="nav-link <?php echo e(request()->is('admin/profile*') ? 'active' : ''); ?>">
                                    <i class="fa fa-circle-o nav-icon"></i>
                                    <p> <?php echo app('translator')->get('menu.myProfile'); ?></p>
                                </a>
                            </li>

                            <?php if(in_array("manage_settings", $userPermissions)): ?>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.settings.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/settings') ? 'active' : ''); ?>">
                                        <i class="fa fa-circle-o nav-icon"></i>
                                        <p><?php echo app('translator')->get('menu.businessSettings'); ?></p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.application-setting.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/application-setting') ? 'active' : ''); ?>">
                                        <i class="fa fa-circle-o nav-icon"></i>
                                        <p><?php echo app('translator')->get('menu.applicationFormSettings'); ?></p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.role-permission.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/role-permission') ? 'active' : ''); ?>">
                                        <i class="fa fa-circle-o nav-icon"></i>
                                        <p><?php echo app('translator')->get('menu.rolesPermission'); ?></p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.theme-settings.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/theme-settings') ? 'active' : ''); ?>">
                                        <i class="fa fa-circle-o nav-icon"></i>
                                        <p><?php echo app('translator')->get('menu.themeSettings'); ?></p>
                                    </a>
                                </li>
                                <?php if($linkedinGlobal->status == 'enable'): ?>
                                    <li class="nav-item">
                                        <a href="<?php echo e(route('admin.linkedin-settings.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/linkedin-settings') ? 'active' : ''); ?>">
                                            <i class="fa fa-circle-o nav-icon"></i>
                                            <p><?php echo app('translator')->get('menu.linkedInSettings'); ?></p>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if(is_null($global->account_delete_at)): ?>
                                    <li class="nav-item">
                                        <a href="<?php echo e(route('admin.settings.delete-account')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/delete-account') ? 'active' : ''); ?>">
                                            <i class="fa fa-circle-o nav-icon"></i>
                                            <p><?php echo app('translator')->get('app.deleteAccount'); ?></p>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.zoom-setting.index')); ?>" class="nav-link <?php echo e(request()->is('admin/settings/zoom-setting') ? 'active' : ''); ?>">
                                        <i class="fa fa-circle-o nav-icon"></i>

                                        <p> <?php echo app('translator')->get('menu.zoomSetting'); ?></p>
                                    </a>
                                </li>
                            <?php endif; ?>
                        <?php endif; ?>
                   

                    </ul>
                </li>

                <?php if(!is_null($activePackage) && $activePackage->package->career_website): ?>
                    <li class="nav-header"><?php echo app('translator')->get('app.miscellaneous'); ?></li>
                    <li class="nav-item">
                        <a href="<?php echo e(jobOpenings($global->career_page_link)); ?>" target="_blank"
                           class="nav-link">
                            <i class="nav-icon fa fa-external-link"></i>
                            <p><?php echo app('translator')->get('app.careerWebsite'); ?></p>
                        </a>
                    </li>
                <?php endif; ?>

            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>

<?php /**PATH /home/conglomerate/public_html/appwww/resources/views/sections/left-sidebar.blade.php ENDPATH**/ ?>