<section class="pricing-section" id="pricing">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center">
                    <h2><?php echo e($frontDetail->price_title); ?></h2>
                    <p class="lead">
                        <?php echo e($frontDetail->price_description); ?>

                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-md-12 text-center">
                <div class="pricing-switcher">
                    <p class="fieldset">
                        <input type="checkbox" id="package-switch" class="js-switch" data-color="#00c292" />
                        <label for="package-switch"><?php echo app('translator')->get('app.monthly'); ?> / <?php echo app('translator')->get('app.annual'); ?></label>
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5 monthly-packages">
            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($package->monthly_status == 1): ?>
                    <div class="col-md-4">
                        <div class="pricing pricing-1 boxed boxed--lg boxed--border">
                            <h3><?php echo e(ucwords($package->name)); ?></h3>
                            <span class="h2">
                                <span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($package->monthly_price); ?>

                            </span>
                            <span class="type--fine-print"><?php echo app('translator')->get('app.monthly'); ?></span>
                            <hr>
                            <ul>
                                <li>
                                    <span><?php echo e($package->max_employees); ?> <?php echo app('translator')->get('app.maxEmployees'); ?></span>
                                </li>
                                <?php if($package->storage_unit == 'mb'): ?>
                                    <li>
                                        <span><?php echo e($package->max_storage_size); ?> <?php echo app('translator')->get('app.mb'); ?> <?php echo app('translator')->get('app.maxStorageSize'); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li>
                                        <span><?php echo e($package->max_storage_size); ?> <?php echo app('translator')->get('app.gb'); ?> <?php echo app('translator')->get('app.maxStorageSize'); ?></span>
                                    </li>
                                <?php endif; ?>
                                <li>
                                    <span><?php echo e(ucwords($package->module_in_package)); ?></span>
                                </li>
                            </ul>
                            <a class="btn btn--primary" href="<?php echo e(route('front.signup.index')); ?>">
                                <span class="btn__text">
                                    <?php echo app('translator')->get('app.buy'); ?> <?php echo app('translator')->get('app.now'); ?>
                                </span>
                            </a>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
        <div class="row mt-5 annual-packages" style="display: none;">
            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($package->annual_status == 1): ?>
                    <div class="col-md-4">
                        <div class="pricing pricing-1 boxed boxed--lg boxed--border">
                            <h3><?php echo e(ucwords($package->name)); ?></h3>
                            <span class="h2">
                                <span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($package->annual_price); ?>

                            </span>
                            <span class="type--fine-print"><?php echo app('translator')->get('app.annual'); ?></span>
                            <hr>
                            <ul>
                                <li>
                                    <span><?php echo e($package->max_employees); ?> <?php echo app('translator')->get('app.maxEmployees'); ?></span>
                                </li>
                                <?php if($package->storage_unit == 'mb'): ?>
                                    <li>
                                        <span><?php echo e($package->max_storage_size); ?> <?php echo app('translator')->get('app.mb'); ?> <?php echo app('translator')->get('app.maxStorageSize'); ?></span>
                                    </li>
                                <?php else: ?>
                                    <li>
                                        <span><?php echo e($package->max_storage_size); ?> <?php echo app('translator')->get('app.gb'); ?> <?php echo app('translator')->get('app.maxStorageSize'); ?></span>
                                    </li>
                                <?php endif; ?>
                                <li>
                                    <span><?php echo e(ucwords($package->module_in_package)); ?></span>
                                </li>
                            </ul>
                            <a class="btn btn--primary" href="<?php echo e(route('front.signup.index')); ?>">
                                <span class="btn__text">
                                    <?php echo app('translator')->get('app.buy'); ?> <?php echo app('translator')->get('app.now'); ?>
                                </span>
                            </a>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>

<?php /**PATH /home/conglomerate/public_html/resources/views/sections/pricing.blade.php ENDPATH**/ ?>