 

<?php $__env->startPush('head-script'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/dropify/dist/css/dropify.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.css')); ?>">
<?php $__env->stopPush(); ?> 
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title"><?php echo app('translator')->get('app.edit'); ?> <?php echo app('translator')->get('menu.settings'); ?></h4>

                <form id="editSettings" class="ajax-form">
                    <?php echo csrf_field(); ?> <?php echo method_field('PUT'); ?>

                    <div class="form-group">
                        <label for="company_name"><?php echo app('translator')->get('modules.accountSettings.companyName'); ?></label>
                        <input type="text" class="form-control" id="company_name" name="company_name" value="<?php echo e($global->company_name); ?>">
                    </div>
                    <div class="form-group">
                        <label for="company_email"><?php echo app('translator')->get('modules.accountSettings.companyEmail'); ?></label>
                        <input type="email" class="form-control" id="company_email" name="company_email" value="<?php echo e($global->company_email); ?>">
                    </div>
                    <div class="form-group">
                        <label for="company_phone"><?php echo app('translator')->get('modules.accountSettings.companyPhone'); ?></label>
                        <input type="tel" class="form-control" id="company_phone" name="company_phone" value="<?php echo e($global->company_phone); ?>">
                    </div>
                    <div class="form-group">
                        <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.companyWebsite'); ?></label>
                        <input type="text" class="form-control" id="website" name="website" value="<?php echo e($global->website); ?>">
                    </div>
                    <div class="form-group">
                        <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.companyLogo'); ?></label>
                        <div class="card">
                            <div class="card-body">
                                <input type="file" id="input-file-now" name="logo" class="dropify" data-default-file="<?php echo e($global->logo_url); ?>"  />
                            </div>
                        </div>
                    </div>
                    <div class="input-group mb-3">
                        <label for="exampleInputPassword1" style="width: 100%"><?php echo app('translator')->get('modules.accountSettings.numberDeleteAccountAutomatically'); ?></label>

                        <div class="input-group-prepend">
                            <select name="hoursDays" class="form-control">
                               <option <?php if($global->delete_account_hour_day == 'hour'): ?> selected <?php endif; ?> value="hour"> <?php echo app('translator')->get('app.hours'); ?></option>
                               <option  <?php if($global->delete_account_hour_day == 'day'): ?> selected <?php endif; ?>  value="day">  <?php echo app('translator')->get('app.days'); ?></option>
                            </select>
                        </div>
                        <input type="number" min="0"  class="form-control"  value="<?php echo e($global->delete_account_in); ?>" name="delete_account_in">
                    </div>

                    <div class="form-group">
                        <label for="address"><?php echo app('translator')->get('modules.accountSettings.companyAddress'); ?></label>
                        <textarea class="form-control" id="address" rows="5" name="address"><?php echo e($global->address); ?></textarea>
                    </div>

                    <div class="form-group">
                        <label for="address"><?php echo app('translator')->get('app.currency'); ?></label>
                        <select name="currency_id" id="currency_id" class="form-control">
                            <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option 
                                <?php if($item->id == $global->currency_id): ?>
                                    selected
                                <?php endif; ?>
                                value="<?php echo e($item->id); ?>"><?php echo e($item->currency_code.' ('.$item->currency_symbol.')'); ?></option>                                
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label for="address"><?php echo app('translator')->get('modules.accountSettings.changeLanguage'); ?></label>

                        <select class="form-control" name="locale">
                            <?php $__currentLoopData = $languageSettings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($language->language_code); ?>" <?php if($global->locale == $language->language_code): ?> selected <?php endif; ?>  data-content='<span class="flag-icon flag-icon-<?php echo e($language->language_code); ?>"></span> <?php echo e($language->language_name); ?>'><?php echo e($language->language_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputPassword1"><?php echo app('translator')->get('modules.accountSettings.favicon'); ?></label>
                        <div class="card col-md-4">
                            <div class="card-body">
                                <input type="file" id="input-file-now1"  name="favicon" class="dropify" data-default-file="<?php echo e($global->favicon_url); ?>"  />
                            </div>
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label for="google_recaptcha_key"><?php echo app('translator')->get('modules.accountSettings.googleRecaptchaStatus'); ?></label>
                        <div class="col-sm-4">
                            <div class="switchery-demo">
                                <input id="google_recaptcha_status" name="google_recaptcha_status" type="checkbox"
                                       <?php if($global->google_recaptcha_status == 1): ?> checked
                                       <?php endif; ?> value="on" class="js-switch change-language-setting"
                                       data-color="#99d683" data-size="small" onchange="toggle('#google-captcha')"/>
                            </div>
                        </div>
                    </div>
                    
                    <div id= "google-captcha">
                        <div class="form-group">
                            <label for="google_recaptcha_key"><?php echo app('translator')->get('modules.accountSettings.googleRecaptchaKey'); ?></label>
                            <input type="text" class="form-control" id="google_recaptcha_key" name="google_recaptcha_key"
                               value="<?php echo e($global->google_recaptcha_key); ?>">
                        </div>
                        <div class="form-group">
                            <label for="google_recaptcha_key"><?php echo app('translator')->get('modules.accountSettings.googleCaptchaSecret'); ?></label>
                            <input type="text" class="form-control" id="google_recaptcha_secret" name="google_recaptcha_secret"
                               value="<?php echo e($global->google_recaptcha_secret); ?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="hide_language"><?php echo app('translator')->get('modules.accountSettings.hideLanguage'); ?></label>
                        <div class="col-sm-4">
                            <div class="switchery-demo">
                                <input id="hide_language" name="hide_language" type="checkbox"
                                       <?php if($global->hide_language == 1): ?> checked
                                       <?php endif; ?> value="on" class="js-switch change-language-setting"
                                       data-color="#99d683" data-size="small"/>
                            </div>
                        </div>
                </div>

                    <div class="form-group">
                        <label class="control-label"><?php echo app('translator')->get('modules.accountSettings.updateEnableDisable'); ?>
                            <a href="javascript:void(0)"><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="right" data-original-title="<?php echo app('translator')->get('modules.accountSettings.updateEnableDisableTest'); ?>"></i></a>
                        </label>

                        <div class="col-sm-4">
                            <div class="switchery-demo">
                                <input id="nexmo_status" name="system_update" type="checkbox"
                                       <?php if($global->system_update == 1): ?> checked
                                       <?php endif; ?> value="on" class="js-switch change-language-setting"
                                       data-color="#99d683" data-size="small"/>
                            </div>
                        </div>
                    </div>

                    <button type="button" id="save-form" class="btn btn-success waves-effect waves-light m-r-10">
                            <?php echo app('translator')->get('app.save'); ?>
                        </button>
                    <button type="reset" class="btn btn-inverse waves-effect waves-light"><?php echo app('translator')->get('app.reset'); ?></button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
 <?php $__env->startPush('footer-script'); ?>
<script src="<?php echo e(asset('assets/node_modules/select2/dist/js/select2.full.min.js')); ?>" type="text/javascript"></script>
<script src="<?php echo e(asset('assets/node_modules/bootstrap-select/bootstrap-select.min.js')); ?>" type="text/javascript"></script>
<script src="<?php echo e(asset('assets/node_modules/dropify/dist/js/dropify.min.js')); ?>" type="text/javascript"></script>
<script src="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.js')); ?>"></script>
<script>
     $('.dropify').dropify({
            messages: {
                default: '<?php echo app('translator')->get("app.dragDrop"); ?>',
                replace: '<?php echo app('translator')->get("app.dragDropReplace"); ?>',
                remove: '<?php echo app('translator')->get("app.remove"); ?>',
                error: '<?php echo app('translator')->get('app.largeFile'); ?>'
            }
        });
     $( document ).ready(function() {
        var drEvent = $(".dropify").dropify({
            
    });
         drEvent.on("dropify.afterClear", function (event, element) {
    
        var elementID = element.element.id;
        var elementName = element.element.name;
        if ($("#" + elementID + "_delete").length == 0) {
            $("#" + elementID).after(
                '<input type="hidden" name="' +
                    elementName +
                    '_delete" id="' +
                    elementID +
                    '_delete" value="yes">'
            );
        }
        });
    });       

    $('[data-toggle="tooltip"]').tooltip()
    // Switchery
    var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
    $('.js-switch').each(function () {
        new Switchery($(this)[0], $(this).data());

    });
    function toggle(elementBox) {
            var elBox = $(elementBox);
            elBox.slideToggle();
        }
    $('#google_recaptcha_status').is(':checked') ? $('#google-captcha').show() : $('#google-captcha').hide();
    // For select 2
        $(".select2").select2();

       

       
        $('#save-form').click(function () {
            $.easyAjax({
                url: '<?php echo e(route("superadmin.global-settings.update", $global->id)); ?>',
                container: '#editSettings',
                type: "POST",
               // redirect: true,
                file: true
            })
        });

</script>




<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/super-admin/global-settings/edit.blade.php ENDPATH**/ ?>