<?php $__env->startPush('head-script'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.css')); ?>">
<style>
    .box-display{
        display: none;
    }
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                      <a class="nav-link active" id="online-tab" data-toggle="tab" href="#online" role="tab" aria-controls="home" aria-selected="true"> Payment Credentials</a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" id="offline-tab" data-toggle="tab" href="#offline" role="tab" aria-controls="profile" aria-selected="false">Offline Payment Method</a>
                    </li>
                   
                  </ul>
                 
                   
                    
                  <div class="tab-content" id="myTabContent">
                 <div class="tab-pane fade show active" id="online" role="tabpanel" aria-labelledby="online-tab">
                <div class="card-body ">
                    <h4 class="card-title mb-4 text-primary">PayPal</h4>
                    <form id="editPaymentSettings" class="ajax-form">
                        <div id="alert"></div>
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div class="form-group">
                            <label  for="paypal_status"><?php echo app('translator')->get('app.paypal'); ?> <?php echo app('translator')->get('app.status'); ?></label>

                            <div class="col-sm-4">
                                <div class="switchery-demo">
                                    <input id="paypal_status" name="paypal_status" type="checkbox"
                                           <?php if($credentials->paypal_status == 'active'): ?> checked
                                           <?php endif; ?> 
                                           class="js-switch change-language-setting"
                                           data-color="#99d683" data-size="small"
                                           data-setting-id="<?php echo e($credentials->id); ?>" onchange="toggle('#paypal-credentials')"
                                           />
                                </div>
                            </div>
                        </div>
                        <div id="paypal-credentials">
                            <div class="form-group" >
                                <label class ="required" for="mail_username"><?php echo app('translator')->get('app.clientid'); ?></label>
                                <input type="text" class="form-control" id="paypal_client_id" name="paypal_client_id"
                                       value="<?php echo e($credentials->paypal_client_id); ?>">
                            </div>
                            <div class="form-group"  id="paypal_secret_box">
                                <label class ="required" for="mail_password"><?php echo app('translator')->get('app.secret'); ?></label>
                                <input type="text" class="form-control" id="paypal_secret" name="paypal_secret"
                                       value="<?php echo e($credentials->paypal_secret); ?>">
                            </div>

                            <div class="form-group">
                                <label for="mail_from_name"><?php echo app('translator')->get('app.webhook'); ?></label>
                                <p class="text-bold"><?php echo e(route('verify-billing-ipn')); ?></p>
                                <p class="text-info">(<?php echo app('translator')->get('messages.addPaypalWebhookUrl'); ?>)</p>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('app.selectEnvironment'); ?></label>
                                <select class="form-control" name="paypal_mode" id="paypal_mode" data-style="form-control">
                                    <option value="sandbox" <?php if($credentials->paypal_mode == 'sandbox'): ?> selected <?php endif; ?>>Sandbox</option>
                                    <option value="live" <?php if($credentials->paypal_mode == 'live'): ?> selected <?php endif; ?>>Live</option>
                                </select>
                            </div>
                        </div>


                        <h4 class="card-title mb-4 text-success">Stripe</h4>
                        <hr>
                        <div class="form-group">
                            <label for="stripe_status"><?php echo app('translator')->get('app.stripe'); ?> <?php echo app('translator')->get('app.status'); ?></label>

                            <div class="col-sm-4">
                                <div class="switchery-demo">
                                    <input id="stripe_status" name="stripe_status" type="checkbox"
                                           <?php if($credentials->stripe_status == 'active'): ?> checked
                                           <?php endif; ?> class="js-switch change-language-setting"
                                           data-color="#99d683" data-size="small"
                                           data-setting-id="<?php echo e($credentials->id); ?>"
                                           onchange="toggle('#stripe-credentials');" />
                                </div>
                            </div>
                        </div>
                        <div id="stripe-credentials">
                            <div class="form-group">
                                <label class ="required" for="api_key">Publishable Key</label>
                                <input type="text" class="form-control" id="api_key" name="api_key"
                                       value="<?php echo e($credentials->api_key); ?>">
                            </div>
                            <div class="form-group">
                                <label class ="required" for="api_secret">Secret Key</label>
                                <input type="text" class="form-control" id="api_secret" name="api_secret"
                                       value="<?php echo e($credentials->api_secret); ?>">
                            </div>
                            <div class="form-group">
                                <label class ="required" for="webhook_key"><?php echo app('translator')->get('app.webhook'); ?></label>
                                <input type="text" class="form-control" id="webhook_key" name="webhook_key"
                                       value="<?php echo e($credentials->webhook_key); ?>">
                            </div>


                            <div class="form-group">
                                <label for="mail_from_name"><?php echo app('translator')->get('app.webhook'); ?> <?php echo app('translator')->get('app.url'); ?></label>
                                <p class="text-bold"><?php echo e(route('save_webhook')); ?></p>
                                <p class="text-info">(<?php echo app('translator')->get('messages.addStripeWebhookUrl'); ?>)</p>
                            </div>
                        </div>
                            <h4 class="card-title mb-4 text-info">Razorpay </h4>
                        <hr>
                            <div class="form-group">
                                <label for="stripe_status"><?php echo app('translator')->get('app.razorpay'); ?> <?php echo app('translator')->get('app.status'); ?></label>

                                <div class="col-sm-4">
                                    <div class="switchery-demo">
                                        <input id="razorpay_status" name="razorpay_status" type="checkbox"
                                               <?php if($credentials->razorpay_status == 'active'): ?> checked
                                               <?php endif; ?> class="js-switch change-language-setting"
                                               data-color="#99d683" data-size="small"
                                               data-setting-id="<?php echo e($credentials->id); ?>"
                                               onchange="toggle('#razorpay-credentials');" />
                                    </div>
                                </div>
                            </div>

                            <div id="razorpay-credentials" <?php if($credentials->razorpay_status != 'active'): ?> class="box-display" <?php endif; ?>>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class ="required">Razorpay Key</label>
                                        <input type="text" name="razorpay_key" id="razorpay_key"
                                               class="form-control" value="<?php echo e($credentials->razorpay_key); ?>">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class ="required"><?php echo app('translator')->get('app.razorSecret'); ?></label>
                                        <input type="text" name="razorpay_secret" id="razorpay_secret"
                                               class="form-control" value="<?php echo e($credentials->razorpay_secret); ?>">
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class ="required"><?php echo app('translator')->get('app.razorWebhook'); ?></label>
                                        <input type="text" name="razorpay_webhook_secret" id="razorpay_webhook_secret"
                                               class="form-control" value="<?php echo e($credentials->razorpay_webhook_secret); ?>">
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="mail_from_name"><?php echo app('translator')->get('app.webhook'); ?> <?php echo app('translator')->get('app.url'); ?></label>
                                    <p class="text-bold"><?php echo e(route('save_razorpay-webhook')); ?></p>
                                    <p class="text-info">(<?php echo app('translator')->get('messages.addRazorpayWebhookUrl'); ?>)</p>
                                </div>
                            </div>

                        <button type="button" id="save-form"
                                class="btn btn-success waves-effect waves-light m-r-10">
                            <?php echo app('translator')->get('app.save'); ?>
                        </button>
                        <button type="reset"
                                class="btn btn-inverse waves-effect waves-light"><?php echo app('translator')->get('app.reset'); ?></button>
                    </form>
                </div>
                </div>
                <div class="tab-pane fade" id="offline" role="tabpanel" aria-labelledby="offline-tab">
                    <?php echo $__env->make('super-admin.payment-setting.offline-method.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                </div>
            </div>
               
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
<script src="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.js')); ?>"></script>

    <script>
        function toggle(elementBox) {
            var elBox = $(elementBox);
            elBox.slideToggle();
        }

        $('#paypal_status').is(':checked') ? $('#paypal-credentials').show() : $('#paypal-credentials').hide();
        $('#stripe_status').is(':checked') ? $('#stripe-credentials').show() : $('#stripe-credentials').hide();

        // Switchery
        var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));
        $('.js-switch').each(function () {
            new Switchery($(this)[0], $(this).data());

        });

        // Update Mail Setting
        $('#save-form').click(function () {
            $.easyAjax({
                url: '<?php echo e(route('superadmin.payment-settings.update', $credentials->id)); ?>',
                container: '#editPaymentSettings',
                type: "POST",
                redirect: true,
                messagePosition: "inline",
                data: $('#editPaymentSettings').serialize(),
              })
        });
      

    </script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/super-admin/payment-setting/index.blade.php ENDPATH**/ ?>