<?php

use App\CompanyPackage;
use App\GlobalSetting;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use PHPUnit\Util\GlobalState;

class AddColumnsInCompanyPackagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_packages', function (Blueprint $table) {
            $table->string('currency_symbol')->after('package_id');
            $table->string('package_name')->after('currency_symbol');
            $table->string('monthly_price')->after('package_name');
            $table->string('annual_price')->after('monthly_price');

        });
        
        $global = GlobalSetting::first();
        $packages = CompanyPackage::with('package')->get();
        foreach ($packages as $package){
            $companyPackage = CompanyPackage::find($package->id);
            $companyPackage->currency_symbol = $global->currency->currency_symbol;
            $companyPackage->package_name = $package->package->name;
            $companyPackage->monthly_price = $package->package->monthly_price;
            $companyPackage->annual_price = $package->package->annual_price;
            $companyPackage->save();

        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
