<?php

use App\Job;
use App\JobJobLocation;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('job_job_locations', function (Blueprint $table) {
            $table->unsignedInteger('company_id')->nullable()->after('job_id');
            $table->foreign('company_id')->references('id')->on('job_companies')->onDelete('cascade')->onUpdate('cascade');
        });



        $locations = JobJobLocation::with('job')->get();

            if (isset($locations->job))
            {
                foreach($locations as $location)
                {
                    $loc = $location;
                    $loc->company_id = $location->job->company_id;
                    $loc->save();
                }
            }
    }
    

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('job_job_locations', function (Blueprint $table) {
            $table->dropForeign('company_id');
            $table->dropColumn('company_id');
        });
    }
};
