<?php

use App\FrontWidgets;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('front_widgets', function (Blueprint $table) {
            $table->increments('id');
            $table->string('widget_name');
            $table->longText('header_script')->nullable();
            $table->longText('footer_script')->nullable();
            $table->timestamps();
        });

        $widgets = new FrontWidgets();
        $widgets->header_script = '/*Enter your custom JS after this line*/}';
        $widgets->footer_script = '/*Enter your custom JS after this line*/}';
        $widgets->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('front_widgets');
    }
};
