<?php

use App\JobJobLocation;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        JobJobLocation::whereNotNull('job_id')->update(['company_id' => null]);
       
        Schema::table('job_job_locations', function (Blueprint $table) {
            $table->dropForeign(['company_id']);
            $table->foreign('company_id')->references('id')->on('companies')->onDelete('cascade')->onUpdate('cascade');
        });

        $locations = JobJobLocation::with('job')->get();

        foreach($locations as $location)
        {
            if (isset($location->job))
            {
                $loc = $location;
                $loc->company_id = $location->job->company_id;
                $loc->save();
            }
        }
    
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('job_job_locations', function (Blueprint $table) {
            $table->dropForeign('company_id');
        });
    }
};
