@extends('layouts.app')

@push('head-script')
    <link rel="stylesheet" href="//cdn.datatables.net/fixedheader/3.1.5/css/fixedHeader.bootstrap.min.css">
    <link rel="stylesheet" href="//cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.1/css/bootstrap-select.css"/>
    <link rel="stylesheet" href="{{ asset('assets/node_modules/multiselect/css/multi-select.css') }}">
    <style>
         
        
    
    </style>
@endpush
@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">@lang('app.createNew')</h4>
                <form class="ajax-form" method="POST" id="createForm">
                    @csrf

                    <div class="row">
                        <div class="col-md-9">
                            <div class="form-group">
                                <label class="required" for="address">@lang('menu.groupName')</label>
                                <input type="text" id="group_id" name="group_question_name" class="form-control col-md-8" placeholder="@lang('menu.groupName')">
                            </div>
                        </div>
                        <div class="col-md-6 mb-2">
                            <div class="form-group">
                                <label  class="required" for="address">@lang('menu.question')</label>
                                <select class="selectpicker form-control col-md-12" multiple ="multiple" 
                                         name="question[]" id="question_id">
                                    @foreach($questions as $question)
                                        <option value="{{ $question->id }}">{{ ucwords($question->question) }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                       
                    </div>

                </form>
                <button type="button" class="btn btn-success save-form"><i class="fa fa-check"></i> @lang('app.save')</button>



            </div>
        </div>
    </div>
</div>
@endsection
@push('footer-script')
<script src="{{ asset('assets/node_modules/multiselect/js/jquery.multi-select.js') }}"></script>
{{-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script> --}}
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.1/js/bootstrap-select.min.js"></script>
<script>
   
    $(document).ready(function() {
        $('selectpicker').selectpicker();
        $("button[data-id='question_id']").trigger( "click" );
    });
    $('body').on('click', '.save-form', function () {
        
        $.easyAjax({
            url: '{{route('admin.groupquestions.store')}}',
            container: '#createForm',
            type: "POST",
            data: $('#createForm').serialize(),
            
        })
    })

</script>

@endpush