<div class="nav-container">
    <div class="bar bar--sm visible-xs">
        <div class="container">
            <div class="row">
                <div class="col-3 col-md-2">
                    <a href="{{ route('index') }}">
                        <img class="logo logo-dark" alt="logo" src="{{ $firstHeaderData->logo_url }}" />
                    </a>
                </div>
                <div class="col-9 col-md-10 text-right">
                    <a href="#" class="hamburger-toggle" data-toggle-class="#menu1;hidden-xs">
                        <i class="icon icon--sm stack-interface stack-menu"></i>
                    </a>
                </div>
            </div>
            <!--end of row-->
        </div>
        <!--end of container-->
    </div>
    <!--end bar-->
    <nav id="menu1" class="bar bar--sm bar-1 hidden-xs pos-fixed">
        <div class="container">
            <div class="row">
                <div class="col-lg-1 col-md-2 hidden-xs">
                    <div class="bar__module">
                        <a href="{{ route('index') }}">
                            <img class="logo logo-dark" alt="logo" src="{{ $firstHeaderData->logo_url }}" />
                        </a>
                    </div>
                    <!--end module-->
                </div>
                <div class="col-lg-11 col-md-12 text-right text-left-xs text-left-sm">
                    <div class="bar__module">
                        <ul class="menu-horizontal text-left">
                            <li class="dropdown">
                                <a class="inner-link" href="@if(\Request()->is('/')) #header-section @else {{ route('index') }} @endif">@lang('menu.home')</a>
                            </li>
                            <li class="dropdown">
                                <a class="inner-link" href="@if(\Request()->is('/')) #features @else {{ route('index').'#features' }} @endif">@lang('menu.features')</a>
                            </li>
                            <li class="dropdown">
                                <a class="inner-link" href="@if(\Request()->is('/')) #pricing @else {{ route('index').'#pricing' }} @endif">@lang('menu.pricing')</a>
                            </li>
                            <li class="dropdown">
                                <a class="inner-link" href="@if(\Request()->is('/')) #contact @else {{ route('index').'#contact' }} @endif">@lang('menu.contact')</a>
                            </li>
                            <li class="dropdown">
                                <a class="inner-link" target="_blank" href="{{ route('careerPage') }}">career</a>
                            </li>
                        </ul>
                    </div>
                    
                    @if($global->hide_language)
                    <div class="bar__module">
                        <select name="language_selecter" class="selectpicker language-switcher" id="language_switcher">
                            @forelse ($languages as $language)
                            <option
                                    @if (\Cookie::has('language_code') && \Cookie::get('language_code') == $language->language_code)
                                    selected
                                    @endif
                                    value="{{ $language->language_code }}" data-content=' <span class="flag-icon  @if($language->language_code == 'en') flag-icon-us @elseif($language->language_code == 'ar') flag-icon-ae @elseif($language->language_code == 'es-ar') flag-icon-ar @else   flag-icon-{{ $language->language_code }} @endif"></span> {{ ucfirst($language->language_code) }}'>{{ ucfirst($language->language_code) }}</option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    @endif
                    <!--end module-->
                    <div class="bar__module">
                        @if($firstHeaderData->show_login_in_menu)
                            <a class="btn btn--sm type--uppercase" href="{{ module_enabled('Subdomain')?route('front.workspace'):route('login') }}">
                            <span class="btn__text">
                                @lang('app.login')
                            </span>
                        </a>
                        @endif

                        @if($firstHeaderData->show_register_in_menu && $global->registration_disable_button == true)
                        <a class="btn btn--sm btn--primary type--uppercase background-color" href="{{ route('register') }}">
                            <span class="btn__text">
                                @lang('app.register')
                            </span>
                        </a>
                        @endif
                    </div>
                    <!--end module-->
                </div>
            </div>
            <!--end of row-->
        </div>
        <!--end of container-->
    </nav>
</div>

