@extends('layouts.saas-front')

@push('head-script')


@push('header_css')
<link rel="stylesheet" href="{{ asset('assets/plugins/iCheck/all.css') }}">
    <style>
        .page {
            min-height: 60vh;
        }

* {
 /* outline: none; */
 box-sizing: border-box;
}

:root {
 --body-bg-color: #e5ecef;
 --theme-bg-color: #fafafb;
 --body-font: "Poppins", sans-serif;
 --body-color: #2f2f33;
 --active-color: #0162ff;
 --active-light-color: #e1ebfb;
 --header-bg-color: #fff;
 --search-border-color: #efefef;
 --border-color: #d8d8d8;
 --alert-bg-color: #e8f2ff;
 --subtitle-color: #83838e;
 --inactive-color: #f0f0f0;
 --placeholder-color: #9b9ba5;
 --time-button: #fc5757;
 --level-button: #5052d5;
 --button-color: #fff;
}

.dark-mode {
 --body-bg-color: #1d1d1d;
 --theme-bg-color: #13131a;
 --header-bg-color: #1c1c24;
 --alert-bg-color: #292932;
 --body-color: #fff;
 --inactive-color: #292932;
 --time-button: #fff;
 --level-button: #fff;
 --active-light-color: #263d63;
 --border-color: #26262f;
 --search-border-color: #26262f;
}

::placeholder {
 color: var(--placeholder-color);
}

img {
 max-width: 100%;
}

html {
 box-sizing: border-box;
 -webkit-font-smoothing: antialiased;
}

body {
 font-family: var(--body-font);
 font-size: 15px;
 color: var(--body-color);
}

.dark-light svg {
 margin-right: 8px;
 width: 22px;
 cursor: pointer;
 fill: transparent;
 transition: 0.5s;
}

.dark-mode {
 .dark-light svg {
  fill: #ffce45;
  stroke: #ffce45;
 }
 .job-card svg {
  box-shadow: none;
 }
 .search.item {
  color: var(--body-color);
  border-color: var(--body-color);
 }
 .search-location,
 .search-job,
 .search-salary {
  svg {
   color: var(--body-color);
  }
 }
 .detail-button {
  background-color: var(--inactive-color);
  color: var(--subtitle-color);
 }
}

.job {
 
 display: flex;
 flex-direction: column;
 max-width: 1400px;
 overflow: hidden;
}

.logo {
 display: flex;
 align-items: center;
 font-weight: 600;
 font-size: 18px;
 cursor: pointer;
 svg {
  width: 24px;
  margin-right: 12px;
 }
}

.header {
 display: flex;
 align-items: center;
 transition: box-shadow 0.3s;
 flex-shrink: 0;
 padding: 0 40px;
 white-space: nowrap;
 background-color: var(--header-bg-color);
 height: 60px;
 width: 100%;
 font-size: 14px;
 justify-content: space-between;
 &-menu a {
  text-decoration: none;
  color: var(--body-color);
  font-weight: 500;
  &:hover {
   color:var(--active-color);
  }
  &:not(:first-child) {
   margin-left: 30px;
  }
  &.active {
   color: var(--active-color);
  }
 }
}

.user-settings {
 display: flex;
 align-items: center;
 font-weight: 500;
 svg {
  width: 20px;
  color: #94949f;
 }
}

.user-menu {
 position: relative;
 margin-right: 8px;
 padding-right: 8px;
 border-right: 2px solid #d6d6db;
 &:before {
  position: absolute;
  content: "";
  width: 7px;
  height: 7px;
  border-radius: 50%;
  border: 2px solid var(--header-bg-color);
  right: 6px;
  top: -1px;
  background-color: var(--active-color);
 }
}
.user-profile {
 width: 32px;
 height: 32px;
 border-radius: 50%;
 object-fit: cover;
 margin-right: 10px;
}

.wrapper {
 width: 100%;
 display: flex;
 flex-direction: column;
 flex-grow: 1;
 scroll-behavior: smooth;
 padding: 30px 40px;
 overflow: auto;
}

.search-menu {
 height: 56px;
 white-space: nowrap;
 display: flex;
 flex-shrink: 0;
 align-items: center;
 background-color: var(--header-bg-color);
 border-radius: 8px;
 width: 100%;
 padding-left: 20px;
 div:not(:last-of-type) {
  border-right: 1px solid var(--search-border-color);
 }
}

.search-bar {
 height: 55px;
 width: 100%;
 position: relative;
 input {
  width: 100%;
  height: 100%;
  display: block;
  background-color: transparent;
  border: none;
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 56.966 56.966' fill='%230162ff'%3e%3cpath d='M55.146 51.887L41.588 37.786A22.926 22.926 0 0046.984 23c0-12.682-10.318-23-23-23s-23 10.318-23 23 10.318 23 23 23c4.761 0 9.298-1.436 13.177-4.162l13.661 14.208c.571.593 1.339.92 2.162.92.779 0 1.518-.297 2.079-.837a3.004 3.004 0 00.083-4.242zM23.984 6c9.374 0 17 7.626 17 17s-7.626 17-17 17-17-7.626-17-17 7.626-17 17-17z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-size: 14px;
  background-position: 0 50%;
  padding: 0 25px 0 305px;
 }
}

.search-location,
.search-job,
.search-salary {
 display: flex;
 align-items: center;
 width: 50%;
 font-size: 14px;
 font-weight: 500;
 padding: 0 25px;
 height: 100%;
 input {
  width: 100%;
  height: 100%;
  display: block;
  background-color: transparent;
  border: none;
 }
 svg {
  margin-right: 8px;
  width: 18px;
  color: var(--active-color);
  flex-shrink: 0;
 }
}

.search-button {
 background-color: var(--active-color);
 height: 55px;
 border: none;
 font-weight: 600;
 font-size: 14px;
 padding: 0 15px;
 border-radius: 0 8px 8px 0;
 color: var(--button-color);
 cursor: pointer;
 margin-left: auto;
}

.search.item {
 position: absolute;
 top: 10px;
 left: 25px;
 font-size: 13px;
 color: var(--active-color);
 border: 1px solid var(--search-border-color);
 padding: 8px 10px;
 border-radius: 8px;
 display: flex;
 align-items: center;
 svg {
  width: 12px;
  margin-left: 5px;
 }
 &:last-child {
  left: 185px;
 }
}

.main-container {
 display: flex;
 flex-grow: 1;
}

.search-type {
 width: 270px;
 display: flex;
 flex-direction: column;
 height: 100%;
 flex-shrink: 0;
}

.alert {
 background-color: var(--alert-bg-color);
 padding: 24px 18px;
 border-radius: 8px;
 &-title {
  font-size: 14px;
  font-weight: 500;
  margin-bottom: 8px;
 }
 &-subtitle {
  font-size: 13px;
  color: var(--subtitle-color);
  line-height: 1.6em;
  margin-bottom: 20px;
 }
 input {
  width: 100%;
  padding: 10px;
  display: block;
  border-radius: 6px;
  background-color: var(--header-bg-color);
  border: none;
  font-size: 13px;
 }
}

.search-buttons {
 border: none;
 color: var(--button-color);
 background-color: var(--active-color);
 padding: 8px 10px;
 border-radius: 6px;
 font-size: 13px;
 font-weight: 600;
 margin-top: 14px;
}

.job-wrapper {
 padding-top: 20px;
}

.job-time {
 padding-top: 20px;
 &-title {
  font-size: 14px;
  font-weight: 500;
 }
}

.type-container {
    padding:10px 0;
 display: flex;
 align-items: center;
 /* color: var(--subtitle-color); */
 font-size: 15px;
 label {
  margin-left: 2px;
  display: flex;
  align-items: center;
  cursor: pointer;
 }
 & + & {
  margin-top: 10px;
 }
}

.job-number {
 margin-left: auto;
 background-color: var(--inactive-color);
 color: var(--subtitle-color);
 font-size: 10px;
 font-weight: 500;
 padding: 5px;
 border-radius: 4px;
}

.job-style {
 display: none;
}

.job-style + label:before {
 content: "";
 margin-right: 10px;
 width: 16px;
 height: 16px;
 border: 1px solid var(--subtitle-color);
 border-radius: 4px;
 cursor: pointer;
}

.job-style:checked + label:before {
 background-color: var(--active-color);
 border-color: var(--active-color);
 background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23fff' stroke-width='3' stroke-linecap='round' stroke-linejoin='round' class='feather feather-check'%3e%3cpath d='M20 6L9 17l-5-5'/%3e%3c/svg%3e");
 background-repeat: no-repeat;
}

.job-style:checked + label + span {
 background-color: var(--active-light-color);
 color: var(--active-color);
}

.searched-jobs {
 display: flex;
 flex-direction: column;
 flex-grow: 1;
}

@keyframes slideY {
 0% {
  opacity: 0;
  transform: translateY(200px);
 } 
}

.searched {
 &-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  animation: slideY .6s both
  //display: none;
 }
 &-show {
  font-size: 19px;
  font-weight: 600;
 }
 &-sort {
  font-size: 14px;
  color: var(--subtitle-color);
  .post-time {
   font-weight: 600;
   color: var(--subtitle-color);
  }
  .menu-icon {
   font-size: 9px;
   color: var(--placeholder-color);
   margin-left: 6px;
  }
 }
}

.job-cards {
 padding-top: 20px;
 display: grid;
 grid-template-columns: repeat(3, 1fr);
 grid-column-gap: 25px;
 grid-row-gap: 25px;
 animation: slideY .6s both;
 //display: none;
 @media screen and (max-width: 1212px) {
  grid-template-columns: repeat(2, 1fr);
 }
 @media screen and (max-width: 930px) {
  grid-template-columns: repeat(1, 1fr);
 }
}
.job-card {
 padding: 20px 16px;
 background-color: var(--header-bg-color);
 border-radius: 8px;
 cursor: pointer;
 transition: .2s;
 &:hover {
  transform: scale(1.02);
 }
 svg {
  width: 46px;
  padding: 10px;
  border-radius: 8px;
 }
 &-title {
  font-weight: 600;
  margin-top: 16px;
  font-size: 14px;
 }
 &-subtitle {
  color: var(--subtitle-color);
  font-size: 13px;
  margin-top: 14px;
  line-height: 1.6em;
 }
 &-header {
  display: flex;
  align-items: flex-start;
 }
}

.overview-card:hover {
 background: #2b2ecf;
 transition: none;
 transform: scale(1);
 svg {
  box-shadow: none;
 }
 .job-overview-buttons .search-buttons.time-button,
 .job-overview-buttons .search-buttons.level-button {
  background-color: #575ad8;
  color: #fff;
 }
 .job-card-title,
 .job-stat {
  color: #fff;
 }
 .job-card-subtitle,
 .job-day {
  color: #dedede;
 }
 .overview-wrapper .heart {
  color: #fff;
  border-color: #fff;
  &:hover {
   fill: red;
   stroke: red;
   transform: scale(1.1);
  }
 }
}

.detail-button {
 background-color: var(--active-light-color);
 color: var(--active-color);
 font-size: 11px;
 font-weight: 500;
 padding: 6px 8px;
 border-radius: 4px;
 & + & {
  margin-left: 4px;
 }
}

.job-card-buttons {
 display: flex;
 align-items: center;
 justify-content: space-between;
 width: 100%;
 margin-top: 4px;
}

.card-buttons,
.card-buttons-msg {
 padding: 10px;
 width: 100%;
 font-size: 12px;
 cursor: pointer;
}

.card-buttons {
 margin-right: 12px;
 &-msg {
  background-color: var(--inactive-color);
  color: var(--subtitle-color);
 }
}

.menu-dot {
 background-color: var(--placeholder-color);
 box-shadow: -6px 0 0 0 var(--placeholder-color),
  6px 0 0 0 var(--placeholder-color);
 width: 4px;
 height: 4px;
 border: 0;
 padding: 0;
 border-radius: 50%;
 margin-left: auto;
 margin-right: 8px;
}

.header-shadow {
 box-shadow: 0 4px 20px rgba(88, 99, 148, 0.17);
 z-index: 1;
}

.card-job {
  width: 100% ; 
}
@keyframes slide {
 0% {
  opacity: 0;
  transform: translateX(300px);
 } 
}

.job-overview {
 display: flex;
 flex-grow: 1;
 display: none;
 animation: slide .6s both;
 &-cards {
  display: flex;
  flex-direction: column;
  width: 330px;
  height: 100%;
  flex-shrink: 0;
 }
 &-card + &-card {
  margin-top: 20px;
 }
 &-buttons {
  display: flex;
  align-items: center;
  margin-top: 12px;
  .search-buttons {
   background-color: var(--inactive-color);
   font-size: 11px;
   padding: 6px 8px;
   margin-top: 0;
   font-weight: 500;
   &.time-button {
    color: var(--time-button);
    margin-right: 8px;
   }
   &.level-button {
    color: var(--level-button);
   }
  }
  .job-stat {
   color: var(--active-color);
   font-size: 12px;
   font-weight: 500;
   margin-left: auto;
  }
  .job-day {
   color: var(--subtitle-color);
   font-size: 12px;
   margin-left: 8px;
   font-weight: 500;
  }
 }

 .overview-wrapper {
  display: flex;
  align-items: center;
  svg:first-child {
   width: 42px;
   margin-right: 10px;
  }
  .heart {
   background: none;
   box-shadow: none;
   width: 24px;
   padding: 4px;
   color: var(--subtitle-color);
   border: 1px solid var(--border-color);
   margin-left: auto;
   margin-bottom: auto;
  }
 }
}

.overview-detail {
 .job-card-title,
 .job-card-subtitle {
  margin-top: 4px;
 }
 .job-card-subtitle {
  font-size: 12px;
  font-weight: 500;
 }
}

.job-explain {
 background-color: var(--header-bg-color);
 margin-left: 40px;
 border-radius: 0 0 8px 8px;
}

.job-bg {
 border-radius: 8px 8px 0 0;
 object-fit: cover;
 width: 100%;
 height: 180px;
 transition: .3s;
 position: relative;
}

.job-logos {
 margin-top: -30px;
 position: relative;
 margin-bottom: -36px;
 padding: 0 20px;
 svg {
  width: 66px;
  padding: 12px;
  background-color: #fff;
  border-radius: 10px;
  border: 4px solid var(--header-bg-color);
 }
}

.job-title-wrapper {
 display: flex;
 align-items: center;
 .job-card-title {
  font-size: 20px;
  margin-top: 0;
  font-weight: 600;
 }
}

.job-action {
 display: flex;
 align-items: center;
 margin-left: auto;
 svg {
  width: 32px;
  border: 1px solid var(--border-color);
  color: var(--subtitle-color);
  border-radius: 8px;
  padding: 6px;
  & + svg {
   margin-left: 12px;
  }
 }
}

.job-explain-content {
 padding: 50px 25px 30px;
}

.job-subtitle-wrapper {
 display: flex;
 align-items: center;
 margin-top: 20px;
 .posted {
  margin-left: auto;
 }
 .company-name {
  color: var(--active-color);
  font-weight: 600;
  font-size: 14px;
 }
 .comp-location,
 .posted {
  color: var(--subtitle-color);
  font-size: 12px;
  font-weight: 500;
 }
 .comp-location {
  position: relative;
  margin-left: 10px;
  &:before {
   content: "";
   width: 3px;
   height: 3px;
   border-radius: 50%;
   background-color: var(--placeholder-color);
   top: 49%;
   left: -8px;
   position: absolute;
  }
 }
 .app-number {
  color: var(--body-color);
  position: relative;
  margin-left: 12px;
  &:before {
   content: "";
   width: 3px;
   height: 3px;
   border-radius: 50%;
   background-color: var(--placeholder-color);
   top: 50%;
   left: -7px;
   position: absolute;
  }
 }
}

.explain {
 &-bar {
  margin-top: 20px;
  border: 1px solid var(--border-color);
  border-radius: 8px;
  display: flex;
  height: 66px;
  padding: 0 16px;
  align-items: center;
  justify-content: space-between;
 }
 &-title {
  color: var(--subtitle-color);
  font-size: 12px;
  line-height: 40px;
  white-space: nowrap;
 }
 &-subtitle {
  font-size: 13px;
  font-weight: 500;
  margin-top: -2px;
  white-space: nowrap;
 }
 &-contents {
  height: 66px;
  & + & {
   border-left: 1px solid var(--border-color);
   padding-left: 16px;
  }
 }
}

.overview-text {
 margin-top: 30px;
 &-header {
  font-weight: 600;
  margin-bottom: 25px;
 }
 &-subheader {
  font-size: 13px;
  line-height: 2em;
 }
 &-item {
  font-size: 13px;
  position: relative;
  display: flex;
  & + & {
   margin-top: 20px;
  }
  &:before {
   content: "";
   border: 2px solid #61bcff;
   border-radius: 50%;
   height: 8px;
   width: 8px;
   margin-right: 8px;
   flex-shrink: 0;
  }
 }
}

.detail-page {
 .job-overview {
  display: flex;
 }
 .job-cards,
 .searched-bar {
  display: none;
 }
 @media screen and (max-width: 1300px) {
  .search-type {
   display: none;
  }
  .searched-jobs {
   padding-left: 0;
  }
 }
}

@media screen and (max-width: 990px) {
 .explain-contents, .explain-bar {
  height: auto;
 }
 .explain-bar {
  flex-wrap: wrap;
  padding-bottom: 14px;
 }
 .explain-contents {
  width: 50%;
 }
 .explain-contents + .explain-contents {
  padding: 0;
  border: 0;
 }
 
 .explain-contents:nth-child(2) ~ .explain-contents {
   margin-top: 16px;
   border-top: 1px solid var(--border-color);
 }
 .job-subtitle-wrapper {
  flex-direction: column;
  align-items: flex-start;
 }
 .job-subtitle-wrapper .posted {
  margin-left: 0;
  margin-top: 6px;
 }
}

@media screen and (max-width: 930px) {
 .search-job, .search-salary { display: none; }
 .search-bar { width: auto; }
}
@media screen and (max-width: 760px) {
 .detail-page .job-overview-cards {
  display: none;
 }
 .user-name {
  display: none;
 }
 .user-profile {
  margin-right: 0;
 }
 .job-explain {
  margin-left: 0;
 } 
}
@media screen and (max-width: 730px) {
 .search-type {
  display: none;
 }
 .searched-jobs {
  padding-left: 0;
 } 
 .search-menu div:not(:last-of-type) {
  border: 0;
 }
 .job-cards {
   grid-template-columns: repeat(2, 1fr);
 }
 .search-location { display: none; }
}

@media screen and (max-width: 620px) {
 .job-cards {
   grid-template-columns: repeat(1, 1fr);
 }
 .header-menu a:not(:first-child) {
  margin-left: 10px;
 }
}

@media screen and (max-width: 590px) {
 .header-menu {
  display: none;
 }
}

@media screen and (max-width: 520px) {
 .search.item {
  display: none;
 }
 .search-bar { flex-grow: 1; }
 .search-bar input {
  padding: 0 0 0 30px;
 } 
 .search-button {
  margin-left: 16px;
 }
 .searched-bar {
  flex-direction: column;
  align-items: flex-start;
 }
 .searched-sort {
  margin-top: 5px;
 }

}

@media screen and (max-width: 380px) {
 .explain-contents {
  width: 100%;
  margin: 0;
 }
 
 .explain-contents:nth-child(2) ~ .explain-contents {
  margin: 0;
  border: 0;
 }
 .wrapper {
  padding: 20px;
 }
 .header {
  padding: 0 20px;
 }
}


.card-block {
    -webkit-box-flex: 1;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
    background-color: #fff
}

.card-block .card-title {
    margin-bottom: .75rem !important;
    font-size: 1em !important;
}

.company-title{
    margin-bottom: 0.5rem;
}
.pagination{
    margin-top: 0.5rem !important;
    margin-left: 82%;
}
/* .main-row{
  width: 120%;
} */

.card{
    border:none;
    border-radius:0;
}

.card >a:hover{
    text-decoration:none;
}

.page{
    background-color: var(--theme-bg-color);
}

@media(max-width:772px){
    .page{
    padding-top :0 ;
}
}

#filter-form{
    max-width:none !important;
}


.hov-btn {
    overflow: hidden;
    top:50%;
    left:50%;
    position:absolute;
    transform:translate(-50%,-50%);
    -ms-transform:translate(-50%,-50%);
    padding:5px 10px;
    color:#fff;
}

#btn-1{
    background-color: #4a90e2;
    border:1px solid  #4a90e2;
}
.overlay{
    opacity: 0;
}
@media(min-width:762px){
   

    .card:hover .overlay{
        opacity: 1;
    }

    .card:hover .card-block{
        opacity: 0.1;
    }
#btn-2{
    color:#333;
}
}

.bootstrap-select .dropdown-toggle .filter-option {
    height:auto !important;
}



@media (max-width: 992px){
    section{
        padding-top:0;
    }
.text-left-xs {
    text-align: left !important;
}
.hidden-xs {
    display: none !important;
}
.visible-xs {
    display: block !important;
}
.text-left-sm{
    text-align:left !important;
}

.bar-1 .menu-horizontal > li {
    display: block;
    margin-left:0 !important;
}

.language-switcher{
    padding:0 !important;
}
.bootstrap-select>.dropdown-toggle:after {
    margin-left:-20px;
}

.bar__module + .bar__module{
    margin-top:0;
}

.bar__module{
    margin-bottom:0;
}

.bar__module .btn {
    display:block;
}

.bar__module .btn:not(:last-child){
    margin-bottom:0.92857143em;
}

.bar__module .btn + .btn{
    margin-left:0 !important;
}
}


.select2 > option{
    position:absolute;
    margin-left:2px;
}

label{
    line-height:2;
}

    </style>
@endpush
@endpush

@section('content')
    <section class="page">
        <div class="container">
            <div class="row main-row">
                <div class=" card-job">
                <div class="job">
                    <div class="wrapper">
                    <div class="row">
                    <div class="col-md-12">
                        <form action="" id="filter-form" class="row" >
                            
                            <div class="clearfix"></div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <select class="select2" name="location" id="location" data-style="form-control">
                                        <option value="all">@lang('modules.jobApplication.allLocation')</option>
                                        @forelse($locations as $location)
                                            <option value="{{$location->id}}">{{ucfirst($location->location)}}</option>
                                        @empty
                                        @endforelse
                                        
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <select class="select2" name="job_type" id="job_type" data-style="form-control">
                                        <option value="all">@lang('modules.jobs.jobType')</option>
                                        @forelse($jobTypes as $jobtype)
                                            <option value="{{$jobtype->id}}">{{ucfirst($jobtype->job_type)}}</option>
                                        @empty
                                        @endforelse
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <select class="select2" name="category" id="category" data-style="form-control">
                                        <option value="all">@lang('menu.jobCategories')</option>
                                        @forelse($jobCategories as $jobCategory)
                                            <option value="{{$jobCategory->id}}">{{ucfirst($jobCategory->name)}}</option>
                                        @empty
                                        @endforelse
                                        
                                    </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <button type="button" id="apply-filters" class="btn btn-success form-control mt-0"></i>Find Jobs</button>
                                    
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                    <div class="main-container">
                        <div class="search-type">
                            
                            <div class="job-time">
                              
                             <div class="job-time-title">Filter By  Work Experience</div>

                             <div class="job-wrapper ">
                                @forelse ($workExperiences as $workExperience )
                                <div class="type-container ">
                                    <label class="form-check-label d-flex" for="flexCheckDefault">
                                    <div class="mr-2 align-items-center" aria-checked="false"
                                        aria-disabled="false" style="position: relative;">
                                        <input type="checkbox" value="{{$workExperience->id}}" name="show_work_experience"
                                            class="flat-red"  id="work_experience"
                                            style="position: absolute; opacity: 0;" >
                                      
                                    </div>
                                    
                                    {{$workExperience->work_experience}}
                                  </label>
                                   </div>
                                @empty
                                @endforelse
                             </div>
                            </div>
                           
                           
                           </div>
                     <div class="container" id="get_jobs">
                        @include('saas-front.more-jobs')
                        </div>                    
                </div>
                   </div> 
                </div>   
            </div>
        </div>
    </section>
@endsection

@push('footer-script')
<script src="https://recruit-saas.test/assets/plugins/jQueryUI/jquery-ui.min.js"></script>
<script src="{{ asset('assets/plugins/iCheck/icheck.min.js') }}"></script>
<script>
    //Flat red color scheme for iCheck

   
    $('input[type="checkbox"].flat-red').iCheck({
            checkboxClass: 'icheckbox_flat-blue',
        })
       
        $('input[type="checkbox"]#work_experience').on('ifChecked ifUnchecked', function(event){
            var str= '';
	        var workExperience = '';
	    $("input[name='show_work_experience']:checkbox").each(function(){
		if(true == $(this).is(':checked')){
			str+=$(this).val()+",";
		}
        if(str.substr(str.length-1)== ','){
            workExperience = str.substr(0,str.length-1);
        }
	});
    getJobData(workExperience);
   
            });

           

    $(document).ready(function(){
        
        $(document).on('click', ' #apply-filters' ,function(event){
          
          
            getJobData();
        });
    });  
    
    function getJobData(workExperience){
             
            
          
            var location = $('#location').val();
           
            var jobType = $('#job_type').val();
            var category = $('#category').val();
        
        $.easyAjax({
                url: "{{route('getJobData')}}"+ '?location=' + location + '&jobType=' + jobType + '&category=' + category+ '&workExperience=' + workExperience,
                type: "GET",
                container: 'body',
                success: function (response) {
                    $('#get_jobs').html(response.view)
                 }
                
            });
    }

</script>
@endpush