<section class="space--sm" id="features">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center">
                    <h2>{{ $frontDetail->feature_title }}</h2>
                    <p class="lead">
                        {{ $frontDetail->feature_description }}
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-md-4">
                <div class="feature feature-3 boxed boxed--lg boxed--border">
                    <img src="https://recruitnig.com/public/front/assets/img/feature-1.png" alt="Feature 1" class="feature-image">
                    <h4>{{ $frontFeatures[0]->title ?? 'Applicant Tracking' }}</h4>
                    <p>
                        {{ $frontFeatures[0]->description ?? 'Streamline your recruitment process with our powerful applicant tracking system.' }}
                    </p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="feature feature-3 boxed boxed--lg boxed--border">
                    <img src="https://recruitnig.com/public/front/assets/img/feature-2.png" alt="Feature 2" class="feature-image">
                    <h4>{{ $frontFeatures[1]->title ?? 'Candidate Management' }}</h4>
                    <p>
                        {{ $frontFeatures[1]->description ?? 'Organize and manage your candidate pipeline efficiently with our intuitive tools.' }}
                    </p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="feature feature-3 boxed boxed--lg boxed--border">
                    <img src="https://recruitnig.com/public/front/assets/img/feature-3.png" alt="Feature 3" class="feature-image">
                    <h4>{{ $frontFeatures[2]->title ?? 'Interview Scheduling' }}</h4>
                    <p>
                        {{ $frontFeatures[2]->description ?? 'Schedule and manage interviews seamlessly with our calendar integration.' }}
                    </p>
                </div>
            </div>
        </div>
        <div class="row mt-4">
            @if(isset($featureWithIcons) && count($featureWithIcons) > 0)
                @foreach($featureWithIcons as $feature)
                    <div class="col-md-4">
                        <div class="feature feature-2 boxed boxed--border">
                            <i class="{{ $feature->icon ?? 'fas fa-check' }} icon--lg"></i>
                            <div class="feature__body">
                                <h5>{{ $feature->title }}</h5>
                                <p>
                                    {{ $feature->description }}
                                </p>
                            </div>
                        </div>
                    </div>
                @endforeach
            @else
                @for($i = 0; $i < 6; $i++)
                    <div class="col-md-4">
                        <div class="feature feature-2 boxed boxed--border">
                            <i class="fas fa-check icon--lg"></i>
                            <div class="feature__body">
                                <h5>Feature {{ $i + 1 }}</h5>
                                <p>
                                    A powerful feature that helps streamline your recruitment process.
                                </p>
                            </div>
                        </div>
                    </div>
                @endfor
            @endif
        </div>
    </div>
</section>

