@extends('layouts.app') 

@push('head-script')
    <link rel="stylesheet" href="{{ asset('assets/node_modules/dropify/dist/css/dropify.min.css') }}">
    <style>
        .company-logo {
            max-height: 30px;
        }

        .company-logo-div {
            border-radius: 5px;
            padding: 15px 0 0 10px;
            margin-bottom: 10px;
        }

    </style>
@endpush

@section('content')
    <div class="mb-4 company-menu">
       
        <nav class="nav nav-tabs">
            <a href="{{ route('superadmin.company.show', $company->id)}}" class="nav-item nav-link  profile">
                <i class="bi-house-door"></i> @lang('menu.companyProfile')
            </a>
            <a href="{{ route('superadmin.company.show', $company->id).'?tab=jobs'}}" class="nav-item nav-link jobs">
                <i class="bi-person"></i> @lang('menu.jobs')
            </a>
            <a href="{{ route('superadmin.company.show', $company->id).'?tab=applications'}}" class="nav-item nav-link applications">
                <i class="bi-envelope"></i> @lang('menu.jobApplications')
            </a>
           
        </nav>
 
      </div>    
   
    <div class="tab-menu pt-0 border-top-0 client-detail-wrapper mt-4">
        @include($view)

    </div>
    @endsection
@push('footer-script')
<script src="{{ asset('assets/node_modules/select2/dist/js/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/node_modules/bootstrap-select/bootstrap-select.min.js') }}" type="text/javascript">
</script>
<script src="{{ asset('assets/node_modules/dropify/dist/js/dropify.min.js') }}" type="text/javascript"></script>

<script>

        const activeTab = "{{ $activeTab }}";
        $('.company-menu .' + activeTab).addClass('active');

        $("body").on("click", ".company-menu .ajax-tab", function(event) {
           
            event.preventDefault();

            $('.company-menu').removeClass('active');
            $(this).addClass('active');

            const requestUrl = this.href;
            console.log(requestUrl);

            $.easyAjax({
                url: requestUrl,
                blockUI: true,
                container: ".company-menu",
                historyPush: true,
                blockUI: true,
                success: function(response) {
                    console.log(response);
                    if (response.status == "success") {
                        $('.tab-menu').html(response.html);
                        init('.tab-menu');
                    }
                }
            });
        });

</script>



@endpush