<link rel="stylesheet" href="{{ asset('assets/node_modules/html5-editor/bootstrap-wysihtml5.css') }}">

<div class="modal-header">
    <h4 class="modal-title">@lang('modules.footerMenuSettings.createFooterMenu')</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
</div>
<div class="modal-body">
    <form role="form" id="createMenuForm" class="ajax-form" method="POST">
        @csrf
        <div class="form-group">
            <select name="language" class="form-control selectpicker" id="language_switcher">
                @forelse ($activeLanguages as $language)
                    <option value="{{ $language->id }}"
                        data-content=' <span class="flag-icon  @if ($language->language_code == 'en') flag-icon-us @else  flag-icon-{{ $language->language_code }} @endif"></span> {{ ucfirst($language->language_code) }}'>
                        {{ ucfirst($language->language_code) }}</option>
                @empty
                @endforelse
            </select>
        </div>
        <div class="form-group">
            <div class="form-group">
                <label class="radio-inline">
                    <input type="radio" class="checkbox" value="description"
                        name="footer_type" checked> @lang('modules.footerMenuSettings.useDescription')
                </label>
                <label class="radio-inline pl-lg-2">
                    <input type="radio" value="link"
                        name="footer_type"> @lang('modules.footerMenuSettings.useExternalLink')
                </label>
            </div>
        </div>

        <hr>
        <div class="row">
            <div class="col-md-12">
                <!-- text input -->
              
                <div class="form-group">
                    <label for="title" class="required">@lang('app.title')</label>
                    <input type="text" name="title" id="title" class="form-control form-control-lg" value="">
                    <div id="errorDate"></div>
                </div>
               
            </div>

            <div class="col-md-12 internalLink " id="externalLinkBox">
                <div class="form-group">
                    <label for="external_link" class="required">@lang('modules.footerMenuSettings.externalLink')</label>
                    <input type="text" name="external_link" id="external_link" class="form-control form-control-lg"
                        value="">
                    
                </div>
            </div>

            <div class="col-md-12 descriptionBox">
                <div class="form-group">
                    <label for="description" class="required">@lang('app.description')</label>
                    <textarea name="description" id="description" rows="3"
                        class="summernote form-control form-control-lg"></textarea>
                    <div id="errorDescription"></div>
                </div>
            </div>

            <div class="form-group col-md-12">
                <label for="status" class="required">@lang('app.status')</label>
                <select name="status" id="status" class="form-control">
                    <option value="active">@lang('modules.footerMenuSettings.active')</option>
                    <option value="inactive">@lang('modules.footerMenuSettings.inactive')</option>
                </select>
            </div>

            <div class="col-md-12 descriptionBox seoBox" >
                <h5 class="box-title">@lang('modules.footerMenuSettings.seoDetails')</h5>
                <hr>
                <div class="form-group">
                    <label for="seo_title">@lang('modules.footerMenuSettings.seoTitle')</label>
                    <input type="text" name="seo_title" id="seo_title" class="form-control form-control-lg"
                        value="">
                </div>
                
                <div class="form-group">
                    <label for="seo_author">@lang('modules.footerMenuSettings.seoAuthor')</label>
                    <input type="text" name="seo_author" id="seo_author" class="form-control form-control-lg"
                        value="">
                </div>
                <div class="form-group">
                    <label for="seo_description">@lang('modules.footerMenuSettings.seoDescription')</label>
                    <textarea name="seo_description" id="seo_description" rows="3"
                        class="form-control form-control-lg"></textarea>
                </div>
                <div class="form-group">
                    <label for="seo_keywords">@lang('modules.footerMenuSettings.seoKeywords')</label>
                    <textarea name="seo_keywords" id="seo_keywords" rows="3"
                        class="form-control form-control-lg"></textarea>
                </div>
            </div>
        </div>
    </form>
</div>
<div class="modal-footer">
    <button type="button" id="save-menu-form" class="btn btn-success btn-light-round"><i class="fa fa-check"></i>
        @lang('app.save')</button>
        
</div>


<script src="{{ asset('assets/node_modules/html5-editor/wysihtml5-0.3.0.js') }}" type="text/javascript"></script>
<script src="{{ asset('assets/node_modules/html5-editor/bootstrap-wysihtml5.js') }}" type="text/javascript"></script>

<script>
$(document).ready(function() {
   $('.internalLink').hide();

});

// Event listener for footer_type radio buttons

$('input[type=radio][name=footer_type]').on('change', function() {
    toggleFields($(this).val())
});

function toggleFields(radio) {
    if (radio == 'link') {
        
        $('.internalLink').show();
        $('.descriptionBox').hide();
        $('.seoBox').hide(); // Show SEO details section
    } else {
        // alert(radio);
        $('.internalLink').hide();
        $('.descriptionBox').show();
        $('.seoBox').show(); // Hide SEO details section
    }
}

$(function() {
    $('.selectpicker').selectpicker({
        style: 'btn-info',
        size: 4
    });
});

$('#description').wysihtml5({
    "font-styles": true,
    "emphasis": true,
    "lists": true,
    "html": true,
    "link": true,
    "image": true,
    "color": true,
    stylesheets: [
        "{{ asset('assets/node_modules/html5-editor/wysiwyg-color.css') }}"
    ],
});

$('#save-menu-form').click(function() {
    const form = $('#createMenuForm');
    $('#dateBox').removeClass("has-error");
    $('#descriptionBox').removeClass("has-error");
    $('#errorDate').html('');
    $('#errorDescription').html('');
    $.easyAjax({
        url: '{{ route('superadmin.footer-settings.storeFooterMenu') }}',
        container: '#createMenuForm',
        type: "POST",
        data: form.serialize(),
        success: function(response) {
            if (response.status == 'success') {
                $('#application-lg-modal').modal('hide');
                table._fnDraw();
            }
            if (response.status == 'fail') {
                $.showToastr(response.message, 'error');
            }
        },
        
    })
});

</script>
