<div class="form-group">
    <div class="col-md-12 ">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group mt-3">
                            <a href="javascript:;" id="addMethod" class="btn btn-outline btn-success btn-sm addMethod">@lang('modules.payments.addMethod') <i class="fa fa-plus" aria-hidden="true"></i></a>
                        </div>
                    </div>
                </div>
            <div class="table-responsive ">
                <table class="table" id="amit">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>@lang('app.method')</th>
                        <th>@lang('app.description')</th>
                        <th>@lang('app.status')</th>
                        <th width="20%">@lang('app.action')</th>
                    </tr>
                    </thead >
                    <tbody id="tableData">
                        @forelse($offlineMethods as $key=>$method)
                            <tr id="tableRow{{ $method->id }}">
                                <td>{{ ($key+1) }}</td>
                                <td>{{ ucwords($method->name) }}</td>
                                <td>{!! ucwords($method->description) !!} </td>
                                <td>@if($method->status == 'yes') <label class="badge bg-success">@lang('modules.payments.active')</label> @else <label class="badge bg-danger">@lang('modules.payments.inActive')</label> @endif </td>
                                <td>
                                    <a href="javascript:;" data-type-id="{{ $method->id }}"
                                       class="btn btn-sm btn-info btn-rounded btn-outline edit-type m-t-5"><i
                                                class="fa fa-edit"></i> @lang('app.edit')</a>
                                    <a href="javascript:;" data-type-id="{{ $method->id }}"
                                       class="btn btn-sm btn-danger btn-rounded btn-outline delete-type m-t-5"><i
                                                class="fa fa-times"></i> @lang('app.remove')</a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="5" class="text-center">
                                    <div class="empty-space" style="height: 200px;">
                                        <div class="empty-space-inner">
                                            <div class="icon" style="font-size:30px"><i
                                                        class="fa fa-key"></i>
                                            </div>
                                            <div class="title m-b-15">@lang('messages.noMethodsAdded')
                                            </div>
                                           
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforelse
                     </tbody>
                </table>
          </div>
    </div>
</div>


 {{--Ajax Modal--}}
 <div class="modal fade bs-modal-md in" id="leadStatusModal" role="dialog" aria-labelledby="myModalLabel"
 aria-hidden="true">
<div class="modal-dialog modal-md" id="modal-data-application">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
            <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
        </div>
        <div class="modal-body">
            Loading...
        </div>
        <div class="modal-footer">
            <button type="button" class="btn default" data-dismiss="modal">Close</button>
            <button type="button" class="btn blue">Save changes</button>
        </div>
    </div>
    <!-- /.modal-content -->
</div>
<!-- /.modal-dialog -->
</div>
{{--Ajax Modal Ends--}}
@push('footer-script')
<script>
    
    $('.addMethod').click(function () {
        var url = '{{ route("superadmin.offline-payment-setting.create")}}';
        $('#modelHeading').html("{{  __('app.edit')." ".__('modules.offlinePayment.title') }}");
        $.ajaxModal('#leadStatusModal', url);
    });

    $('body').on('click', '.edit-type', function () {
        var typeId = $(this).data('type-id');
        var url = '{{ route("superadmin.offline-payment-setting.edit", ":id")}}';
        url = url.replace(':id', typeId);

        $('#modelHeading').html("{{  __('app.edit')." ".__('modules.offlinePayment.title') }}");
        $.ajaxModal('#leadStatusModal', url);
    });

    function insertTableData(tableData){
        $('#tableData').html(tableData);
    }

    $('body').on('click', '.delete-type', function () {
        var id = $(this).data('type-id');
        swal({
                title: "@lang('errors.areYouSure')",
                text: "@lang('errors.deleteWarning')",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "@lang('app.delete')",
                cancelButtonText: "@lang('app.cancel')",
                closeOnConfirm: true,
                closeOnCancel: true
        }, function (isConfirm) {
            if (isConfirm) {

                var url = "{{ route('superadmin.offline-payment-setting.destroy',':id') }}";
                url = url.replace(':id', id);

                var token = "{{ csrf_token() }}";

                $.easyAjax({
                    type: 'POST',
                    url: url,
                    data: {'_token': token, '_method': 'DELETE'},
                    success: function (response) {
                        if (response.status == "success") {
                            $.unblockUI();
                            $('#tableRow'+id).remove();
                        }
                    }
                });
            }
        });
    });


    $('#save-type').click(function () {
        $.easyAjax({
            url: '{{route('superadmin.offline-payment-setting.store')}}',
            container: '#createMethods',
            type: "POST",
            data: $('#createMethods').serialize(),
            success: function (response) {
                if (response.status == "success") {
                    $.unblockUI();
                    // window.location.reload();
                }
            }
        })
    });

   
</script>
@endpush