<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary">
    <!-- Brand Logo -->
    <a href="<?php echo e(route('superadmin.dashboard.index')); ?>" class="brand-link">
        <img src="<?php echo e($global->logo_url); ?>"
             alt="Logo"
             class="brand-image img-fluid">
    </a>

    <!-- Sidebar -->
    <div class="sidebar">

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" id="sidebarnav" role="menu"
                data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                     with font-awesome or any other icon font library -->
                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.dashboard.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/dashboard*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-speedometer"></i>
                        <p>
                            <?php echo app('translator')->get('menu.dashboard'); ?>
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.company.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/company*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-film"></i>
                        <p>
                            <?php echo app('translator')->get('menu.companies'); ?>
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.packages.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/packages*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-layers"></i>
                        <p>
                            <?php echo app('translator')->get('menu.packages'); ?>
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.invoices.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/invoices*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-docs"></i>
                        <p>
                            <?php echo app('translator')->get('app.invoices'); ?>
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.superadmins.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/superadmins*') ? 'active' : ''); ?>">
                        <i class="nav-icon icon-user"></i>
                        <p>
                            <?php echo app('translator')->get('app.superadmin'); ?>
                        </p>
                    </a>
                </li>

                <li class="nav-item">
                    <a href="<?php echo e(route('superadmin.offline-plan.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/offlineRequest*') ? 'active' : ''); ?>">
                        <i class="fa fa-user-secret fa-fw"></i>
                        <p>
                            Offline Request
                        </p>
                    </a>
                </li>

                <li class="nav-item has-treeview <?php if(request()->is('super-admin/front-cms*') || request()->is('super-admin/icon-features') || request()->is('super-admin/client-feedbacks')): ?>active menu-open <?php endif; ?>">
                    <a href="#" class="nav-link">
                        <i class="nav-icon icon-screen-desktop"></i>
                        <p>
                            <?php echo app('translator')->get('menu.frontCms'); ?>
                            <i class="right fa fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.front-cms.common')); ?>" class="nav-link <?php echo e(request()->is('super-admin/front-cms/common') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p> <?php echo app('translator')->get('menu.common'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.front-cms.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/front-cms/index') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p> <?php echo app('translator')->get('menu.cmsGeneral'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.front-cms.features')); ?>" class="nav-link <?php echo e(request()->is('super-admin/front-cms/features') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p> <?php echo app('translator')->get('menu.cmsFeatures'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.icon-features.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/icon-features') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.iconFeatures'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.client-feedbacks.index')); ?>"
                               class="nav-link <?php echo e(request()->is('super-admin/client-feedbacks') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.clientFeedbacks'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.front-widgets.index')); ?>"
                               class="nav-link <?php echo e(request()->is('super-admin/front-widgets') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.headerFooterScripts'); ?></p>
                            </a>
                        </li>

                    </ul>
                </li>


                <li class="nav-item has-treeview
                <?php if(\Request()->is('super-admin/global-settings') ||
                 \Request()->is('super-admin/smtp-settings') ||
                 \Request()->is('super-admin/currency-settings') ||
                 \Request()->is('super-admin/language-settings') ||
                 \Request()->is('super-admin/theme-settings') ||
                 \Request()->is('super-admin/footer-settings') ||
                 \Request()->is('super-admin/payment-settings') ||
                 \Request()->is('super-admin/sms-settings') ||
                 \Request()->is('super-admin/update-application') ||
                 \Request()->is('super-admin/linkedin-settings') ||
                 \Request()->is('super-admin/storage-settings') ||

                 \Request()->is('super-admin/custom-modules') ||
                  \Request()->is('super-admin/profile')): ?> active menu-open <?php endif; ?>
                        ">
                    <a href="#" class="nav-link">
                        <i class="nav-icon icon-settings"></i>
                        <p>
                            <?php echo app('translator')->get('menu.settings'); ?>
                            <i class="right fa fa-angle-left"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.global-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/global-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p> <?php echo app('translator')->get('menu.settings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.profile.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/profile') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p> <?php echo app('translator')->get('menu.myProfile'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.smtp-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/smtp-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.smtpSetting'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.currency-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/currency-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo e(__('app.currency').' '.__('menu.settings')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.language-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/language-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('app.language'); ?> <?php echo app('translator')->get('menu.settings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.theme-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/theme-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.themeSettings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.footer-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/footer-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.footerSettings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.payment-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/payment-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.paymentSettings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.sms-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/sms-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.smsSettings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.custom-modules.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/custom-modules') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.customModules'); ?></p>
                            </a>
                        </li>
                        <?php if($global->system_update == 1): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(route('superadmin.update-application.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/update-application') ? 'active' : ''); ?>">
                                    <i class="fa fa-circle-o nav-icon"></i>
                                    <p><?php echo app('translator')->get('menu.updateApplication'); ?></p>
                                </a>
                            </li>
                        <?php endif; ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.linkedin-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/linkedin-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.linkedInSettings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.storage-settings.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/storage-settings') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('app.storage'); ?> <?php echo app('translator')->get('menu.settings'); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('superadmin.signup-setting.index')); ?>" class="nav-link <?php echo e(request()->is('super-admin/signup-setting') ? 'active' : ''); ?>">
                                <i class="fa fa-circle-o nav-icon"></i>
                                <p><?php echo app('translator')->get('menu.signupSetting'); ?></p>
                            </a>
                           
                        </li>
                    </ul>
                </li>

                <li class="nav-header"><?php echo app('translator')->get('app.miscellaneous'); ?></li>
                <li class="nav-item">
                    <a href="<?php echo e(url('/')); ?>" target="_blank" class="nav-link <?php echo e(request()->is('super-admin/global-settings') ? 'active' : ''); ?>">
                        <i class="nav-icon fa fa-external-link"></i>
                        <p><?php echo app('translator')->get('app.frontWebsite'); ?></p>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/sections/superadmin-left-sidebar.blade.php ENDPATH**/ ?>