<?php $__env->startPush('meta_details'); ?>
    <title><?php echo e($headerData->meta_details['title'] ?: 'Recruit'); ?></title>

    <meta name="title" content="<?php echo e($headerData->meta_details['title'] ?: ''); ?>">
    <meta name="description" content="<?php echo e($headerData->meta_details['description'] ?: ''); ?>">
    <meta name="keywords" content="<?php echo e($headerData->meta_details['keywords'] ?: ''); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('header_css'); ?>
    <?php if($firstHeaderData->header_background_color != ''): ?>
        <style>
            .background-color {
                border: none;
                background: <?php echo e($firstHeaderData->header_background_color); ?>

            }

            #header-section {
                background: <?php echo e($firstHeaderData->header_background_color); ?>

            }

            .feature-icon {
                color: <?php echo e($firstHeaderData->header_background_color); ?>

            }
            .required:after { content:" *";color: crimson;}

        </style>
    <?php endif; ?>

    <?php if($headerData->header_background_image != ''): ?>
        <style>
            #header-section {
                background: url("<?php echo e($headerData->header_backround_image_url); ?>");
                background-position: center;
                background-repeat: no-repeat;
                background-size: cover;
            }

            #header-section:before {
                content: "";
                position: absolute;
                left: 0; right: 0;
                top: 0; bottom: 0;
                background: rgba(0,0,0,.3);
            }
        </style>
    <?php endif; ?>

    <?php if($firstHeaderData->custom_css != ''): ?>
        <style>
            <?php echo $firstHeaderData->custom_css; ?>

        </style>
    <?php endif; ?>

<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <section class="switchable switchable--switch bg--primary" id="header-section">
        <div class="container">
            <div class="row justify-content-between">
                <div class="col-lg-5 col-md-7">
                    <div class="mt--2">
                        <h1> <?php echo e($headerData->title); ?> </h1>
                        <p class="lead"> <?php echo $headerData->description; ?> </p>

                        <?php if($firstHeaderData->show_register_in_header): ?>
                        <a class="btn btn--primary type--uppercase" href="<?php echo e(route('register')); ?>">
                            <span class="btn__text">
                                <?php echo app('translator')->get('app.register'); ?>
                            </span>
                        </a>
                        <?php endif; ?>

                        <?php if($firstHeaderData->show_login_in_header): ?>
                        <a class="btn btn--primary type--uppercase" href="<?php echo e(route('login')); ?>">
                            <span class="btn__text">
                                <?php echo app('translator')->get('app.login'); ?>
                            </span>
                        </a>
                        <?php endif; ?>

                <span class="block type--fine-print"><br></span> </div>
                </div>
                <div class="col-lg-7 col-md-5 col-12"> <img alt="Image" src="<?php echo e($headerData->header_image_url); ?>"> </div>
            </div>
        </div>
    </section>

    <section class=" ">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="slider slider--inline-arrows slider--arrows-hover text-center" data-arrows="true">
                        <ul class="slides">
                            <?php $__empty_1 = true; $__currentLoopData = $featuredCompanies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $featuredCompany): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <li class="col-md-3 col-6">
                                <?php
                                $slug = $featuredCompany->career_page_link;
                                    if(module_enabled('Subdomain'))
                                    {
                                        $slug = $featuredCompany->sub_domain;
                                    }
                                ?>
                                <a href="<?php echo e(frontJobOpenings($slug)); ?>" target="_blank">
                                    <img alt="Image" class="image--xs" src="<?php echo e($featuredCompany->logo_url); ?>" />
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <!--end of col-->
            </div>
            <!--end row-->
        </div>
        <!--end of container-->
    </section>

    <div id="features">
        <?php $__currentLoopData = $imageFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <section <?php if($key%2 == 0): ?> class="switchable feature-large" <?php else: ?> class="switchable feature-large  switchable--switch bg--secondary" <?php endif; ?>>
                <div class="container">
                    <div class="row justify-content-around">
                        <div class="col-md-6"> <img alt="<?php echo e($item->title); ?>" class="border--round box-shadow-wide" src="<?php echo e($item->image_url); ?>"> </div>
                        <div class="col-md-6 col-lg-5">
                            <div class="switchable__text">
                                <h2><?php echo e(ucfirst($item->title)); ?></h2>
                                <p class="lead"><?php echo e(ucfirst($item->description)); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        <?php if(count($iconFeatures) > 0): ?>
            <section class="text-center">
                <div class="container">
                    <div class="row">
                        <?php $__currentLoopData = $iconFeatures; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-md-6 col-lg-3">
                                <div class="text-block boxed boxed--sm boxed--border"> <i class="feature-icon icon--sm <?php echo e($item->icon); ?> color--dark"></i>
                                    <h5><?php echo e(ucfirst($item->title)); ?></h5>
                                    <p><?php echo e(ucfirst($item->description)); ?></p>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </section>
        <?php endif; ?>
    </div>

    <?php if(count($feedbacks) > 0): ?>
    <section class="text-center bg--dark">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-10">
                    <div class="slider" data-paging="true">
                        <ul class="slides">
                            <?php $__currentLoopData = $feedbacks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <div class="testimonial">
                                    <blockquote> “<?php echo e(ucfirst($item->feedback)); ?>” </blockquote>
                                        <h5><?php echo e(ucfirst($item->client_title)); ?></h5></div>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>

    <section class="pricing-section-2 text-center" id="pricing">
        <div class="container">
            <div class="row">

                <div class="col-md-12 mb-3">
                    <?php echo app('translator')->get('app.monthlyPackages'); ?>  <input id="package-switch" <?php if($global->package_type == 'annual'): ?> checked <?php endif; ?> type="checkbox" class="js-switch" />  <?php echo app('translator')->get('app.yearlyPackages'); ?>
                </div>
                <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 col-lg-4 monthly-packages">
                    <div class="pricing pricing-3">
                        <?php if($item->recommended): ?>
                            <div class="pricing__head bg--primary boxed background-color"> <span class="label"><?php echo app('translator')->get('modules.saasFront.recommended'); ?></span>
                                <h5><?php echo e(ucwords($item->name)); ?></h5> <span class="h1"><span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($item->monthly_price); ?></span>
                                <p class="type--fine-print">Per Month, <?php echo e($global->currency->currency_code); ?>.</p>
                            </div>
                        <?php else: ?>
                            <div class="pricing__head bg--secondary boxed">
                            <h5><?php echo e(ucwords($item->name)); ?></h5> <span class="h1"><span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($item->monthly_price); ?></span>
                                <p class="type--fine-print">Per Month, <?php echo e($global->currency->currency_code); ?>.</p>
                            </div>
                        <?php endif; ?>
                        <ul>
                            <?php if($item->career_website): ?>
                                <li>
                                    <span><?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?></span>
                                </li>
                            <?php endif; ?>
                            <?php if($item->multiple_roles): ?>
                                <li>
                                    <span><?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?></span>
                                </li>
                            <?php endif; ?>
                            <li>
                                <span><?php echo ($item->no_of_job_openings > 0) ? $item->no_of_job_openings : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.activeJobs'); ?></span>
                            </li>
                            <li>
                                <span><?php echo ($item->no_of_candidate_access > 0) ? $item->no_of_candidate_access : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.candidateAccess'); ?></span>
                            </li>
                        </ul>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 col-lg-4 annual-packages" style="display:none;">
                    <div class="pricing pricing-3">
                        <?php if($item->recommended): ?>
                            <div class="pricing__head bg--primary boxed background-color"> <span class="label"><?php echo app('translator')->get('modules.saasFront.recommended'); ?></span>
                                <h5><?php echo e(ucwords($item->name)); ?></h5> <span class="h1"><span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($item->annual_price); ?></span>
                                <p class="type--fine-print">Per Year, <?php echo e($global->currency->currency_code); ?>.</p>
                            </div>
                        <?php else: ?>
                            <div class="pricing__head bg--secondary boxed">
                            <h5><?php echo e(ucwords($item->name)); ?></h5> <span class="h1"><span class="pricing__dollar"><?php echo e($global->currency->currency_symbol); ?></span><?php echo e($item->annual_price); ?></span>
                                <p class="type--fine-print">Per Year, <?php echo e($global->currency->currency_code); ?>.</p>
                            </div>
                        <?php endif; ?>
                        <ul>
                            <?php if($item->career_website): ?>
                                <li>
                                    <span><?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?></span>
                                </li>
                            <?php endif; ?>
                            <?php if($item->multiple_roles): ?>
                                <li>
                                    <span><?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?></span>
                                </li>
                            <?php endif; ?>
                            <li>
                                <span><?php echo ($item->no_of_job_openings > 0) ? $item->no_of_job_openings : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.activeJobs'); ?></span>
                            </li>
                            <li>
                                <span><?php echo ($item->no_of_candidate_access > 0) ? $item->no_of_candidate_access : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.candidateAccess'); ?></span>
                            </li>
                        </ul>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            </div>
        </div>
    </section>
    <section class="text-center imagebg" data-gradient-bg="#4876BD,#5448BD,#8F48BD,#BD48B1">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-6">
                    <div class="cta">
                        <h2><?php echo e($headerData->call_to_action_title); ?></h2>

                        <?php if($headerData->call_to_action_button == 'login'): ?>
                        <a class="btn btn--primary type--uppercase background-color" href="<?php echo e(route('login')); ?>">
                            <span class="btn__text">
                                <?php echo app('translator')->get('app.login'); ?>
                            </span>
                        </a>
                        <?php endif; ?>

                        <?php if($headerData->call_to_action_button == 'register'): ?>
                        <a class="btn btn--primary type--uppercase background-color" href="<?php echo e(route('register')); ?>">
                            <span class="btn__text">
                                <?php echo app('translator')->get('app.register'); ?>
                            </span>
                        </a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="switchable" id="contact">
        <div class="container">
            <div class="row justify-content-between">
                <div class="col-md-5">
                <p class="lead"><?php echo $headerData->contact_text; ?></p>
                </div>
                <div class="col-md-6 col-12">
                    <form class="ajax-form row mx-0" id="createForm">
                        <?php echo csrf_field(); ?>
                        <div class="col-md-6 col-12">
                            <label class="required"><?php echo app('translator')->get('modules.front.yourName'); ?>:</label>
                            <input type="text" name="name" class="validate-required">
                        </div>
                        <div class="col-md-6 col-12">
                            <label class="required"><?php echo app('translator')->get('modules.front.emailAddress'); ?>:</label>
                            <input type="email" name="email" class="validate-required validate-email">
                        </div>
                        <div class="col-md-12 col-12">
                            <label class="required"><?php echo app('translator')->get('modules.front.message'); ?>:</label>
                            <textarea rows="4" name="message" class="validate-required"></textarea>
                        </div>

                        <div class="col-md-12 col-12">
                        <div class="g-recaptcha" data-sitekey="<?php echo e($global->google_recaptcha_key); ?>"></div>
                        <br>
                        </div>

                        <div class="col-md-5 col-lg-4 col-6">
                            <a href="javascript:;" id="save-form" class="btn btn--primary type--uppercase background-color">
                                <span class="btn__text"><?php echo app('translator')->get('modules.front.sendEnquiry'); ?></span>
                            </a>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.saas-front', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/saas-front/index.blade.php ENDPATH**/ ?>