<?php $__env->startSection('create-button'); ?>
<a href="<?php echo e(route('superadmin.packages.create')); ?>" class="btn btn-dark btn-sm m-l-15"><i class="fa fa-plus-circle"></i> <?php echo app('translator')->get('app.createNew'); ?></a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title"><?php echo app('translator')->get('menu.packages'); ?></h4>
                <div class="col-md-12">
                    <?php if(!is_null($packageData) && $paymentSetting->stripe_status == 'active'): ?>

                        <div class="alert alert-danger col-md-12">
                            <div class="col-md-12"> <?php echo app('translator')->get('messages.PlanIdRequired'); ?></div>
                        </div>
                    <?php endif; ?>
                </div>
                <table class="table table-bordered mt-4">
                    <thead>
                        <tr>
                            <th style="width: 20px">#</th>
                            <th><?php echo app('translator')->get('modules.packages.packageName'); ?></th>
                            <th><?php echo app('translator')->get('modules.packages.monthlyPrice'); ?></th>
                            <th><?php echo app('translator')->get('modules.packages.annualPrice'); ?></th>
                            <th><?php echo app('translator')->get('app.feature'); ?></th>
                            <th><?php echo app('translator')->get('app.status'); ?></th>
                            <th style="width: 150px"><?php echo app('translator')->get('app.action'); ?></th>
                        </tr>

                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr id="row-<?php echo e($item->id); ?>">
                            <td><?php echo e($key+1); ?>.</td>
                            <td>
                                <?php echo e($item->name); ?>

                                <?php if($item->recommended): ?>
                                    <br><label class="badge bg-secondary"><i class="fa fa-star text-warning"></i> <?php echo app('translator')->get('app.recommended'); ?></label>
                                <?php endif; ?>
                            </td>
                            <td><?php echo e($global->currency->currency_symbol.ucfirst($item->monthly_price)); ?>

                                <?php if($paymentSetting->stripe_status == 'active' && $item->is_trial != 1 && $item->default == 'no'): ?>
                                    <br>(<?php echo app('translator')->get('app.stripePlanId'); ?> : <?php echo e($item->stripe_monthly_plan_id ?? '-'); ?>)<br>
                                    (<?php echo app('translator')->get('app.razorPayId'); ?> : <?php echo e($item->razorpay_monthly_plan_id ?? '-'); ?>)

                                <?php endif; ?>

                            </td>
                            <td><?php echo e($global->currency->currency_symbol.ucfirst($item->annual_price)); ?>

                                <?php if($paymentSetting->stripe_status == 'active' && $item->is_trial != 1 && $item->default == 'no'): ?>
                                    <br>(<?php echo app('translator')->get('app.stripePlanId'); ?> : <?php echo e($item->stripe_annual_plan_id ?? '-'); ?>)<br>
                                        (<?php echo app('translator')->get('app.razorPayId'); ?> : <?php echo e($item->razorpay_annual_plan_id ?? '-'); ?>)

                                <?php endif; ?>
                            </td>
                            <td>
                                <ul class="list-unstyled">
                                    <li>
                                        <small>
                                            <?php if($item->career_website): ?>
                                                <i class="fa fa-check text-success"></i> 
                                            <?php else: ?>
                                                <i class="fa fa-times text-danger"></i> 
                                            <?php endif; ?>
                                              <?php echo app('translator')->get('modules.packages.careerWebsite'); ?>
                                        </small>
                                    </li>
                                    <li>
                                        <small>
                                            <?php if($item->multiple_roles): ?>
                                                <i class="fa fa-check text-success"></i> 
                                            <?php else: ?>
                                                <i class="fa fa-times text-danger"></i> 
                                            <?php endif; ?>
                                              <?php echo app('translator')->get('modules.packages.multipleRoles'); ?>
                                        </small>
                                    </li>
                                    <li>
                                        <small>
                                            <?php if($item->recommended): ?>
                                                <i class="fa fa-check text-success"></i> 
                                            <?php else: ?>
                                                <i class="fa fa-times text-danger"></i> 
                                            <?php endif; ?>
                                              <?php echo app('translator')->get('modules.packages.recommended'); ?>
                                        </small>
                                    </li>
                                    <li class="mt-2">
                                        <small>
                                        <?php echo app('translator')->get('modules.packages.noOfJobOpenings'); ?>: <?php echo ($item->no_of_job_openings > 0) ? $item->no_of_job_openings : __('app.unlimited'); ?>

                                        </small>
                                    </li>
                                    <li class="mt-2">
                                        <small>
                                        <?php echo app('translator')->get('modules.packages.noOfCandidateAccess'); ?>: <?php echo ($item->no_of_candidate_access > 0) ? $item->no_of_candidate_access : __('app.unlimited'); ?>

                                        </small>
                                    </li>
                                    
                                </ul>
                            </td>
                            <td>
                                <?php if($item->status): ?>
                                    <label class="badge bg-success"><?php echo app('translator')->get('app.active'); ?></label>
                                <?php else: ?>
                                    <label class="badge bg-danger"><?php echo app('translator')->get('app.inactive'); ?></label>
                                <?php endif; ?>
                            </td>
                            <td>
                                <a href="<?php echo e(route('superadmin.packages.edit', $item->id)); ?>"
                                    class="btn btn-primary btn-circle" data-toggle="tooltip" 
                                    onclick="this.blur()"
                                    data-original-title="<?php echo app('translator')->get('app.edit'); ?>"><i class="fa fa-pencil"
                                        aria-hidden="true"></i></a>

                                <?php if($item->default != 'yes' && !$item->is_trial ): ?>
                                    <a href="javascript:;" class="btn btn-danger btn-circle sa-params" data-toggle="tooltip" onclick="this.blur()"
                                    data-row-id="<?php echo e($item->id); ?>" data-original-title="<?php echo app('translator')->get('app.delete'); ?>"><i
                                        class="fa fa-times" aria-hidden="true"></i></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>

                        <?php endif; ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
    <script>
       $('body').on('click', '.sa-params', function(){
            var id = $(this).data('row-id');
            swal({
                title: "<?php echo app('translator')->get('errors.areYouSure'); ?>",
                text: "<?php echo app('translator')->get('errors.deleteWarning'); ?>",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "<?php echo app('translator')->get('app.delete'); ?>",
                cancelButtonText: "<?php echo app('translator')->get('app.cancel'); ?>",
                closeOnConfirm: true,
                closeOnCancel: true
            }, function(isConfirm){
                if (isConfirm) {

                    var url = "<?php echo e(route('superadmin.packages.destroy',':id')); ?>";
                    url = url.replace(':id', id);

                    var token = "<?php echo e(csrf_token()); ?>";

                    $.easyAjax({
                        type: 'POST',
                        url: url,
                        data: {'_token': token, '_method': 'DELETE'},
                        success: function (response) {
                            if (response.status == "success") {
                                $.unblockUI();
//                                    swal("Deleted!", response.message, "success");
                                $('#row-'+id).remove();
                            }
                        }
                    });
                }
            });
        });
        $("body").tooltip({
                    selector: '[data-toggle="tooltip"]'
                });
    </script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/super-admin/packages/index.blade.php ENDPATH**/ ?>