<?php $__env->startPush('head-script'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.css')); ?>">
<?php $__env->stopPush(); ?>
<style>
    .ml{

        margin-left: 291px;
    }
</style>

<?php $__env->startSection('content'); ?>
<div class="row">

    <?php if(session('success')): ?>
        <div class="alert alert-success col-12"><?php echo e(session('success')); ?></div>
        <?php Session::forget('success');?>
    <?php endif; ?>
    <?php if(session('error')): ?>
        <div class="alert alert-danger col-12"><?php echo e(session('error')); ?></div>
        <?php Session::forget('error');?>
    <?php endif; ?>
    
    <?php if(!$user->is_superadmin && !is_null($activePackage) && $activePackage->package->is_trial): ?>
        <div class="alert alert-warning col-12">
                <?php echo app('translator')->get('messages.activeTrialPackage'); ?>
                <?php
                $date = \Carbon\Carbon::parse($activePackage->end_date);
                $now = \Carbon\Carbon::today();

                echo $diff = $date->diffInDays($now);
                ?>
                <?php echo app('translator')->get('modules.dashboard.daysLeft'); ?>
        </div>
    <?php endif; ?>

    <?php if(!$user->is_superadmin && !is_null($activePackage) && !$activePackage->package->is_trial): ?>
        <div class="alert alert-warning col-12">
        <h4> <?php echo app('translator')->get('modules.company.currentPackage'); ?>:

        <?php echo e($activePackage->package->name); ?>

        <?php if($activePackage->package_type == 'annual'): ?>
        - <?php echo app('translator')->get('app.annual'); ?>
        <?php else: ?>
        - <?php echo app('translator')->get('app.monthly'); ?>
        <?php endif; ?>
        </h4>

        <br>
        <p>
        <?php

        $date = \Carbon\Carbon::parse($activePackage->end_date);
        $now = \Carbon\Carbon::today();

        echo $diff = $date->diffInDays($now);
        ?>
        <?php echo app('translator')->get('modules.dashboard.daysLeft'); ?>
        </p>
        </div>
    <?php endif; ?>
    <div class="col-12" style="padding-bottom: 30px">
        <div class="row">
            <div class="col-md-7">
                <?php echo app('translator')->get('app.monthlyPackages'); ?>  <input id="package-switch" <?php if($global->package_type == 'annual'): ?> checked <?php endif; ?> type="checkbox" class="js-switch" />  <?php echo app('translator')->get('app.yearlyPackages'); ?>
            </div>
           
            <div class="col-md-5">
                 <?php if(!is_null($firstInvoice) && $paymentSetting->api_key != null && $paymentSetting->api_secret != null && $firstInvoice->method == 'Stripe'): ?>
                    <?php if(!is_null($subscription) && $subscription->ends_at == null): ?>
                        <button type="button" class="btn btn-outline-danger btn-sm unsubscribe" data-method="Stripe" title="unsubscribe Plan"><i class="fa fa-ban display-small"></i> <span class="display-big"><?php echo app('translator')->get('modules.subscription.unsubscribe'); ?></span></button>
                    <?php endif; ?>
                <?php elseif(!is_null($firstInvoice) && $paymentSetting->paypal_client_id != null && $paymentSetting->paypal_secret != null && $firstInvoice->method == 'Paypal'): ?>
                    <?php if(!is_null($paypalInvoice) && $paypalInvoice->end_on == null  && $paypalInvoice->status == 'paid'): ?>
                        <button type="button" class="btn btn-outline-danger btn-sm unsubscribe" data-method="Paypal" title="unsubscribe Plan"><i class="fa fa-ban display-small"></i> <span class="display-big"><?php echo app('translator')->get('modules.subscription.unsubscribe'); ?></span></button>
                    <?php endif; ?>
                <?php elseif(!is_null($firstInvoice) && $paymentSetting->razorpay_key != null && $paymentSetting->razorpay_secret != null && $firstInvoice->method == 'Razorpay'): ?>
                    <?php if(!is_null($razorPaySubscription) && $razorPaySubscription->ends_at == null): ?>
                        <button type="button" class="btn btn-danger waves-effect waves-light btn-sm unsubscribe ml" data-method="Razorpay" title="Unsubscribe Plan"><i class="fa fa-ban display-small"></i> <span class="display-big"><?php echo app('translator')->get('modules.subscription.unsubscribe'); ?></span></button>
                    <?php endif; ?>
                <?php else: ?>
                <?php endif; ?>
                <a href="<?php echo e(route('admin.subscribe.invoice')); ?>">
                    <button type="button" class="btn btn-outline-primary btn-sm pull-right "><i class="ti-receipt"></i> <?php echo app('translator')->get('menu.subscriptionDetails'); ?></button>
                </a>
            </div>
        </div>

    </div>

    <div class="col-12">
        <div class="card-deck mb-3 text-center">
            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="card mb-4 box-shadow monthly-packages" <?php if($global->package_type == 'annual'): ?>  style="display:none"  <?php endif; ?>
                     <?php if($global->package_id == $item->id && $global->package_type == 'monthly'): ?>
                     style=" background-color:#a6ebff5e !important; " <?php endif; ?>>
                    <div class="card-header">
                    <h4 class="my-0 font-weight-normal"><?php echo e($item->name); ?> </h4>
                    </div>
                    <div class="card-body">
                    <h1 class="card-title pricing-card-title"><?php echo e($superSettings->currency->currency_symbol.ucfirst($item->monthly_price)); ?> <small class="text-muted">/ mo</small></h1>
                    <ul class="list-unstyled mt-3 mb-4">
                            <li class="mt-2">
                                    <?php if($item->career_website): ?>
                                        <i class="fa fa-check text-success"></i>
                                        <?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?>
                                    <?php else: ?>
                                        <i class="fa fa-times text-danger"></i>
                                        <span class="text-muted"><?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?></span>
                                    <?php endif; ?>
                            </li>
                            <li class="mt-2">
                                    <?php if($item->multiple_roles): ?>
                                        <i class="fa fa-check text-success"></i>
                                        <?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?>
                                    <?php else: ?>
                                        <i class="fa fa-times text-danger"></i>
                                        <span class="text-muted"><?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?></span>
                                    <?php endif; ?>
                            </li>

                            <li class="mt-2">
                                    <?php echo ($item->no_of_job_openings > 0) ? $item->no_of_job_openings : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.activeJobs'); ?>
                            </li>
                            <li class="mt-2">
                                    <?php echo ($item->no_of_candidate_access > 0) ? $item->no_of_candidate_access : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.candidateAccess'); ?>
                            </li>

                        </ul>
                        <?php if(!($item->id == $global->package_id && $global->package_type == 'monthly') && (($paymentSetting->paypal_client_id != null && $paymentSetting->paypal_secret != null && $paymentSetting->paypal_status == 'active') ||
                        ($paymentSetting->api_key != null && $paymentSetting->api_secret != null && $paymentSetting->stripe_status == 'active' && $item->stripe_monthly_plan_id != null ) || ($paymentSetting->razorpay_key != null && $paymentSetting->razorpay_secret != null && $paymentSetting->razorpay_status == 'active' && $item->razorpay_monthly_plan_id != null)|| $offlineSetting > 0)): ?>
                            <button type="button" data-row-id="<?php echo e($item->id); ?>" data-row-type="monthly" class="btn btn-md btn-block btn-success selectPackage"><?php echo app('translator')->get('modules.subscription.subscribe'); ?></button>
                        <?php endif; ?>
                    </div>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="card mb-4 box-shadow annual-packages"  <?php if($global->package_type == 'monthly'   || is_null($global->package_type)): ?>  style="display:none"  <?php endif; ?>
                     <?php if($global->package_id == $item->id && $global->package_type == 'annual'): ?>
                     style=" background-color:#a6ebff5e !important; " <?php endif; ?>>
                        <div class="card-header">
                        <h4 class="my-0 font-weight-normal"><?php echo e($item->name); ?> </h4>
                        </div>
                        <div class="card-body">
                            <h1 class="card-title pricing-card-title"><?php echo e($superSettings->currency->currency_symbol.ucfirst($item->annual_price)); ?> <small class="text-muted">/ yr</small></h1>
                            <ul class="list-unstyled mt-3 mb-4">
                                <li class="mt-2">
                                        <?php if($item->career_website): ?>
                                            <i class="fa fa-check text-success"></i>
                                            <?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?>
                                        <?php else: ?>
                                            <i class="fa fa-times text-danger"></i>
                                            <span class="text-muted"><?php echo app('translator')->get('modules.saasFront.careerWebsite'); ?></span>
                                        <?php endif; ?>
                                </li>
                                <li class="mt-2">
                                        <?php if($item->multiple_roles): ?>
                                            <i class="fa fa-check text-success"></i>
                                            <?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?>
                                        <?php else: ?>
                                            <i class="fa fa-times text-danger"></i>
                                            <span class="text-muted"><?php echo app('translator')->get('modules.saasFront.multipleRoles'); ?></span>
                                        <?php endif; ?>
                                </li>

                                <li class="mt-2">
                                        <?php echo ($item->no_of_job_openings > 0) ? $item->no_of_job_openings : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.activeJobs'); ?>
                                </li>
                                <li class="mt-2">
                                        <?php echo ($item->no_of_candidate_access > 0) ? $item->no_of_candidate_access : "Unlimited"; ?> <?php echo app('translator')->get('modules.saasFront.candidateAccess'); ?>
                                </li>

                            </ul>

                            <?php if(!($item->id == $global->package_id && $global->package_type == 'annual') && (($paymentSetting->paypal_client_id != null && $paymentSetting->paypal_secret != null && $paymentSetting->paypal_status == 'active') ||
                        ($paymentSetting->api_key != null && $paymentSetting->api_secret != null && $paymentSetting->stripe_status == 'active' && $item->stripe_annual_plan_id != null)  || ($paymentSetting->razorpay_key != null && $paymentSetting->razorpay_secret != null && $paymentSetting->razorpay_status == 'active' && $item->razorpay_annual_plan_id != null)) || $offlineSetting > 0): ?>
                                <button type="button" data-row-id="<?php echo e($item->id); ?>" data-row-type="annual" data-row-free= "yes" class="btn btn-md btn-block btn-success selectPackage"><?php echo app('translator')->get('modules.subscription.subscribe'); ?></button>
                            <?php endif; ?>
                        </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</div>


<div class="modal fade bs-modal-lg in" style="z-index:9999" id="package-select-form" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-lg" id="modal-data-application">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
            </div>
            <div class="modal-body">
                Loading...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
                <button type="button" class="btn blue">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>


<div class="modal fade bs-modal-md in"style="z-index:99999" id="package-offline" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-md" id="modal-data-application">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                    <span class="caption-subject font-red-sunglo bold uppercase" id="modelHeading"></span>
                </div>
                <div class="modal-body">
                    Loading...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn blue">Save changes</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    

<?php $__env->stopSection(); ?>

<?php $__env->startPush('footer-script'); ?>
<script src="https://js.stripe.com/v3/"></script>
<script src="<?php echo e(asset('assets/node_modules/switchery/dist/switchery.min.js')); ?>"></script>

<script>
    var elems = Array.prototype.slice.call(document.querySelectorAll('.js-switch'));

    elems.forEach(function(html) {
    var switchery = new Switchery(html, { size: 'medium' });
    });

    $('#package-switch').change(function () {
        let checked = $(this).is(":checked");
        if(checked) {
            $('.monthly-packages').hide();
            $('.annual-packages').fadeIn('slow');
        }
        else {
            $('.annual-packages').hide();
            $('.monthly-packages').fadeIn('slow');
        }
    })

    // redirect on paypal payment page
    $('body').on('click', '.paypalPayment', function(){
        var url = "<?php echo e(route('admin.paypal',[':id',':type'])); ?>";
        var id = $(this).data('row-id');
        var type = $(this).data('row-type');
        url = url.replace(':id', id);
        url = url.replace(':type', type);
        $.easyBlockUI('#package-select-form', 'Redirecting Please Wait...');
        window.location.href = url;
    });

    $('body').on('click', '.unsubscribe', function(){
        var type = $(this).data('method');
        swal({
            title: "<?php echo app('translator')->get('errors.areYouSure'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "<?php echo app('translator')->get('app.yes'); ?>",
            cancelButtonText: "<?php echo app('translator')->get('app.cancel'); ?>",
            closeOnConfirm: true,
            closeOnCancel: true
        }, function(isConfirm){
            if (isConfirm) {
                var url = "<?php echo e(route('admin.subscribe.cancel-subscription',':type')); ?>";
                url = url.replace(':type', type);
                $.easyAjax({
                    type: 'GET',
                    url: url,
                    redirect: true,
                    success: function (response) {
                        console.log(response);
                        if (response.status == "success") {
                            $.unblockUI();
                            window.location.reload();
                        }
                    }
                });
            }
        });
    });

    // Show Create Holiday Modal
    $('body').on('click', '.selectPackage', function(){
        var id = $(this).data('row-id');
        var type = $(this).data('row-type');
        var url = "<?php echo e(route('admin.subscribe.select-package',':id')); ?>?type="+type;
        url = url.replace(':id', id);
        $.ajaxModal('#package-select-form', url);
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/conglomerate/public_html/appwww/resources/views/admin/subscription/index.blade.php ENDPATH**/ ?>